/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2010, 2015. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
 //NLS_CHARSET=UTF-8
// ==============================================================================
// MESSAGE IDS - CRRRW 7200 - 7599 - PLEASE MAINTAIN THE MESSAGES IN ORDER.
//
// This file is used both for display on the client, and for export to
// online documentation (infocenter).
//
// For each message there is a set of related message strings.
//
// DO NOT REMOVE MESSAGE ENTRIES FROM THIS FILE.  IF A MESSAGE IS NO
// LONGER VALID IT MAY BE COMMENTED OUT, BUT MUST NOT BE REMOVED.
//
// DO NOT RE-ASSIGN UNUSED ERROR NUMBERS TO NEW MESSAGE SCENARIOS.
//
// IF YOU REUSE AN EXISTING MESSAGE, ENSURE THAT THE ALL THE RELATED
// MESSAGE STRINGS ARE APPROPRIATE TO YOUR ERROR/WARNING/INFO SCENARIO.
// IF YOU CHANGE THE TEXT, MAKE SURE THAT IT IS APPROPRIATE TO ALL
// SCENARIOS THAT USE THE MESSAGE SET.
//
// Towards the bottom of the file, blocks of message numbers are allocated
// to areas of the code.  When adding a new message, add it into one of these
// blocks if possible.  If a block fills, allocate a new block at the bottom and
// comment appropriately to indicate that it is a continuation. 
//
// Each message must have a number of the form CRRRW####$ where:
//		CRRRW is the prefix for this product.
//		#### is a four digit number unique to the message.
//		$ is one of the letters E (Error), W (Warning), I (Information).
//
// For each message there is a set of related strings:
//		<MSGNO>
//				A short message which may have substitution parameters.
//				Parameters should be strings that are suitable for display
//				to users (folder name is OK, paragraph ID is probably not OK).
//				Must start with an error number in the form given above, so
//				that the message is recognized for DITA conversion and exported
//				to infocenter.
//
//		<MSGNO>.explanation
//				A longer string with more explanation of the cause.
//
//		<MSGNO>.useraction
//				An indication of what the user can/should do as a result.
//
//		<MSGNO>.showuseraction
//				If set to exactly "Y", the useraction is appended to the explanation
//				for display.  This is used to indicate that the useraction really
//				is useful to users so we want to show it to them.  This value does not
//				have any effect on the generated infocenter content.
// 
// ==============================================================================
({
	// This error should never happen, but serves as a catch-all for when no specific
	// error message is specified.
    "7200":				"CRRRW7200E The following error number is not valid: ${0}",
	"7200.explanation":	"An operation failed because of an unexpected response from the server.",
    "7200.useraction":	"Try repeating the operation. If the operation does not succeed when retried, log out and log in, and then retry the operation.",
	// Last revision: 2012/09/11					
	// Last revision: 2012/09/19					
					
	
	//	7201 is referenced in the code, but in areas that are no longer used.
	//UNUSED	"7201": "CRRRW7201E Problem encountered retrieving attribute group",
	//UNUSED	"7202": "CRTEMP7202E Problem encountered accessing attribute group",
	//	7203 is in the code, but in areas that are no longer used
	//UNUSED	"7203": "CRRRW7203E Unrecognized type '${0}' found in AttributeGroup for '${1}'",
	//UNUSED	"7204": "CRRRW7204E Error displaying embedded object for '${0}'",
	
    "7205":				"CRRRW7205E The comment counts for the artifact could not be displayed.",
	"7205.explanation": "An error has occurred while attempting to add the comment counts for the artifact.",
	"7205.useraction":	"Refresh your browser, and try to display the comment counts for the artifact again.",
	 
    "7206":				"CRRRW7206E The comment count bubbles for the artifact could not be hidden.",
	"7206.explanation": "An error has occurred while attempting to hide the comment counts for the artifact.",
	"7206.useraction":	"Refresh your browser, and try to hide the comment counts for artifact again.",
	 
	//UNUSED	"7207": "CRTEMP7207E Provided comment location id '${0}' not found",

    "7208": 			"CRRRW7208E The comment could not be saved.",
    "7208.explanation": "The request to save the comment on the server could not be completed.",
    "7208.useraction":	"Ensure that the item you are commenting on has not been deleted. Try to create or edit the comment again.",
	//START NON-TRANSLATABLE
	"7208.showuseraction": "Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE
	
   	"7209": 			"CRRRW7209E The comments for an artifact could not be loaded.",
   	"7209.explanation": "The server request that loads the comments for an artifact could not be completed.",
   	"7209.useraction": 	"Refresh the page by clicking the refresh push button near the top of the page or log out, and log in again to " +
						"refresh the application. If the problem persists, there might be an issue with the server. Ask your administrator " +
						"to check the server status.",
	
	//UNUSED   	"7210": "CRTEMP7210I No additional details available",

   	//UNUSED "7211":				"CRRRW7211E Cannot retrieve resource description for '${0}'.",
	// "7211.explanation":	"The server request that reads the description of an artifact could not be completed.",
	// "7211.useraction":	"Refresh the page by using the refresh button near the top of the page, or log out " +
	//					"and log in again to refresh the application.  If the problem persists, " +
	//					"there might be an issue with the server.  Ask your administrator to check the status " +
	//					"of the server.",
	
   	"7212": 			"CRRRW7212E Artifact information for recent comments cannot be retrieved.",
	"7212.explanation":	"The server request that reads information about the artifacts that are associated with recent " +
						"comments could not be completed.",
	"7212.useraction":	"Refresh the page by using the refresh button near the top of the page, or log out " +
						"and log in again to refresh the application.  If the problem persists, " +
						"there might be an issue with the server.  Ask your administrator to check the server status.",
	
   	"7213":				"CRRRW7213E The review comments for the artifact cannot be loaded.",
   	"7213.explanation":	"The server request that loads review comments could not be completed.",
   	"7213.useraction":	"Refresh the page by using the refresh button near the top of the page, or log out " +
						"and log in again to refresh the application.  If the problem persists, " +
						"there might be an issue with the server.  Ask your administrator to check the server status.",
	
	//UNUSED   	"7214": "CRTEMP7214E An error occurred while retrieving review '${0}'",

   	"7215":				"CRRRW7215E The project user information could not be loaded.",
   	"7215.explanation":	"The server request that loads project users could not be completed.",
   	"7215.useraction":	"Refresh the page by using the refresh button near the top of the page, or log out " +
						"and log in again to refresh the application.  If the problem persists, " +
						"there might be an issue with the server.  Ask your administrator to check the server status.",
	
   	"7216":				"CRRRW7216E The description information for the review could not be retrieved.",
   	"7216.explanation":	"The server request that loads review description information could not be completed.",
   	"7216.useraction":	"Refresh the page by using the refresh button near the top of the page, or log out " +
						"and log in again to refresh the application.  If the problem persists, " +
						"there might be an issue with the server.  Ask your administrator to check the server status.",
	
	
   	"7217":				"CRRRW7217E The reviews could not be loaded.",
   	"7217.explanation":	"The server request to obtain the review listing information could not be completed. " +
						"There might be a heavy load on the server, causing the request to time out.",
   	"7217.useraction":	"Refresh your browser, and try to load the reviews again.  If the problem persists, " +
						"there might be an issue with the server.  Ask your administrator to check the server status.",
	
   	"7218":				"CRRRW7218E The comment cannot be deleted.",
   	"7218.explanation":	"The server request to delete the comment could not be completed. The comment might have been deleted already.",
   	"7218.useraction":	"Verify that the comment has not already been deleted.  Refresh your browser, and try " +
						"to delete the comment again.  If the problem persists, " +
						"there might be an issue with the server.  Ask your administrator to check the server status.",
						
	"7219":				"CRRRW7219W Shared tags could not be applied to some of the copied artifacts.",
	"7219.explanation":	"The server request to apply shared tags to the some of the copied artifacts could not be completed. " +
						"The user copying the artifacts must have permission to modify public tags for those artifact types. " +
						"Shared tags were not applied to the following copied artifacts: ${0}",
	"7219.useraction":	"Ask your system administrator to check the permissions for the artifact types that are being copied " +
						"and ensure that you have the permission to assign public tags to them.",
	"7219.showuseraction": "Y", // $NON-NLS-1$
	//Last UA revision: 2 March 2015


   	"7220": 			"CRRRW7220E The tag cannot be created.",
	"7220.explanation": "The server request that creates a tag could not be completed.",
	"7220.useraction":	"Refresh your browser, and try to create the tag again.  If the problem persists, " +
						"there might be an issue with the server.  Ask your administrator to check the server status.",
						
   	"7221": 			"CRRRW7221E The usage count for a tag cannot be retrieved.",
	"7221.explanation": "The server request that gets the usage count for a tag could not be completed.",
	"7221.useraction":	"Refresh your browser, and try to get the tag usage count again.  If the problem persists, " +
						"there might be an issue with the server.  Ask your administrator to check the server status.", 
						
   	"7222":				"CRRRW7222E The tag cannot be deleted.",
	"7222.explanation": "The server request that deletes a tag could not be completed.",
	"7222.useraction":	"Refresh your browser, and try to delete the tag again.  If the problem persists, " +
						"there might be an issue with the server.  Ask your administrator to check the server status.",
						
   	"7223":				"CRRRW7223E The tag cannot be edited.",
	"7223.explanation": "The server request that updates a tag could not be completed.",
	"7223.useraction":	"Refresh your browser, and try to edit the tag again.  If the problem persists, " +
						"there might be an issue with the server.  Ask your administrator to check the server status.",
 
	"7224":				"CRRRW7224E The baseline was not created.",
	"7224.explanation": "The server request that creates baselines cannot be completed.",
	"7224.useraction":	"Find more information about this problem by examining the detailed message. If the problem persists, " +
						"ask an administrator to check the server status.",
	// Last UA revision: 16 January 2013
						
	"7225":				"CRRRW7225E The email message was not sent.",
	"7225.explanation": "There might be a problem with the connection to the email server " +
						"or this application might not be configured to send email.",
	"7225.useraction":	"Ask your administrator to check the email configuration of the application.",
	//START NON-TRANSLATABLE
	"7225.showuseraction": "Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE

	"7226":				"CRRRW7226E The wrapper resource cannot be saved.",
	"7226.explanation": "The server request that saves the wrapper resource could not be completed.",
	"7226.useraction":	"Refresh your browser, and try to save the wrapper resource again.  If the problem persists, " +
						"there might be an issue with the server.  Ask your administrator to check the server status.",
						
   	"7227":				"CRRRW7227E The wrapper resource cannot be moved.",
	"7227.explanation": "The server request that moves the wrapper resource could not be completed.",
	"7227.useraction":  "Refresh your browser, and try to move the wrapper resource again.  If the problem persists, " +
						"there might be an issue with the server.  Ask your administrator to check the server status.",
						
//UNUSED   	"7228": "CRTEMP7228E Unable to create wrapper resource",

   	"7229":				"CRRRW7229E The tags cannot be applied to the resource.",
	"7229.explanation": "The server request to apply the tags to the resource could not be completed.",
	"7229.useraction":	"Refresh your browser, and try to apply the tags to the resource again.  If the problem persists, " +
						"there might be an issue with the server.  Ask your administrator to check the server status.",
						 
	"7230":				"CRRRW7230E The file could not be uploaded to the server.",
	"7230.explanation":	"The server request to upload the file to the server could not be completed.",
	"7230.useraction":	"Refresh your browser and try to upload the file again. If the problem persists, " +
						"ask your administrator to check the status of the server for possible issues.",
	// Last revision: 2012/09/11					
	// Last revision: 2012/09/19							
						
   	"7231":				"CRRRW7231E The wrapper resource cannot be loaded.",
	"7231.explanation": "The server request to locate the identifier for the wrapper resource could not be completed. " +
						"The wrapper resource might have been deleted.",
	"7231.useraction":	"Verify that the wrapper resource has not been deleted.  If not, Refresh your browser, and try " + 
						"to load the wrapper resource again.  If the problem persists, there might be an issue with the server. " +
						"Ask your administrator to check the server status.",
						
	//UNUSED   	"7232": "CRTEMP7232E An artifact cannot be inserted into itself.",

   	"7233":				"CRRRW7233W The selected artifact cannot be inserted because it contains this artifact.",
    "7233.explanation":	"Artifacts cannot be embedded circularly.",
	"7233.useraction":	"Remove the embedded reference from the artifact that you are attempting to insert, " +
						"and try to insert the artifact again.",
	//START NON-TRANSLATABLE
	"7233.showuseraction": "Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE

   	"7234":				"CRRRW7234E The artifact cannot be inserted.",
	"7234.explanation": "The server request to insert the artifact could not be completed.",
	"7234.useraction":	"Refresh your browser, and try to insert the artifact again.  If the problem persists, " +
						"there might be an issue with the server.  Ask your administrator to check the server status.",
						
	"7235":				"CRRRW7235E The filter cannot be saved.",
	"7235.explanation": "The server request to save the filter could not be completed.",
	"7235.useraction":	"Refresh your browser, and try to save the filter again.  If the problem persists, " +
						"there might be an issue with the server.  Ask your administrator to check the server status.",

	"7236":				"CRRRW7236E The filter cannot be applied.",
	"7236.explanation": "The server request to load the filter could not be completed.",
	"7236.useraction":	"Refresh your browser, and try to apply the filter again.  If the problem persists, " +
						"there might be an issue with the server.  Ask your administrator to check the server status.", 

	"7237":				"CRRRW7237E The resource tags could not be retrieved.",
	"7237.explanation": "The server request to retrieve resource tags could not be completed.",
	"7237.useraction":	"Refresh your browser, and try to retrieve the resource tags again.  If the problem persists, " +
						"there might be an issue with the server.  Ask your administrator to check the server status.", 
						
	"7238":				"CRRRW7238W The following artifacts were not inserted into this artifact because the artifacts contain this artifact: ${0}",
	"7238.explanation":	"One or more of the artifacts that you are inserting into this artifact contain this artifact. If an artifact contains " +
						"another artifact, you cannot insert the container artifact into the other artifact. For example, if artifact A contains " +
						"artifact B, you cannot insert artifact A into artifact B.",
	"7238.useraction":	"Select a different artifact to insert. Otherwise, remove this artifact from the artifact that you are trying to insert, " +
						"and then try to insert the artifact again.",
	// Last UA revision: 02/24/2012
	
	// Duplicate same as values
	"7239":				"CRRRW7239E The specified URI is already in use.",
	"7239.explanation":	"The RDF URI for a type must be unique in the project.",
	"7239.useraction":	"Enter a URI that is not already used in this project.",
	//START NON-TRANSLATABLE
	"7239.showuseraction": 	"Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE
	// Last UA revision: 09/27/2013
	
	// Invalid same as value
	"7240":				"CRRRW7240E The specified URI cannot be used.",
	"7240.explanation":	"The first part of an RDF URI cannot contain the type system of the local server, such as http://myserver.com/rm/types.",
	"7240.useraction":	"Enter a URI that does not start with the type system of the local server.",
	//START NON-TRANSLATABLE
	"7240.showuseraction": 	"Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE
	// Last UA revision: 09/27/2013
	
	// Invalid same as value - must be a valid URI
	"7241":				"CRRRW7241E The specified URI cannot be used.",
	"7241.explanation":	"The RDF URI must be in the format of a valid URI; for example, http://www.example.com/type1.",
	"7241.useraction":	"Enter a URI that is in a valid format.",
	//START NON-TRANSLATABLE
	"7241.showuseraction": 	"Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE
	// Last UA revision: 10/03/2013

//===== CALM 7250-7269 =====
	"7250":				"CRRRW7250W Cannot link to a development plan.",
    "7250.explanation":	"The configured change management provider does not support development plans.",
	"7250.useraction":	"No action is required.",
	
	"7251": 			"CRRRW7251W Filtering is not supported.",
    "7251.explanation":	"One of the change management providers does not support filtering by life-cycle status.",
	"7251.useraction":	"No action is required.",

	"7252":				"CRRRW7252W Filtering is not available.",
    "7252.explanation":	"Filtering by lifecycle status is not available for one of the connected change management providers.",
	"7252.useraction":	"No action is required.",
	
	"7253":				"CRRRW7253W While creating a link between servers, the link from the other server could not be created.",
	"7253.explanation":	"The link from the other server to this server could not be created because the other server is not available " +
						"or communication with it has failed.",
	"7253.useraction":	"Try to create the link again. If the attempt fails, contact the administrator to verify that the other server is available.",
	// Last revision: 2012/09/11					
	// Last revision: 2012/09/19					
	
	"7254":				"CRRRW7254W While removing a link between servers, the link from the other server could not be deleted.",
	"7254.explanation":	"The link from the other server to this server could not be deleted because the other server is not available " +
						"or communication with it has failed.",
	"7254.useraction":	"Try to delete the link again. If the attempt fails, contact the administrator to verify that the other server is available.",
	// Last revision: 2012/09/11					
	// Last revision: 2012/09/19					
	
	"7255":				"CRRRW7255E While creating links between servers, the link could not be created.",
	"7255.explanation":	"The link from this server to the other server could not be created.",
	"7255.useraction":	"Try to create the link again. If the attempt fails, contact the administrator to verify that the server is available and that you have the correct permissions to create the link.",
	// Last revision: 2012/09/11					
	
	"7256":				"CRRRW7256E While removing a link between servers, the link could not be deleted.",
	"7256.explanation":	"The link from this server to the other server could not be deleted.",
	"7256.useraction":	"Try to delete the link again. If the attempt fails, contact the administrator to verify that the other server is available and that you have the correct permissions to delete the link.",
	// Last revision: 2012/09/11					
	// Last revision: 2012/09/19					
	
	"7257": 			"CRRRW7257W Some link types might be inaccurate.",
	"7257.explanation": "Derives or References links that were created from an associated project might not reflect the state of this baseline.",
	"7257.useraction" : "No action is required.",
	
	"7258":				"CRRRW7258W Link results may be incomplete.",

	"7259":				"CRRRW7259W While creating links between servers, the link to the other server could not be created.",
	"7259.explanation": "The link from this server to the other server was not created because that action is not permitted.",
    "7259.useraction":  "Contact the project administrator to verify that you have the correct permissions to create the link.",
	//START NON-TRANSLATABLE
	"7259.showuseraction": "Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE
	 
	
// ===== COMMENTING 7270-7279 =====

	"7270": 			"CRRRW7270W The comments from the server cannot be read.",
	"7270.explanation": "There was a communication error while reading comments from " +
						"the server.",
	"7270.useraction":  "Refresh the page by clicking the refresh push button near the top of the page, or log out, " +
						"and log in again to refresh the application.",
						
	"7271":				"CRRRW7271E The reviews for comment filtering cannot be read.",
	"7271.explanation":	"There was a communication error while reading reviews from the server.",
	"7271.useraction":  "Refresh the page by clicking the refresh push button near the top of the page, or log out " +
						"and log in again to refresh the application.",
	
	"7272":				"CRRRW7272E Expected information about a review is not available.",
	"7272.explanation":	"A required review was not among those previously loaded from the server.",
	"7272.useraction":  "Refresh the page by clicking the refresh push button near the top of the page, or log out " +
						"and log in again to refresh the application.",
						
	"7273":				"CRRRW7273E Some of the comments cannot be resolved or reopened.",
	"7273.explanation":	"The server request to resolve or reopen comments could not be completed.",
	"7273.useraction":	"Refresh your browser, and try to manage the comments again.  Verify that some comments " +
						"have not been deleted by another user.  If the problem persists, " +
						"there might be an issue with the server.  Ask your administrator to check the server status.", 
				
// ===== COMMON 7280-7289 =====

	"7280":				"CRRRW7280E The following project cannot be found in the repository: ${0}",
	"7280.explanation":	"The project might have been deleted or archived, or you might not be a member of the project.",
	"7280.useraction": 	"Ensure that the project exists.  Contact your administrator who " +
						"can make sure that you are a member of the project.",
	//START NON-TRANSLATABLE
	"7280.showuseraction": "Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE
						
	"7281":				"CRRRW7281E The application cannot be accessed.",
	"7281.explanation":	"A license is required to access the application. A license for you might not be installed or assigned.",
	"7281.useraction": 	"Contact your administrator who can ensure that a license is installed and assigned to you.",
	//START NON-TRANSLATABLE
	"7281.showuseraction": "Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE
	
	"7282":				"CRRRW7282E The application cannot be accessed.",
	"7282.explanation":	"A license is required to access the application. A license for you might not be installed or assigned.",
	"7282.useraction": 	"Ask your administrator to ensure that a license is installed and assigned to you.",
	//START NON-TRANSLATABLE
	"7282.showuseraction": "Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE
	// Last revision: 2012/09/19					

	"7283":				"CRRRW7283E The artifact, ${0}, was not found in the repository.",
	"7283.explanation":	"The project that contains the artifact might have been deleted or archived, you might not be a member of the project," +
	                     "or the artifact might not be visible in the current configuration. ", 
	"7283.useraction":  "Verify that the artifact exists, that you are using an appropriate configuration, and that you are a member of the project.",
	//START NON-TRANSLATABLE
	"7283.showuseraction": "Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE
	// Last revision: 2014/12/17					
	
	"7284":				"CRRRW7284E The following project is not a valid Rational DOORS Next Generation project: ${0}",
	"7284.explanation":	"The project might have been corrupted or contain invalid data.",
	"7284.useraction": 	"Contact your administrator who can attempt to fix the project.",
	//START NON-TRANSLATABLE
	"7284.showuseraction": "Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE

// ===== PAGES 7290 - 7299 =====
	// UNUSED 7290
	//"7290":				"CRRRW7290E Your personal dashboard could not be displayed.",
	//"7290.useraction":	"Refresh your browser, and try to open the dashboard again.  If the problem persists, " +
	//					"there might be an issue with the server.  Ask your administrator to check the server status.",
	
	"7291":				"CRRRW7291E Unable to determine whether you have permission to access a project.",
	"7291.explanation":	"Your permissions for access to the project could not be retrieved from the server. Your user information might not be configured correctly.",
	"7291.useraction":	"Ask your administrator to check that your user information is configured for access to the project.",
	// Last revision: 2012/09/11					
	// Last revision: 2012/09/19					
	
	"7292":				"CRRRW7292E Your personal dashboard could not be displayed.",
	"7292.explanation":	"Personal dashboards cannot be created while the server is in migration mode.",
	"7292.useraction": 	"See the documentation and release notes for this release for further information.",
	//START NON-TRANSLATABLE
	"7292.showuseraction": "Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE
	
	"7293":             "CRRRW7293E The project dashboard cannot be shown because a required parameter is missing from the page URL.",
	"7293.explanation": "This page displays a project dashboard. To display the dashboard, the page URL must contain the location " + 
						"(# parameter) of the project, which is indicated by the projectURI parameter.",
	"7293.useraction":  "Repeat the operation, being sure to specify a projectURI in the URL. The format is as follows: #projectURI=<i>project-uri</i>",
	//START NON-TRANSLATABLE
	"7293.showuseraction": "Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE
	// Last UA revision: August 27, 2012	
	
	"7294":				"CRRRW7294I The \"${0}\" suspicion profiles changed to the \"${1}\" profiles because a saved view was loaded.",
	"7294.explanation": "If you load a saved view that has suspicion profiles, your selected profiles are overwritten.",
	"7294.useraction":	"To restore your previous settings, on the Artifacts page or in the artifact editor, click the Suspicion Profiles icon.",
	//START NON-TRANSLATABLE
	"7294.showuseraction": "Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE
	// Last UA revision: December 11, 2012
	
	"7295":				"CRRRW7295I No suspicion profiles are selected.",
	"7295.explanation":	"This message is for informational purposes only.",
	"7295.useraction":	"To select a profile, click the Suspicion Profiles button.",
	//START NON-TRANSLATABLE
	"7295.showuseraction": "Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE
	// Last UA revision: August 27, 2012

	"7296":				"CRRRW7296W This project dashboard is not available because it is not fully configured. " +
						"Ask a project administrator to complete the configuration.",
	"7296.explanation":	"The first time a dashboard is used, information about the dashboard is written to the data store. " +
						"If the first user who uses the dashboard does not have write permission, the information about the " +
						"dashboard cannot be written to the data store, and the dashboard cannot be displayed.",
	"7296.useraction":	"To fix this problem, a user who has write permission must access the dashboard. " +
						"Then, the configuration is automatically saved and all users can then view the dashboard.",
	//START NON-TRANSLATABLE
	"7296.showuseraction": "Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE
	// Last UA revision: 12 April 2013

// ===== REVIEW 7300 - 7309 =====
	"7300":				"CRRRW7300E The review that is associated with this artifact has been deleted.",
	"7300.useraction":	"You cannot cast votes in this artifact viewer because the associated review was " +
						"deleted. Refresh your review list to see the reviews that are in progress.",
	//START NON-TRANSLATABLE
	"7300.showuseraction": "Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE
						
	"7301":				"CRRRW7301E The review could not be loaded.",
	"7301.explanation":	"A server request to show information about the associated review could not be completed.",
	"7301.useraction":	"Refresh the page by clicking the refresh push button near the top of the page, or log out " +
						"and log in again to refresh the application.  If the problem persists, " +
						"there might be an issue with the server.  Ask your administrator to check the server status.",

	"7302":				"CRRRW7302E	The review voting results cannot be saved.",
	"7302.explanation":	"Your changes were not saved because the review state changed on the server.",
	"7302.useraction":	"Ensure that you have a valid RM license and the appropriate permissions for the " +
						"RM project and the review. Then, refresh the browser and try to make and save your changes again. " +
						"If the problem persists, ask an administrator to check the server status.",
	//START NON-TRANSLATABLE
	"7302.showuseraction": "Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE
	// Last UA revision: 22 August 2013

	"7303":				"CRRRW7303E	The review results cannot be saved because the review has been deleted.",
	"7303.explanation": "The review has been deleted by another user.",
	"7303.useraction":	"Refresh the list of reviews to see if the associated review is no longer included.",
	//START NON-TRANSLATABLE
	"7303.showuseraction": "Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE
	// Last revision: 2012/09/19					

	"7304":				"CRRRW7304E The review cannot be saved.",
	"7304.explanation": "The review might have been modified or deleted by another user.",
	"7304.useraction":	"Refresh your list of reviews to see if the associated review is no longer included.",
	//START NON-TRANSLATABLE
	"7304.showuseraction": "Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE
	// Last revision: 2012/09/19					

	"7305":				"CRRRW7305E The review cannot be saved.",
	"7305.explanation":	"The request to save the review to the server failed with an error.",
	"7305.useraction":	"Refresh your browser and try to save the review again. If the problem persists, " +
						"there might be an issue with the server. Ask your administrator to check the server status.",
	// Last revision: 2012/09/19					

	"7306":				"CRRRW7306E The comment cannot be saved; the artifact has an invalid review status of \"${0}.\"",
	"7306.explanation":	"New comments cannot be added to the artifact in this review because the review status is invalid.",
	"7306.useraction":	"Refresh your browser and try to save the comment again. If the problem persists, " +
						"there might be an issue with the server. Ask your administrator to check the server status.",
	// Last revision: 2012/09/19					

	"7307":				"CRRRW7307E A review comment cannot be created.",
    "7307.explanation": "The request to save the review related comment on the server could not be completed.",
    "7307.useraction":	"Try to create or edit the comment again.  Ensure that the item " +
						"you are commenting on has not been deleted.",
	//START NON-TRANSLATABLE
	"7307.showuseraction": "Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE
	
	"7308":				"CRRRW7308E The review cannot be saved.",
	"7308.explanation":	"The review state has changed on the server; therefore, your changes could not be saved.  Please refresh the review and try again.",
	"7308.useraction":	"Refresh your browser, and try to save the review again.  If the problem persists, " +
						"there might be an issue with the server.  Ask your administrator to check the server status.",

    "7309":				"CRRRW7309E The review state cannot be changed.",
    "7309.explanation":	"The correct permission level is required for users to change the review state.  The permission " +
						"level that is assigned to you does not permit making this change.",
	"7309.useraction":	"Your account role might have changed, for example, from administrator to commenter. " +
						"Log out and login again to see whether your role has changed.",
	//START NON-TRANSLATABLE
	"7309.showuseraction": "Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE

// ===== SEARCH 7310 - 7319 =====
	"7310": 			"CRRRW7310E Recent comments cannot be read from the server.",
	"7310.explanation":	"The server request to load the recent comments could not be completed.",
	"7310.useraction":  "Refresh your browser and try to open the comments again. If the problem persists, " +
						"there might be an issue with the server. Ask your administrator to check the server status.",
	// Last revision: 2012/09/11					
	// Last revision: 2012/09/19					

	"7311":				"CRRRW7311E Recent artifacts cannot be read from the server.",
	"7311.explanation":	"The server request to load the recent artifacts could not be completed.",
	"7311.useraction":  "Refresh your browser and try to access the artifacts again. If the problem persists, " +
						"there might be an issue with the server. Ask your administrator to check the server status.",
	// Last revision: 2012/09/11					
	// Last revision: 2012/09/19					
	
	"7312":				"CRRRW7312E The query cannot be completed.",
	"7312.explanation":	"The server could not complete the request to run the query.",
	"7312.useraction":  "Refresh your browser and try the query again. If the problem persists, " +
						"there might be an issue with the server. Ask your administrator to check the server status.",
	// Last revision: 2012/09/11					
	// Last revision: 2012/09/19					

//	UNUSED 7313
//	"7313":				"CRRRW7313E The query cannot be completed.",
//	"7313.useraction":  "Refresh your browser, and try the query again.  If the problem persists, " +
//						"there might be an issue with the server.  Ask your administrator to check the server status.",
	
// ===== ARTIFACTS AND LINKS 7320 - 7339 =====
	"7320":				"CRRRW7320W The links cannot be created.",
	"7320.explanation": "Only project users who are assigned the author role can create links. Login accounts that " +
						"are restricted to the commenter role, cannot create links.",
	"7320.useraction":	"To create links, contact your administrator and ask to be assigned the author role. " +
						"A role change becomes effective the next time you log in.",
	 
	"7321":				"CRRRW7321W The artifact cannot be created.",
	"7321.explanation": "Artifact types are not defined in this project. Artifact types are required for creating artifacts.",
	"7321.useraction":	"You can create artifact types on the administrator page. To create artifact types you must have the " +
						"save type permission for the project.",
	//START NON-TRANSLATABLE
	"7321.showuseraction": "Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE
	 
	"7322":				"CRRRW7322E The artifact in the selected format cannot be created.",
	"7322.explanation": "No artifact type is defined for the selected artifact format. You cannot create an artifact of the " +
						"selected format until an artifact type with that format has been defined.",
	"7322.useraction":	"Create an artifact type that matches the selected format. To create artifact types you must have the " +
						"save type permission for the project.",
	//START NON-TRANSLATABLE
	"7322.showuseraction": "Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE
	
	"7323":				"CRRRW7323E The artifact creation form cannot be displayed.",
	"7323.explanation":	"The artifact creation form could not be loaded due to an error.",
	"7323.useraction":	"Refresh your browser and try the operation again. If the problem persists, " +
						"there might be an issue with the server. Ask your administrator to check the server status.",
	// Last revision: 2012/09/19					
	
	"7324":				"CRRRW7324E The artifact tags could not be saved.",
	"7324.explanation":	"The server request to save the artifact tags could not be completed.",
	"7324.useraction":	"Refresh your browser and try the operation again. If the problem persists, " +
						"there might be an issue with the server. Ask your administrator to check the server status.",
	// Last revision: 2012/09/19					
						
	"7325":				"CRRRW7325E The link types could not be retrieved.",
	"7325.explanation": "The server could not complete the request to load the link types.",
	"7325.useraction":	"Refresh your browser and try the operation again. If the problem persists, " +
						"there might be an issue with the server. Ask your administrator to check the server status.",
	// Last revision: 2012/09/11					
	// Last revision: 2012/09/19					
						
	"7326":				"CRRRW7326E The requirement could not be extracted.",
	"7326.explanation":	"The server request to save the extracted requirement could not be completed.",
	"7326.useraction":	"Refresh your browser and try the operation again. If the problem persists, " +
						"there might be an issue with the server. Ask your administrator to check the server status.",
	// Last revision: 2012/09/11					
	// Last revision: 2012/09/19					
						
	"7327":				"CRRRW7327E The resource cannot be modified.",
    "7327.explanation":	"Security constraints prevent the artifact from being modified.",
	"7327.useraction":	"Ask an administrator to give you access to the appropriate project.",
	//START NON-TRANSLATABLE
	"7327.showuseraction": "Y", // $NON-NLS-1$,
	//END NON-TRANSLATABLE
		
	"7328":				"CRRRW7328W Select the text to be saved for the new artifact.",
    "7328.explanation":	"To create a new artifact from an existing artifact, some text in the existing artifact must be selected.",
	"7328.useraction":	"Select some text and repeat the operation. The selected text will become the content of the new artifact.",
	//START NON-TRANSLATABLE
	"7328.showuseraction": "Y", // $NON-NLS-1$,
	//END NON-TRANSLATABLE
	// Last revision: 2012/09/20
	// Last UA revision: 2012/09/26
	
    "7329": 			"CRRRW7329W A new artifact cannot be created from the current content selection.",
    "7329.explanation":	"A selection that includes only part of a table cannot be used to create a new artifact.",
	"7329.useraction":	"Either select some text that does not include the table or include the whole table.  You can also select a single cell within the table.",
	//START NON-TRANSLATABLE
	"7329.showuseraction": "Y", // $NON-NLS-1$,
	//END NON-TRANSLATABLE
	// Last revision: 2012/09/20
	// Last UA revision: 2012/09/26
					
	"7330":				"CRRRW7330W The hyperlink cannot be edited.",
	"7330.explanation":	"Hyperlinks that have trace links cannot be edited. When a hyperlink has a trace link, the trace link is shown in the Links section of the sidebar",
	"7330.useraction":	"No action is required.",
	// Last UA revision: 2014/03/28
						
	"7331":				"CRRRW7331E The artifact could not be extracted.",
	"7331.explanation":	"An error occurred during the creation of a link to the extracted artifact.",
	"7331.useraction":	"Press Ctrl-Z to restore the original document, and then repeat the operation.",
	//START NON-TRANSLATABLE
	"7331.showuseraction": "Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE
	// Last revision: 2012/09/20
	// Last UA revision: 2012/09/26
		
	"7332":				"CRRRW7332W Select the text to be saved for the new artifact.",
    "7332.explanation":	"To create a new artifact from an existing artifact, some text in the existing artifact must be selected.",
	"7332.useraction":	"Select some text and repeat the operation. The selected text will become the content of the new artifact.",
	//START NON-TRANSLATABLE
	"7332.showuseraction": "Y", // $NON-NLS-1$,
	//END NON-TRANSLATABLE
	// Last revision: 2012/09/20
	// Last UA revision: 2012/09/26
	
    "7333": 			"CRRRW7333W When inserting a new artifact, only the contents of a single table cell or the entire table can be selected.", 
    "7333.explanation":	"A selection that includes only part of a table cannot be used to create a new artifact.",
	"7333.useraction":	"Either select some text that does not include the table or include the whole table. You can also select a single cell within the table.",
	//START NON-TRANSLATABLE
	"7333.showuseraction": "Y", // $NON-NLS-1$,
	//END NON-TRANSLATABLE
	// Last revision: 2012/09/20
	// Last UA revision: 2012/09/26

// UNUSED 7334
//	"7334":				"CRRRW7334E The links associated with the removed content cannot be deleted.",
//	"7334.useraction":	"Manually remove the links from the artifact by using the Links Sidebar section of the artifact.",
//	"7334.showuseraction": "Y", // $NON-NLS-1$
	
	"7335":				"CRRRW7335E The collections, reviews, and modules that are related to this artifact could not be retrieved.",
	"7335.explanation":	"The server operation to read the related artifacts failed.",
	"7335.useraction":  "Refresh your browser and try to access the related artifacts again. If the problem persists, " +
								"there might be an issue with the server. Ask your administrator to check the status of the server.",
	// Last revision: 2012/09/20
	// Last UA revision: 02/23/2012
	
	"7336":				"CRRRW7336E This collection contains these collections: ${0}.",
	"7336.explanation":	"A collection cannot contain another collection.",
	"7336.useraction":	"Any collections that are in this collection will be removed. To continue, click Save or Done.",
	//START NON-TRANSLATABLE
	"7336.showuseraction": "Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE
	
	// Last revision: 2012/10/15
	// Last UA revision: 2012/10/15
								
// UNUSED	"7337":				"CRRRW7337O Artifact(s) have been added to ${0}.",
	
	"7338":				"CRRRW7338E The artifact or artifacts could not be added to the collection.",
	"7338.explanation":	"The server operation to save the collection failed.",
	"7338.useraction":	"Refresh your browser and try to add the artifact or artifacts again. If the problem persists, " +
						"there might be an issue with the server. Ask your administrator to check the status of the server.",
	// Last revision: 2012/09/20
	// Last UA revision: 2012/09/26
	
	"7339":				"CRRRW7339I All the linked artifacts cannot be displayed fully.",
    "7339.explanation":	"The number of artifacts that are linked to the base artifacts is too large to fully display.",
	"7339.useraction":	"Filter the linktypes that are used for expanding the rows, or reduce the number of requested levels.",
	//START NON-TRANSLATABLE
	"7339.showuseraction": "Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE
	
						
// ===== EDITING, MERGE, SAVE 7340 - 7349
	"7340": 			"CRRRW7340W The artifact cannot be saved.",
	"7340.explanation": "The artifact has been changed by another user; a merge is required.  Changes that you made " + 
						"to the artifact cannot be saved because someone was editing the artifact at the same time. " + 
                		"These changes are displayed on the left.",
	"7340.useraction":	"You must merge the changes.  The artifact to "+
                		"be saved is displayed on the right. Copy changes from the left pane to the right pane.  When you are done, save the artifact.",	
	//START NON-TRANSLATABLE
	"7340.showuseraction": "Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE
      
   	"7341":				"CRRRW7341W The content cannot be pasted into the selected location.",
   	"7341.explanation": "The clipboard content is not valid RM XHTML. Only valid RM XHTML content can be pasted.",
	"7341.useraction":	"Use the <b>Paste as plain text</b> push button on the editor toolbar.",
	//START NON-TRANSLATABLE
	"7341.showuseraction": "Y", // $NON-NLS-1$
 	//END NON-TRANSLATABLE
      
   	"7342":				"CRRRW7342E The artifact cannot be saved.",
   	"7342.explanation": "The server operation to save the artifact failed.",
	"7342.useraction":	"Try to save the artifact again. If the problem persists, " +
						"there might be an issue with the server. Ask your administrator to check the status of the server.",
	//START NON-TRANSLATABLE
	"7342.showuseraction": "Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE
	// Last revision: 2012/09/20
	// Last UA revision: 2012/09/26
	
   	"7343":				"CRRRW7343E The artifacts cannot be saved.",
   	"7343.explanation": "An error occurred while checking for concurrent modifications.",
	"7343.useraction":	"Try to save the artifacts again.  If the problem persists, " +
						"there might be an issue with the server.  Ask your administrator to check the server status.",
	//START NON-TRANSLATABLE
	"7343.showuseraction": "Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE
	
   	"7344":				"CRRRW7344W Invalid content was pasted into the artifact.",
   	"7344.explanation": "The clipboard contains HTML content that cannot be inserted into a text artifact.",
   	"7344.useraction":	"You might be able to complete the operation by modifying the HTML content or by pasting as plain text. Select one of the following options.",
	//START NON-TRANSLATABLE
	"7344.showuseraction": "Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE
	// Last revision: 2012/09/20
	// Last UA revision: 2012/09/26
	
   		
    "7345":				"CRRRW7345W The embedded artifacts were replaced with hyperlinks to the artifacts.",
    "7345.explanation": "The embedded artifacts were replaced with hyperlinks because embedded artifacts cannot be pasted into comments.",
    "7345.useraction":  "To preserve content that you pasted into a comment, click <b>Paste as plain text</b> on the editor toolbar.",
	//START NON-TRANSLATABLE
	"7345.showuseraction": "Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE
      
    "7346":				"CRRRW7346E The artifact cannot be saved.",
    "7346.explanation": "The artifact content is not valid RM XHTML.",
    "7346.useraction":  "Simplify the content by removing complex layout and formatting.  If content was pasted, try " + 
                        "to repeat the paste operation by clicking <b>Paste as plain text</b> on the editor toolbar.",
      
   	"7347":				"CRRRW7347E The artifact cannot be saved.",
   	"7347.explanation": "The extracted artifact content is not valid RM XHTML.",
    "7347.useraction":  "Simplify the content by removing complex layout and formatting.  If content was pasted, try " + 
                        "to repeat the paste operation by clicking  <b>Paste as plain text</b> on the editor toolbar.",

   	"7348":				"CRRRW7348W The embedded images have been removed from pasted content.",
   	"7348.explanation": "The embedded images were removed because embedded images cannot be pasted into comments.",
    "7348.useraction":  "No action is required.",

    "7349":				"CRRRW7349W The embedded images were removed and the embedded artifacts were replaced with hyperlinks to the artifacts.",
    "7349.explanation": "The embedded images were removed and the embedded artifacts were replaced because embedded artifacts and images cannot be pasted into comments.",
    "7349.useraction":  "To preserve content that you pasted into a comment, click <b>Paste as plain text</b> on the editor toolbar.",
	//START NON-TRANSLATABLE
	"7349.showuseraction": "Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE
       

// ===== PROJECT 7350 - 7369 =====
	"7350": 			"CRRRW7350E The project with the name as specified cannot be created.",
	"7350.explanation": "A project with this name has been deleted and archived. A project cannot have the same name as a project that " +
						"has been deleted and archived.",
	"7350.useraction":	"Use a different name for the new project.",
	//START NON-TRANSLATABLE
	"7350.showuseraction": "Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE
	
	"7351": 			"CRRRW7351E The project with the name as specified cannot be created.",
	"7351.explanation":	"A project with this name already exists. A project cannot have the same name as an existing project.",
	"7351.useraction":	"Use a different name for the new project.",
	//START NON-TRANSLATABLE
	"7351.showuseraction": "Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE
	
	"7352": 			"CRRRW7352E The project with the specified name cannot be created.",
	"7352.explanation":	"The specified name contains a slash (/). Project names cannot contain slashes.",
	"7352.useraction":	"Specify a different name that does not contain a slash.",
	//START NON-TRANSLATABLE
	"7352.showuseraction": "Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE

	// 	objectTypesAreRequired - WARNING
	"7353": 			"CRRRW7353W The artifact cannot be created.",
	"7353.explanation":	"No artifact types are defined. Artifact types must be defined before you can create artifacts.",
	"7353.useraction":	"Create an object type by using the Administrator page for this project.",
	//START NON-TRANSLATABLE
	"7353.showuseraction": "Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE

// UNUSED 7354
//	"7354":				"CRRRW7354E The artifact was not be saved.",
//	"7354.useraction":	"Try to save the artifact again.",
//	// Last revision: 2012/09/20
	
	//"taskProgressError"
	"7355": 			"CRRRW7355E An error occurred while performing the process.",
	"7355.explanation":	"The server operation to report progress on the operation reported an error.",
	"7355.useraction":	"Refresh your browser and try the operation again. If the problem persists, " +
						"there might be an issue with the server. Ask your administrator to check the status of the server.",
	// Last revision: 2012/09/20
	// Last UA revision: 2012/09/26
	
	// Not used, because this is a question, not a message, so should not be in here.
	//"7356":			   'CRRRW7356W Are you sure you want to delete the template "${0}"? This action cannot be undone.',
	
	//"notAllowedError": 
	"7357":				"CRRRW7357E This project template cannot be modified.",
	"7357.explanation":	"This template is a system project template that cannot be changed.",
	"7357.useraction":	"Choose a different project template.",
	
	"7358": 			"CRRRW7358E The configuration space with the name as specified cannot be created.",
	"7358.explanation":	"A configuration space with this name already exists. A space cannot have the same name as an existing space.",
	"7358.useraction":	"Use a different name for the new configuration space.",
	"7358.showuseraction": "Y", // $NON-NLS-1$
	
	"7359":              "CRRRW7359W The selected project cannot be shown in the current global configuration. " +
						 "Check that the current global configuration is correct and that a configuration for the project exists in the global configuration.",
    "7359.explanation":  "The selected project is not part of the current global configuration. A configuration for the project " + 
    					 "must be added to the global configuration in order to be able to create links between CM enabled projects. ",
    "7359.useraction":   "If you intend to link between Artifacts in CM enabled projects, then the projects must belong to a global configuration. " + 
    					 "Ensure that the required configurations for these projects are contributors on the global configuration or ask an Administrator to do so.",
    // Last UA revision: 09/05/2014
	// Last UA revision: 09/06/2014
	"7360":              "CRRRW7360E The selected project does not support configuration management capabilities.",
    "7360.explanation":  "The current RM project supports configuration management capabilities, but the selected target project does not.",
    "7360.useraction":   "Select a source project and a target project that have the same support for configuration management.",
  //Last UA revision: 13 February 2015
    
    "7361":              "CRRRW7361E The selected project supports configuration management capabilities.",
    "7361.explanation":  "The current RM project does not support configuration management capabilities, but the selected target project does.",
    "7361.useraction":   "Select a source project and a target project that have the same support for configuration management.",
    //Last UA revision: 13 February 2015
	
	//Project Creation Progress
// UNUSED	"7359":				"CRRRW7359I Requesting template application...",
// UNUSED	"7360":				"CRRRW7360I Loading project folders...",
// UNUSED	"7361":				"CRRRW7361I Updating project list...",
// UNUSED	"7362":				"CRRRW7362I Loading permissions...",
// UNUSED	"7363":				"CRRRW7363I Please wait...",
// UNUSED	"7364":				"CRRRW7364O Done.",
	
	//Project Template Creation
	"7365": 			"CRRRW7365E The template with the name as specified cannot be created.",
	"7365.explanation":	"A project template with this name already exists. A project template cannot have the same name as an existing " + 
						"project template.",
	"7365.useraction":	"Use a different name for the new project template.",
	//START NON-TRANSLATABLE
	"7365.showuseraction": "Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE
	
	"7366":					"CRRRW7366I The baseline is being created.",
	"7366.explanation": 	"Because this baseline is being created on the server, all of the contents might not be displayed. " +
							"When the baseline is created, this message will not be displayed.",
	// Last UA revision: 02/23/2012
	
	// Artifact Attributes Reserved Names
	"7367":				"CRRRW7367E This attribute name cannot be used.",
	"7367.explanation":	"The specified attribute name is the same as a system-defined attribute name. An attribute name cannot be the " +
						"same as a system-defined attribute name.",
	"7367.useraction":	"Use a different name for the new attribute.",
	//START NON-TRANSLATABLE
	"7367.showuseraction": 	"Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE
	
    "7368":             "CRRRW7368E The application cannot create the project.",
    "7368.explanation": "The application could not read information about the current user from the server.",
    "7368.useraction":  "Try to create the project again.  If the problem persists, " +
                        "the server might not be working correctly. Ask your administrator to check the server status.",

	// Artifact Attributes convert to Single Value Enumerations when Multi Value Enumerations still exist.
	"7369":				"CRRRW7369E The artifact attribute cannot be converted to a single value.",
	"7369.explanation":	"The artifact attribute cannot be converted from a multiple value type to a single value type because there are artifacts that " +
						"have multiple values set for this attribute.",
	"7369.useraction":	"Edit the artifacts so that each artifact selects no more than one value for this attribute.",
	//START NON-TRANSLATABLE
	"7369.showuseraction": 	"Y", // $NON-NLS-1$	
	//END NON-TRANSLATABLE
	
// ===== GLOSSARY AND TERMS 7370 - 7379 =====

	"7370":				'CRRRW7370I No terms starting with "${0}" were found during the project search.',
	"7370.explanation":	"No terms were found starting with the selected text in the search of the project or projects.",
	"7370.useraction":	"If you expected to find matching terms, check for typing or spelling errors in the selected text. Consider broadening the search " +
						"to include more projects or use fewer characters and see the links at the bottom of the " +
						"results area.",
	// Last review: 2012/09/07
	// Last UA review: 2012/09/19

	"7371":				"CRRRW7371W The term lookup cannot be completed.",
	"7371.explanation":	"No object types in the project are configured to be used as \"terms.\" To complete a term lookup, at least one " +
						"object type must be configured to be used as a term. Artifacts of those types are searched during term lookup.",
	"7371.useraction":	"Create an object type and configure it to be used for term lookup; then create some artifacts of that object type.",
	
	"7372":				"CRRRW7372W You must select some text for term lookup. Click a word or click and drag to select some text.",
	"7372.explanation":	"In order to look up a term, some text must be selected.",
	"7372.useraction":	"Select some text and repeat the operation. Alternatively, place the cursor within a word and " +
						"repeat the operation, in which case the whole word will be selected and used for the term lookup.",
	// Last revision: 2012/09/20
	// Last UA revision: 2012/09/26

	"7373":				'CRRRW7373I No terms containing "${0}" were found during the project search.',
	"7373.explanation":	"No terms were found containing the selected text in the search of the project or projects.",
	"7373.useraction":	"If you expected to find matching terms, check for typing or spelling errors in the selected text. Consider " +
						"broadening the search to include more projects or use fewer characters and see the links at the bottom of the " +
						"results area.",
	// Last review: 2012/09/07
	// Last UA review: 2012/09/19
	
	"7374":				"CRRRW7374W To create a new term, select the text for the new term.",
	"7374.explanation":	"Creation of a term requires selection of some text. The selected text will be used as the name of the new term.",
	"7374.useraction":	"Select the word or words that you would like to use as the name of the new term.",
	// Last review: 2012/09/07
	// Last UA review: 2012/09/19

	"7375":				"CRRRW7375W To create a new term, the text for the term must be contained in a single paragraph.",
	"7375.explanation":	"The selected text for a new term must not span more than one paragraph or table cell. For example, consider " +
						"selecting a word or a short phrase.",
	"7375.useraction":	"Select the word or words that you would like to use as the name of the new term, ensuring that the selection is in " +
						"a single paragraph or table cell. If the text you have selected is to be used as the term definition, create the " +
						"new term first, and then edit it to add the definition text.",
	// Last review: 2012/09/07
	// Last review: 2012/09/19

	"7376":				"CRRRW7376W The object as specified cannot be created.",
	"7376.explanation":	"To create a term, at least one object type must be configured to be used as a term.  No object types " +
						"in the project are configured to be used as \"terms.\"",
	"7376.useraction":	"Create an object type and configure it to be used as a term.",
	
	"7377":				"CRRRW7377E The link type for linking to term-type objects cannot be loaded from the server.",
	"7377.explanation":	"Cannot load the link type from the server.",
	"7377.useraction":	"Refresh your browser, and try the linking operation again.  If the problem persists, " +
						"there might be an issue with the server.  Ask your administrator to check the server status.",
						
	"7378":				"CRRRW7378W The term cannot be created.",
	"7378.explanation":	"To create a new term the selection must not contain images or embedded artifacts.",
	"7378.useraction":	"Make a selection that includes text only, and then create a term.",

// ===== Extensibility 7380 - 7399 =====
	
	"7380":				"CRRRW7380E Message conflict.",
	"7380.explanation": "An extension tried to register error messages that conflict with ones already defined.",
	
	"7381":				"CRRRW7381E A request from the editor could not be processed.",
	"7381.explanation": "There was a request made from the editor that was either incorrectly formatted or was sent " +
						"at an expected time in the processing cycle.",
	"7381.useraction":	"Enable Browser Add-on tracing, contact IBM Software Support and provide the error-log data to the support representative.",
	
	"7382":				"CRRRW7382E The resource could not be edited because the graphical editor could not start.",
	"7382.explanation": "The editor could not be started because the Java virtual machine (JVM) was not able to load. The JVM might not load " +
						"if the installation of the browser add-on plugin failed or if another JVM is already loaded in the browser either " + 
						"previously in this window or tab or in another window or tab.",
	"7382.useraction":	"Disable other browser plug-ins that may use a JVM and restart the browser. For example, in the Firefox browser, click " +
						"<b>Tools > Add-ons</b>. Select each Java plug-in, and click <b>Disable</b>.",
	//START NON-TRANSLATABLE
	"7382.showuseraction": "Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE
	// Last UA revision: 02/23/2012
	
	"7383":				"CRRRW7383E The artifact cannot be created.",
	"7383.explanation": "No artifact type is associated with the artifact format that you are trying to create. To use an artifact " +
						"format, the format must be associated with an artifact type.",
	"7383.useraction":	"In the Project Properties of this project, create an artifact type with the artifact format that you are " +
						"trying to create.",
	//START NON-TRANSLATABLE
	"7383.showuseraction": "Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE
	
	"7384": 			"CRRRW7384W The resource could not be edited because your operating system is not supported.",
	"7384.explanation":	"The graphical editor is only supported on the Windows operating system at this time.",
	"7384.useraction":	"Edit in a Windows-based browser.",
	//START NON-TRANSLATABLE
	"7384.showuseraction": "Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE
	
	"7385": "CRRRW7385W This browser is not supported.",
	"7385.explanation": "The browser that you are using to edit graphical artifacts is not supported. " +
						"The editor is supported only on Firefox 3.6 and later and the 32-bit version of Internet Explorer 8 and later.",
	"7385.useraction": "When you edit, use either Firefox 3.6 and later or the 32-bit version of Internet Explorer 8 and later.",
	//START NON-TRANSLATABLE
	"7385.showuseraction": "Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE
	// Last UA revision: 04/11/2012

	"7386":				"CRRRW7386E The resource could not be edited.",
	"7386.explanation": "The editor could not start because the Browser Add-On Runtime Environment is not available. " +
						"This can happen if the Browser Add-on installation did not complete successfully or if the installation directory has been corrupted.",
	"7386.useraction":	"Uninstall the Browser Add-on plug-in, restart the browser, then attempt to edit the resource again to reinstall the plug-in. " +
						"If the problem persists, contact IBM Software Support.",
	//START NON-TRANSLATABLE
	"7386.showuseraction": "Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE
	
	"7387":				"CRRRW7387E The action cannot be completed because an invalid global configuration was specified.",
	"7387.explanation":	"To perform this action, you must be working in a valid global configuration. Select a global configuration that includes the RM project you are working with and try the action again.",
	//Last UA revision: 24 February 2015
	
// ===== generic 7550 - 7559 =====

    "7550":				"CRRRW7550E The requested artifact cannot be viewed.", //Error_403
    "7550.explanation":	"Because of security settings, only users with the correct permission levels and project access can view the artifact.",
	"7550.useraction":	"Ask an administrator to give you access to the appropriate project.",
	//START NON-TRANSLATABLE
	"7550.showuseraction": "Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE
	
    "7551":				"CRRRW7551E The requested artifact cannot be found.", //Error_410
    "7551.explanation": "The item that you are trying to view cannot be found in the database. It might have been deleted by another user.",
    "7551.useraction":  "Refresh your browser, by using the refresh push button near the top of the page to ensure that your display is " +
						"up-to-date with the current database content.",
	//START NON-TRANSLATABLE
	"7551.showuseraction": "Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE

    "7552":				"CRRRW7552E The requested artifact cannot be found.", //Error_404
    "7552.explanation": "The specified artifact cannot be found in the global configuration.",
    "7552.useraction":  "Ensure that the request specifies a valid global configuration.",
	
	"7553":				"CRRRW7553E An error has occurred while processing a server request. The server returned this error code: ${0}.", //ErrorXhrCallback
    "7553.explanation": "A message that was received from the server indicates an error with no specific handler.",
    "7553.useraction":  "Refresh your browser, and try the operation again.  If the problem persists, " +
						"there might be an issue with the server.  Ask your administrator to check the server status.",
	
	"7554":				"CRRRW7554E Unable to determine the HTTP status code: ${0}", // errorHttpStatus
    "7554.explanation": "An invalid HTTP response was received from the server.",
    "7554.useraction":  "Refresh your browser, and try the operation again.  If the problem persists, " +
						"there might be an issue with the server.  Ask your administrator to check the status " +
						"of the server.",
						
	"7555":				"CRRRW7555E The following HTTP status code cannot be interpreted: ${0}", // errorHttpResponse
    "7555.explanation": "An invalid HTTP response was received from the server.",
    "7555.useraction":  "Refresh your browser, and try the operation again.  If the problem persists, " +
						"there might be an issue with the server.  Ask your administrator to check the server status.",
						
	"7556":				"CRRRW7556E A connection to the server cannot be established. The following HTTP status code was received: ${0}", // cannot connect to server. parameter ${0} is a number
	"7556.explanation":	"The application cannot connect to the server. There might be a problem with your " +
						"network connection or the server might not be available.",
	"7556.useraction":  "Check your computer's network connection. " +
						"Ask your administrator to check the status of the server.",
	//START NON-TRANSLATABLE
	"7556.showuseraction": "Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE
	// Last revision: 2012/09/20
	// Last UA revision: 2012/09/26
    					
	"7557":				"CRRRW7557E The server has taken too long to respond.", // cannot connect to server
    "7557.explanation": "The application has been waiting for some time for the server to respond to " +
						"a request." ,
	"7557.useraction":	"Ask your administrator to check the server status.",
	
	"7558":				"CRRRW7558E The server does not permit the attempted operation.", // HTTP 403 - Forbidden 
    "7558.explanation": "The message that follows might indicate why the server does not permit the operation. To troubleshoot " +
    					"this issue, ask your server administrator to check the server configuration.",
	"7558.useraction":	"For more information about the cause of the error, check the message details. Also, ensure that " +
						"the required licenses are installed and activated, and that they have not expired. To check your " +
						"licenses, from the Jazz Team Server administration pages, click Server > License Key Management.  If " +
						"you have correct and up-to-date licenses and are an administrator, check the teamserver.properties file " +
						"in the /server/conf/rm directory to ensure that the file contains the correct server name and port " +
						"number. If you are not an administrator, ask a server administrator to check the teamserver.properties file.",
	//START NON-TRANSLATABLE
	"7558.showuseraction": "Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE

	"7559":				"CRRRW7559W Changes to the view cannot be saved.",
	"7559.explanation":	"Since you opened this view, someone else changed it.",
	"7559.useraction":	"Either save this view as a new view or undo your changes, make them again, and save the view.",
	//START NON-TRANSLATABLE
	"7559.showuseraction": "Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE
						
// ===== ADMIN UI 7560 - 7569 =====

    "7560":				"CRRRW7560E The administration page cannot be accessed.",
    "7560.explanation":	"Access to the administration page requires the correct permission level.",
	"7560.useraction":	"Ask an administrator to make changes on the project administration page for you. " +
						"Alternatively, ask an administrator to assign you the administrator role so " +
						"that you can access the administration page.",
	//START NON-TRANSLATABLE
	"7560.showuseraction": "Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE
												
	"7561":				"CRRRW7561E The project templates cannot be displayed.",
    "7561.explanation":	"To view the project templates, certain roles and permissions are required.",
	"7561.useraction":	"Ask an administrator to assign you both the administrator role and JazzAdmin repository permission.",
	//START NON-TRANSLATABLE
	"7561.showuseraction": "Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE
	// Last UA revision: August 27, 2012
	
	"7562":				"CRRRW7562E The project template could not be uploaded to the server.",
	"7562.explanation":	"The server request to upload the project template to the server could not be completed. " +
						"It may be the case that a project template already exists that contains the same name.",
	"7562.useraction":	"Refresh your browser and try to upload the project template again. If the problem persists, " +
						"ask your administrator to check the status of the server for possible issues.",

	"7563":				"CRRRW7563E The project template could not be uploaded to the server",
	"7563.explanation": "The server request to upload the project template to the server could not be completed. " +
						"Either a project template with the same name already exists or an invalid file type was uploaded.",
	"7563.useraction":	"Upload the project template again after verifying that the template name is unique and that the file type is .archive.",					
												
// ===== IMPORT/EXPORT 7570 - 7589 ====

	"7570":				"CRRRW7570E The comma-separated values (CSV) file was not imported.",
	"7570.explanation":	"Either the server request to upload the file to the server failed or there was a problem importing the file content.",
	"7570.useraction":  "Refresh your browser and try the operation again. If the problem persists, " +
						"there might be an issue with the server. Ask your administrator to check the status of the server.",
	// Last revision: 2012/09/20
	// Last UA revision: 2012/09/26

	"7571":				"CRRRW7571E The comma-separated values (CSV) file cannot be imported.",
	"7571.explanation":	"You might not have permission to import an artifact type that is in the file, or the file might not meet the requirements to be imported. For example, one or more rows might contain a type that is not in the type system.",
	"7571.useraction":	"Update the file, the project type system, your user permissions, or all. To learn more about the CSV format and importing CSV files, see the product documentation.",
	//START NON-TRANSLATABLE
	"7571.showuseraction": "Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE
	// Last revision: 2014/06/26
	// Last UA revision: 2014/06/27
	
	"7572":				"CRRRW7572W The comma-separated values (CSV) file was imported, but with some warnings.",
	"7572.explanation":	"Some of the file content might not have been imported.",
	"7572.useraction":	"Review the status messages shown and check the imported artifacts. You might be able to modify the csv file or modify the type system to allow the file to be imported without warnings.",
	//START NON-TRANSLATABLE
	"7572.showuseraction": "Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE
	// Last revision: 2012/09/20
	// Last UA revision: 2012/09/26
	
	"7573":				"CRRRW7573E The Microsoft Word document was imported with errors.",
	"7573.explanation":	"The errors might be due to problems with the file contents.",
	"7573.useraction":	"Review the status messages shown. You might be able to modify the Microsoft Word document to allow it to be imported without errors.",
	//START NON-TRANSLATABLE
	"7573.showuseraction": "Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE
	// Last revision: 2012/09/20
	// Last UA revision: 2012/09/26
		
					
	"7574":				"CRRRW7574E The artifacts were not exported.",
	"7574.explanation": "The server operation to export the artifacts failed.",
	"7574.useraction":	"Refresh your browser and try the operation again. If the problem persists, " +
						"there might be an issue with the server. Ask your administrator to check the status of the server.",	
	// Last revision: 2012/09/20
	// Last UA revision: 2012/09/26

						
	"7575":				"CRRRW7575I The document was converted.",
	"7575.explanation": "This message is for informational purposes only.",
	"7575.useraction":	"No further action is required.",
	// Last revision: 2012/09/20
	// Last UA revision: 2012/09/26
	
	"7576":				"CRRRW7576E The Microsoft Word document was not imported.",
	"7576.explanation":	"Either the server request to upload the file to the server failed or there was a problem importing the file content.",
	"7576.useraction":  "Refresh your browser and try the operation again. If the problem persists, " +
						"there might be an issue with the server. Ask your administrator to check the status of the server.",
	// Last revision: 2012/09/20
	// Last UA revision: 2012/09/26
						
	"7577":				"CRRRW7577W The Microsoft Word document was imported, but with some warnings.",
	"7577.explanation":	"Some of the file content might not have been imported.",
	"7577.useraction":	"Review the status messages shown, and then check the imported artifacts. You might be able to modify the Microsoft Word document to allow the file to be imported without warnings.",
	//START NON-TRANSLATABLE
	"7577.showuseraction": "Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE
	// Last revision: 2012/09/20
	// Last UA revision: 2012/09/26
	
	"7578":				"CRRRW7578I The document has been submitted and is being processed.",
	"7578.explanation": "This message is for informational purposes only.",
	"7578.useraction":	"No further action is required.",
	// Last revision: 2012/09/20
	// Last UA revision: 2012/09/26
	
	"7579":				"CRRRW7579E The process of importing the comma-separated values (CSV) file is still in progress, but it has taken longer than the permitted timeout period.",
	"7579.explanation":	"The connection to the server timed out during the import operation.",
	"7579.useraction":	"You can check for completion of the operation later by refreshing the view and checking for the newly imported artifacts.",
	//START NON-TRANSLATABLE
	"7579.showuseraction": "Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE
	// Last revision: 2012/09/20
	// Last UA revision: 2012/09/26
						
	"7580":				"CRRRW7580I The export operation has started. The process might take a considerable amount of time, depending on how many "+
						"requirements are being exported.",
	"7580.explanation":	"This message is for informational purposes only.",
	"7580.useraction":	"No further action is required.",
	// Last revision: 2012/09/20
	// Last UA revision: 2012/09/26
										
	"7581":				"CRRRW7581I The report was generated. <a href='${0}'>Show report</a>",
	"7581.explanation": "This message is for informational purposes only.",
	"7581.useraction":	"No further action is required.",
	
	"7582":				"CRRRW7582I The project properties were imported successfully.",
	"7582.explanation": "This message is for informational purposes only.",
	"7582.useraction":	"No further action is required.",
	// Last revision: 2012/09/11	
	// Last revision: 2012/09/19		
	
	"7583":				"CRRRW7583I The requirements were extracted successfully. Click on the ${0} folder in order to view the extracted requirements.",
	"7583.explanation": "The requirements were extracted successfully during the import process.",
	
	"7584":				"CRRRW7584E The project template was not uploaded to the server. The template must be a .archive file.",
	"7584.explanation": "The file type of the template was not .archive.",
	"7584.useraction":	"Verify that the file type of the template is .archive, and try to upload the template again.", 
	//Last UA revision: 26 September 2013
	
	"7585":				"CRRRW7585W The specified end date cannot be set.",
    "7585.explanation":	"The specified end date is before the start date.",
	"7585.useraction":  "Specify an end date that is after the start date.",
	"7585.showuseraction": "Y", // $NON-NLS-1$
	//Last UA revision: 31 March 2014
										
// ===== REQPRO WIZARD 7600 - 7610 =====

    "7600":				"CRRRW7600E The ${0} Rational RequisitePro project baseline file cannot be uploaded.",	
    "7600.explanation":	"There was an error while trying to upload the Rational RequisitePro project baseline file.",
	"7600.useraction":	"Verify that the file is in the correct format, and try to upload the file again. Otherwise, contact your " +
						"administrator.",
    
    "7601":				"CRRRW7601E The IBM Rational RequisitePro project was not imported: ${0}",
	"7601.explanation":	"The server request to import the Rational RequisitePro project failed.",
	"7601.useraction":	"Verify that the file is in the correct format, and then try to import the file again. If the attempt fails, contact your " +
						"administrator.",
	// Last revision: 2012/09/20
	// Last UA revision: 2012/09/26
	

	// ===== CAPPED QUERY 7610 - 7620 =====
	
	"7610":				"CRRRW7610W Only partial results are shown.",
   	"7610.explanation": "Partial results were returned because the query took too long to run or because the search was too broad and the " +
						"results were limited by the server.",
	"7610.useraction":	"Refine your search to reduce the number of results.",
	//START NON-TRANSLATABLE
	"7610.showuseraction": "Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE
	
	"7611":				"CRRRW7611W The list of artifacts cannot be displayed.",
   	"7611.explanation": "The server was unable to generate the list of artifacts in a reasonable period of time.",
	"7611.useraction":	"Try making the filter more specific. For example, specify which artifact types to display, " +
						"and try to open the list again.",
	//START NON-TRANSLATABLE
	"7611.showuseraction": "Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE
	
	// ===== ARTIFACT HISTORY 7620 - 7629 =====
	
	"7620":				"CRRRW7620E The previous artifact version could not be restored due to an error.",	
    "7620.explanation":	"The server request to update the artifact to the previous version failed.",
	"7620.useraction":  "Refresh your browser and try the operation again. If the problem persists, " +
						"there might be an issue with the server. Ask your administrator to check the status of the server.",
	// Last revision: 2012/09/20
	// Last UA revision: 2012/09/26
	
    "7621":				"CRRRW7621E The application is unable to load the history for the following artifact: ${0}.",
    "7621.explanation": "The artifact might have been deleted or archived.",
    "7621.useraction":  "Make sure that the artifact exists, and try the operation again. If the problem persists, the server " +
						"might not be working correctly.  Ask your administrator to check the server status.",
    
    "7622":				"CRRRW7622E The application is unable to load the following artifact: ${0}.", 
    "7622.explanation": "The artifact might have been deleted or archived.",
    "7622.useraction":  "Make sure that the artifact exists, and try the operation again. If the problem persists, the server " +
						"might not be working correctly. Ask your administrator to check the server status.",
	
    "7623":   "CRRRW7623E The history for the artifact cannot be shown because a required parameter is missing from the page URL.",
    "7623.explanation": "This page displays the history for one artifact. That artifact must be specified by providing a location " +
						"(# parameter) in the page URL.",
    "7623.useraction": "Repeat the operation and be sure to specify an artifact in the URL.",
	
    // ===== DATA INDEX 7630 - 7639 =====
	
	"7630":				"CRRRW7630W The list of artifacts displayed might not be accurate.",
   	"7630.explanation": "The list might not include some recently saved artifacts or might show artifacts that have been recently deleted. " +
						"The server is currently updating the list.",
	"7630.useraction":	"Wait several seconds for the server to complete the work, and then click Refresh to display the accurate list.",
	//START NON-TRANSLATABLE
	"7630.showuseraction": "Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE
	
	// ===== REVIEW 7640 - 7649 =====

	"7640":				"CRRRW7640I Click Done when you are finished reviewing all artifacts.",
    "7640.explanation":	"All artifacts have been marked as reviewed.  Click Done when you have finished adding review comments and all " +
						"artifacts are marked appropriately.  After you click Done, you will not be able to edit your review " +
						"unless the review owner requests further action.",

	"7641":				"CRRRW7641I Mark the review as Done when you are finished reviewing all artifacts.",
    "7641.explanation":	"All artifacts have been marked as reviewed.  Open the review and click Done when you have finished adding " +
						"review comments and all artifacts are marked appropriately.  After you click Done, you will not be able to " +
						"edit your review unless the review owner requests further action.",
						
	"7642":				"CRRRW7642W No more than 250 reviews can be included in the report.",
    "7642.explanation":	"An internal tool supports up to 250 reviews in a report. If you add more than 250, the report generation process might fail.",
	"7642.useraction":  "Remove reviews from the report.",
	"7642.showuseraction": "Y", // $NON-NLS-1$

	"7643": "CRRRW7643I Reviews open in a new tab or window, and might open in a different stream or baseline. When you finish with a review, close this tab or window.",
	"7643.explanation":	"Reviews always open in another browser tab or window. Whether the review opens in a tab or a window depends on the browser and its settings. " +
						"Also, the review might open in a different stream or baseline. When you are done with the review, close this tab or window.",
	
	"7644":				"CRRRW7644E The review, ${0}, cannot be opened because its CM configuration, ${1}, was archived.",
	"7644.explanation":	"A review cannot be opened after its configuration is archived.",
	"7644.useraction":  "Unarchive the stream or baseline that is associated with the review. Then, open the review.",	
	//Last UA revision: 6 August 2014

	// ===== ARTIFACTS AND LINKS CONTINUED 7650 - 7669 =====
// UNUSED	"7650":				"CRRRW7650O Artifacts added to ${0}: ${1}.",
    "7651": 			"CRRRW7651W You do not have permission to create the artifact.",
    "7651.explanation": "Only project users who have the author role and the analyst license can create artifacts. If you have only the commenter role, you cannot create artifacts.",
    "7651.useraction":  "To create artifacts, ask your administrator to assign the author role and analyst license to you. After the administrator assigns the role changes, the changes become effective the next time you log on.",

	"7652":				"CRRRW7652E Links cannot be created.",
    "7652.explanation": "Custom link types cannot be used between different projects.",
    "7652.useraction":  "To create links between projects, use a system-defined link type.",
	//START NON-TRANSLATABLE
	"7652.showuseraction": "Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE
	//Last UA revision: 10 September 2013
	
	"7653":				"CRRRW7653E The link cannot be created.",
	"7653.explanation":	"This artifact already has a link that is identical to the link that you tried to create.",
	"7653.useraction":	"If you still want to create a link, use a different link type or link to a different artifact.",
	//START NON-TRANSLATABLE
	"7653.showuseraction": "Y", // $NON-NLS-1$
    //END NON-TRANSLATABLE
    //Last UA revision: 12/5/2013
	
	"7654":				"CRRRW7653E The link cannot be created.",
	"7654.explanation":	"The target URL is not in the format that the server expects.",
	"7654.useraction":	"Try to create the link again, being careful to use a valid URL.",
	//START NON-TRANSLATABLE
	"7654.showuseraction": "Y", // $NON-NLS-1$
    //END NON-TRANSLATABLE
    //Last UA revision: 12/12/2013
    
	"7655":				"CRRRW7655W An artifact cannot be created from the selected template.",
    "7655.explanation": "The template references data that is not in the current configuration.",
    "7655.useraction":  "Either use a different template or accept all incoming changes into the current configuration and then try to use this template again.",
	//START NON-TRANSLATABLE
	"7655.showuseraction": "Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE
	//Last UA revision: 17 September 2014
    
    "7661":				"CRRRW7661W Unable to validate whether the artifact was deleted.",
    "7661.explanation": "A problem might have occurred in the browser or the server while the artifacts were being deleted.",
    "7661.useraction":  "Try to refresh the browser. If the problem persists, the server might not be working correctly. " +
						"Ask your administrator to check the server status.",
	//START NON-TRANSLATABLE
	"7661.showuseraction": "Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE

    "7662":				"CRRRW7662W A '${0}' link cannot be created to the following artifact: '${1}'.",
    "7662.explanation": "Team ownership settings do not allow link creation between the two artifacts.",
    "7662.useraction":  "Select a different artifact or a different link type.",
	//START NON-TRANSLATABLE
	"7662.showuseraction": "Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE
	// Last UA revision: 02/23/2012

    "7663":				"CRRRW7663I An Extraction type link cannot be created.",
    "7663.explanation": "Team ownership settings do not allow Extraction links to be created for the artifact that you are extracting from.",
    "7663.useraction":  "To create a traceability link for the extraction, select one of the available link types.",
	//START NON-TRANSLATABLE
	"7663.showuseraction": "Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE
	// Last UA revision: 02/23/2012

    "7664":				"CRRRW7664W The selected link type and the selected folder cannot be extracted.",
    "7664.explanation": "Team ownership settings do not allow links of the following type to be created for artifacts in the selected folder: '${0}'.",
    "7664.useraction":  "Select a different link type or a different folder.",
	//START NON-TRANSLATABLE
	"7664.showuseraction": "Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE
	// Last UA revision: 02/23/2012
	
    "7665":				"CRRRW7665W The link cannot be changed to the selected type.",
    "7665.explanation": "Team ownership settings do not allow changing the link type.",
    "7665.useraction":  "Select a different link type.",
	//START NON-TRANSLATABLE
	"7665.showuseraction": "Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE
	// Last UA revision: 02/23/2012

    "7666":				"CRRRW7666W Links cannot be created.",
    "7666.explanation": "Team ownership settings do not allow link creation.",
    "7666.useraction":  "Ask your administrator to check your team ownership settings for creating links.",
	//START NON-TRANSLATABLE
	"7666.showuseraction": "Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE

    "7667":				"CRRRW7667E One or more rows were not changed either to or from headings.",
    "7667.explanation": "One or more rows were not updated because a request to the server failed. " +
						"This failure might occur for several reasons, but a common reason is that the connection to the server failed.",
    "7667.useraction":  "Refresh the module and try to update the heading or headings again.  If the problem persists, " +
						"the server might be experiencing issues.  Ask your administrator to check the status " +
						"of the server.",
	//Last UA revision: December 11, 2012


    "7668":				"CRRRW7668E This artifact cannot be deleted because it used in at least one module. ",
    "7668.explanation": "Before an artifact can be deleted, it must be removed from all of the modules that use it.",
    "7668.useraction":  "To find out which modules use the artifact, open the artifact and view the Where Used " +
						"section of the sidebar. Remove the artifact from those modules and then delete the artifact.",
	//START NON-TRANSLATABLE
	"7668.showuseraction": "Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE
	// Last UA revision: August 27, 2012
		
	"7669":				"CRRRW7669W: The artifacts have not been selected.  No more than ${0} artifacts can be selected at a time.",  // ${0} is a number (e.g. 200)
    "7669.explanation": "In a module, operations are limited to 200 artifacts.",
    "7669.useraction":  "Select fewer artifacts.  If you need to perform an operation on more than 200 artifacts, do it in batches of no more than 200.",
	//START NON-TRANSLATABLE
   	"7669.showuseraction": "Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE
    // Last UA revision: August 27, 2012
    						
//===== Module Find 7670 - 7690 =====
	"7670":				"CRRRW7670I The section number, '${0}', was not found.",
	//						The following parameter is a section number: ${0}.  For example, 1.2.3.
	"7670.explanation":	"The module does not contain a section with the number that you searched for.",
	"7670.useraction":	"No further action is required.",
	// Last UA revision: 02/23/2012
	
	"7671":				"CRRRW7671I The artifact ID, '${0}', was not found.",
	//						The following parameter is a numeric identifier for an artifact: ${0}. For example, 1234.
	"7671.explanation":	"The module does not contain an artifact with the number that you searched for.",
	"7671.useraction":	"No further action is required.",
	// Last UA revision: 02/23/2012
	
	"7672":				"CRRRW7672W The following section number was not found: '${0}'. Instead, this section was found: '${1}'.",
	//						The following parameters are both section numbers: ${0} and ${1}.  For example, 1.2.3.
	"7672.explanation":	"The module does not contain an artifact with the number that you searched for.",
	"7672.useraction":	"No further action is required.",
	// Last UA revision: 02/23/2012
	
	"7673":				"CRRRW7673W The search value must end with a digit or a period.",
	"7673.explanation":	"To find an artifact, enter its ID or section number. To indicate a top-level section, use a dot. " +
											"For example: '4.'.",
	"7673.useraction":	"Enter a valid ID or section number.",
	// Last UA revision: 02/23/2012
	
	
	"7674":				"CRRRW7674W The specified section number is invalid.",
	"7674.explanation":	"The value that you entered is not of the correct form for a section number. Section numbers " +
											"contain only digits, dot separators, and parentheses.",
	"7674.useraction":	"Enter a valid section number.",
	// Last UA revision: 02/23/2012
		
	"7675":				"CRRRW7675I The search string was not found in the module.",
	"7675.explanation":	"This message is for informational purposes only.",
	"7675.useraction":	"No further action is required.",
	// Last revision: 2012/08/20
	// Last UA revision: 2012/09/26
	
	"7676":				"CRRRW7676E The find operation could not be completed.",
	"7676.explanation":	"An error occurred while performing the find operation.",
	"7676.useraction":	"Refresh the page by clicking the refresh button near the top of the page, or refresh the application by logging out " +
						"and logging in again.  If the problem persists, " +
						"there might be an issue with the server.  Ask your administrator to check the server status.",
	// Last UA revision: 02/23/2012
	
	"7677":				"CRRRW7677I The entire module was searched.",
	"7677.explanation":	"This message is for informational purposes only.",
	// Last UA revision: 02/23/2012
	
	"7678":				"CRRRW7678W The artifact was modified. Before you can replace the artifact, you must refresh the module.",
	"7678.explanation":	"The artifact was probably modified by another user.",
	"7678.useraction":	"Refresh the module and repeat the operation.",
	// Last UA revision: 02/23/2012
	
	"7679":				"CRRRW7679E The artifact cannot be loaded.",
	"7679.explanation":	"The server request to load the artifact could not be completed.",
	"7679.useraction":	"Refresh the module and repeat the operation.",
	// Last UA revision: 02/23/2012
		
	"7680":				"CRRRW7680W Section numbers cannot be edited.",
	"7680.explanation": "Section numbers are generated automatically from the hierarchy of " +
  										"artifacts.  To change section numbers, restructure the module by promoting, demoting, or moving artifacts.",
	"7680.useraction":	"Restructure the module as necessary.",
	// Last UA revision: 02/23/2012
	
	"7681":				"CRRRW7681W The title cannot be changed for this artifact because the title is system-generated.",
  	"7681.explanation": "The title for this artifact is automatically generated from the artifact content. The title text " +
  										"cannot be replaced directly.",
	"7681.useraction":	"To change the title text, replace the text in the primary text attribute that the title is generated from.",
	// Last UA revision: 02/23/2012
	
	"7682":				"CRRRW7682W Text replacements are not allowed for ID numbers.",
	"7682.explanation": "ID numbers are system-generated and cannot be changed.",
	"7682.useraction":	"No action is required.",
	// Last UA revision: 02/23/2012
	
	"7683":				"CRRRW7683W An artifact cannot be moved below itself in the module hierarchy.",
	"7683.explanation": "When you move an artifact, avoid dragging it to a position that is nested below itself.",
	"7683.useraction":	"While you are dragging an artifact, you can collapse a heading by hovering the cursor over the twistie.",
	//START NON-TRANSLATABLE
	"7683.showuseraction": "Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE
	//Last UA revision: 26 September 2013
	
	"7684":				"CRRRW7684W The artifact cannot be moved to the module.",
	"7684.explanation": "Artifacts can be moved between modules that are in the same project and configuration only.",
	"7684.useraction":	"To move an artifact between modules that are in the same project and configuration, open each module in a separate browser window and drag the artifact from one module to the other.",
	//START NON-TRANSLATABLE
	"7684.showuseraction": "Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE
	//Last UA revision: 26 September 2013	
	
	"7685":				"CRRRW7685W The artifact cannot be added to the module.",
	"7685.explanation": "Neither collections nor modules can be added to modules.",
	"7685.useraction":	"Before you add an artifact to a module, make sure that the artifact is neither a module nor a collection.",
	//START NON-TRANSLATABLE
	"7685.showuseraction": "Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE
	//Last UA revision: 2 October 2013

// ===== Module Baseline and History Messages (7691 - 7699) =====

    "7691": "CRRRW7691E The module baseline was not created.",
    "7691.explanation": "The server failed to create a baseline of the module.  Another user might be editing the module.",
    "7691.useraction": "Try to create the baseline again later.  If the problem persists, " +
						"there might be an issue with the server.  Ask your administrator to check the server status.",	
    // Last UA revision: 02/23/2012
    
    "7692": "CRRRW7692E The module baseline was not updated.",
    "7692.explanation": "The server failed to update this baseline of the module.",
    "7692.useraction": 	"Try to update the baseline again.  If the problem persists, " +
						"there might be an issue with the server.  Ask your administrator to check the server status.",	
    // Last UA revision: 02/23/2012		

// ===== Module Baseline and History Messages (7700 - 7709) =====
   	"7700":				"CRRRW7700E The artifact cannot be saved.",
   	"7700.explanation": "While the artifact was being saved, a permission error occurred. You might not have permission to save this type of artifact.",
	"7700.useraction":	"Ask your administrator to grant you permission to edit artifacts of this type.",
	//START NON-TRANSLATABLE
	"7700.showuseraction": "Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE
	// Last UA revision: 2012/04/05

// ===== Artifact Template Messages (7710 - 7719) =====

   	"7710":				"CRRRW7710E The artifact cannot be created from the specified artifact template.",
   	"7710.explanation": "While the artifact was being created based on the specified template, an error occurred.",
	"7710.useraction":	"Try to create the artifact again. If the problem persists, " +
						"the server might be experiencing issues. Ask your administrator to check the server status.",
	//START NON-TRANSLATABLE
	"7710.showuseraction": "Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE
	// Last UA revision: August 27, 2012
	
// ===== Artifact Template Messages (7720 - 7729) =====
   	"7720":				"CRRRW7720W One or more of the selected folders was deleted.",
   	"7720.explanation": "Other users might have deleted the folders.",
	"7720.useraction":	"If you selected folders by using a view, update the view so that it does not include the deleted folders. " +
						"If you selected folders directly, refresh the page by clicking the refresh icon near the top of the page to " +
						"ensure that current folders are shown.",
	//START NON-TRANSLATABLE
	"7720.showuseraction": "Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE
	// Last UA revision: August 27, 2012

   	"7721":				"CRRRW7721W One or more folders cannot be selected.",
   	"7721.explanation": "Another user might have deleted the folder or folders.",
	"7721.useraction":	"Refresh the page by clicking the refresh icon near the top of the page, or by logging out " +
						"and logging in again. If the problem persists, " +
						"the server might be experiencing issues. Ask your administrator to check the server status.",
	//START NON-TRANSLATABLE
	"7721.showuseraction": "N", // $NON-NLS-1$
	//END NON-TRANSLATABLE
	// Last UA revision: August 27, 2012

   	"7722":				"CRRRW7722W None of the selected folders are available.",
   	"7722.explanation": "Other users might have deleted the folders.",
	"7722.useraction":	"If you selected folders by using a view, either delete the view or update it to include only folders that exist. " +
						"If you selected folders directly, refresh the page by clicking the refresh icon near the top of the page to " +
						"ensure that current folders are shown.",
	//START NON-TRANSLATABLE
	"7722.showuseraction": "Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE
	// Last UA revision: August 27, 2012
		
// ===== Artifact Locking Messages (7730 - 7739) =====
	// unlock failed when changed article is being saved 
   	"7730":				"CRRRW7730W The artifact is already unlocked. Other users might have changed the artifact since you locked it.",
   	"7730.explanation": "Another user might have unlocked the artifact and made changes to it.",
	"7730.useraction":	"Check the artifact to note whether other users have changed it.",
	//START NON-TRANSLATABLE
	"7730.showuseraction": "Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE
	// Last UA revision: August 27, 2012

	// In the case of edit being cancelled, use warning only.
   	"7731":				"CRRRW7731W The artifact is already unlocked. Other users might have changed the artifact since you locked it.",
   	"7731.explanation": "Another user might have unlocked the artifact and made changes to it.",
	"7731.useraction":	"Check the artifact to note whether other users have changed it.",
	//START NON-TRANSLATABLE
	"7731.showuseraction": "Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE
	// Last UA revision: August 27, 2012

	// In the case of edit being cancelled, use warning only.
   	"7732":				"CRRRW7732W Another user unlocked the artifact.",
   	"7732.explanation": "The artifact is no longer locked. Another user might have " +
						"unlocked the artifact and changed it since you locked it.",
	"7732.useraction":	"Check the artifact to note whether other users have changed it.",
	//START NON-TRANSLATABLE
	"7732.showuseraction": "N", // $NON-NLS-1$
	//END NON-TRANSLATABLE
	// Last UA revision: August 27, 2012
	
	"7733":				"CRRRW7733W This artifact cannot be saved because another user locked it for editing.",
   	"7733.explanation": "Another user overrode your lock on the artifact and then locked it for editing.",
	"7733.useraction":	"Copy your changes and paste them somewhere else. Then, contact the user who locked the artifact and ask them to unlock it.",
	//START NON-TRANSLATABLE
	"7733.showuseraction": "Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE
	// Last UA revision: 12 April 2013
	
	"7734":				"CRRRW7734W The link cannot be deleted at this time because an artifact that the link points to is locked.",
   	"7734.explanation": "Another user is either editing an artifact that the link points to, or is working in a module that contains that artifact. ",
	"7734.useraction":	"Try to delete the link again. If you still cannot delete the link, either wait until the other user is " +
						"finished working in the artifact or module, or contact that user.",
	//START NON-TRANSLATABLE
	"7734.showuseraction": "Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE
	// Last UA revision: December 11, 2012
	
	"7735":				"CRRRW7735W You cannot lock this artifact for editing because ${0} locked it on ${1}.",
   	"7735.explanation": "You cannot lock an artifact for editing if another user has already locked it.",
	"7735.useraction":	"Wait until the user unlocks the artifact.",
	//START NON-TRANSLATABLE
	"7735.showuseraction": "Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE
	// Last UA revision: 12 April 2013
	
	"7736":				"CRRRW7736W You cannot delete this artifact because ${0} locked it on ${1}.",
   	"7736.explanation": "You cannot delete an artifact if another user has locked it.",
	"7736.useraction":	"Wait until the user unlocks the artifact.",
	//START NON-TRANSLATABLE
	"7736.showuseraction": "Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE
	// Last UA revision: 17 April 2013
	
	"7737":				"CRRRW7737W ${0} artifacts cannot be unlocked because one or more other users locked them.",
   	"7737.explanation": "You cannot unlock artifacts that are locked by other users.",
	"7737.useraction":	"Contact the user or users to unlock the artifacts.",
	// Last UA revision: 12 November 2013
	
	"7738":				"CRRRW7738W An artifact cannot be unlocked because another user locked it.",
   	"7738.explanation": "You cannot unlock artifacts that are locked by other users.",
	"7738.useraction":	"Contact the user to unlock the artifact.",
	// Last UA revision: 12 November 2013
	
	"7739":				"CRRRW7739E The delivery cannot be completed because one or more artifacts are locked in the target configuration.",
   	"7739.explanation": "You cannot deliver artifacts if they are locked in the configuration that you are trying to deliver to.",
	"7739.useraction":	"If you have permission, unlock the artifacts. If other users locked the artifacts, contact them to unlock the artifacts. Then, try the delivery again.",
	"7739.showuseraction": "Y", // $NON-NLS-1$
	

// ===== Module Operations (7740 - 7749) =====
   	"7740":				"CRRRW7740E One or more of the rows cannot be changed to or from a heading.",
   	"7740.explanation": "While a row was being changed to or from a heading, an error occurred. A few of the selected rows might " +
						"not have been changed.",
	"7740.useraction":	"Check for rows that have not been changed and try to change them again.  If the problem persists, " +
						"the server might be experiencing issues.  Ask your administrator to check the server status.",
	//START NON-TRANSLATABLE
	"7740.showuseraction": "Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE
	// Last UA revision: August 27, 2012
		
	"7741":				"CRRRW7741E The module structure was not changed.",
   	"7741.explanation": "Before you tried to change the module, another user might have moved or removed a few of the artifacts in the module.",
	"7741.useraction":	"Refresh the module and try to change the structure again. If the problem persists, " +
						"the server might be experiencing issues. Ask your administrator to check the server status.",
	//START NON-TRANSLATABLE
	"7741.showuseraction": "Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE
	// Last UA revision: August 28, 2012
	
	"7742":				"CRRRW7742E One or more rows were not changed either to or from headings.",
   	"7742.explanation": "One or more rows are no longer in the module.  Another user might have removed the rows.",
	"7742.useraction":	"Refresh the module to see whether rows have been removed. Then, try to change rows to or from headings again.",
	//START NON-TRANSLATABLE
	"7742.showuseraction": "Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE
	//Last UA revision: December 11, 2012
	
	"7743":				"CRRRW7743W No attributes can be edited.",
	"7743.explanation":	"In the current view, the row does not contain attributes that can be edited.",
	"7743.useraction":	"The row might contain other attributes that are not shown in this view. To edit those attributes, either open the artifact or from the artifact's edit menu, click Edit Attributes.",
	//START NON-TRANSLATABLE
	"7743.showuseraction":	"Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE
	// Last UA revision: 20 March 2013
	
// ===== Folder Operations (7750 - 7759) =====

	"7750":				"CRRRW7750W A folder with the name ${0} already exists.", // Parameter ${0} is a folder name
    "7750.explanation": "This folder or project contains another folder that has the same name as or a similar name to the name that you specified.",
	"7750.useraction":	"You can continue to use the specified name, but if you have folders with identical or similar names, other users who can access those folders will be confused.",
	//START NON-TRANSLATABLE
	"7750.showuseraction": "Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE
	// Last UA revision: 2012/09/04

	"7751":				"CRRRW7751W This folder already contains a folder named ${0}.", // Parameter ${0} is a folder name
    "7751.explanation": "This folder or project contains a folder that has the same name as or a similar name to the folder that you are moving.",
	"7751.useraction":	"You can continue to move the folder, but if you have folders with identical or similar names, other users who can access those folders will be confused.",
	//START NON-TRANSLATABLE
	"7751.showuseraction": "Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE
	// Last UA revision: 2012/09/04

	"7752":				"CRRRW7752W The folder cannot be deleted.",
    "7752.explanation": "Not all of the folder contents could be deleted.  Some of the contents might be locked, some of them might be used in modules, or you might not have permission to delete them.",
	"7752.useraction":	"Locked artifacts can be unlocked by either the user who locked them or a user who has permission to unlock them. "+
						"To check whether you have permission to delete the remaining contents of the folder, ask a project administrator. "+
						"To find a project administrator, click the Administration menu icon and select Manage This Project Area. Then, "+
						"scroll to the Administrators section.",
	// Last UA revision: 2 December 2013	

	"7753":				"CRRRW7753E Could not complete copying artifacts.",
	"7753.explanation": "The copy operation stopped after ${0} artifacts because this artifact cannot be copied: \"${1}\". " +
						"You might not have permission to create artifacts or links of a specific type in this folder, " +
						"or the artifact or link types might be invalid.",
	"7753.useraction":	"To check whether you have permission to create artifacts or artifact links in the selected folder, ask a project administrator. "+
						"To find a project administrator, click the Administration menu icon and select Manage This Project Area. Then, "+
						"scroll to the Administrators section.",
	// Last UA revision: 24 June 2014
	
	"7754":				"CRRRW7754W The artifact cannot be moved to the folder.",
	"7754.explanation": "Artifacts cannot be moved between folders that are in different projects.",
	"7754.useraction":	"No action is required.",
	//START NON-TRANSLATABLE
	"7754.showuseraction": "Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE
	//Last UA revision: 23 September 2013

	"7755":				"CRRRW7755W The artifact cannot be copied to the folder.",
	"7755.explanation": "Artifacts cannot be copied to folders that are in different projects.",
	"7755.useraction":	"No action is required.",
	//START NON-TRANSLATABLE
	"7755.showuseraction": "Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE
	//Last UA revision: 23 September 2013

	"7756":				"CRRRW7756W The artifact cannot be placed at the specified location in the module.",
	"7756.explanation": "While you were working in the module, another user might have changed and saved it.",
	"7756.useraction":	"Refresh the module and try again.",
	//START NON-TRANSLATABLE
	"7756.showuseraction": "Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE
	//Last UA revision: 09 October 2014
	
	"7757":				"CRRRW7757I The resources are now being restored. Any folders or artifacts that are found will be placed in the ${0} folder.", // Parameter ${0} is the name of the Restored Resources folder
	"7757.explanation":	"The process is running in the background. If large projects are being restored, the process might take a long time.",
	"7757.useraction":	"No action is required.",
	//START NON-TRANSLATABLE
	"7757.showuseraction": "N", // $NON-NLS-1$
	//END NON-TRANSLATABLE
	// Last UA revision: October 7, 2014
	
	"7758":				"CRRRW7758I The folder hierarchy for this artifact cannot be loaded.",
	"7758.explanation":	"While change sets were merged, one or more of the folders that contained this artifact might have been removed from the configuration.",
	"7758.useraction":	"No action is necessary. You can continue working with an artifact even after its containing folder is removed.",
	//START NON-TRANSLATABLE
	"7758.showuseraction": "Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE
	// Last UA revision: November 4, 2014


// ===== Rich Text (7770 - 7779) =====
	
	"7770":				"CRRRW7770I The following artifact was created for the pasted data: \"${0}\"", // Parameter ${0} is an artifact name
	"7770.explanation":	"The pasted image content was automatically uploaded and converted to an artifact on the server. The new " +
						"artifact was assigned the same type and the same folder as the artifact that is being edited.",
	// Last UA revision: October 3, 2012

	"7771":				"CRRRW7771E The pasted image content cannot be uploaded to the server.", 
	"7771.explanation": "The request to convert the pasted image data to an artifact on the server failed. " +
						"To automatically upload image data, you must have permission to create artifacts that are " + 
						"of the same type and in the same folder as the artifact that you are editing.",
	"7771.useraction":	"If you have the proper permissions, try to " +
						"upload the image again. If the problem persists, ask an administrator to check the server status.",
	//START NON-TRANSLATABLE
	"7771.showuseraction": "Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE
	// Last UA revision: October 3, 2012

	"7772":				"CRRRW7772W  This artifact contains circular references.", 
	"7772.explanation": "A circular reference occurs when an embedded artifact already references the containing artifact or another embedded artifact.",
	"7772.useraction":	"To delete the circular reference, remove the embedded artifact from the containing artifact." ,
	//START NON-TRANSLATABLE
	"7772.showuseraction": "Y", // $NON-NLS-1$
	//END NON-TRANSLATABLE
	// Last UA revision: March 11, 2015
	
// ===== VVC (7780 - 7849) =====
	// This block reserved for VVC, which is being developed in a separate stream.  Allocating numbers here 
	// allows future merge of RRC and VVC streams without message numbers colliding.

	"7780":			"CRRRW7780E The operation cannot be completed.",
	"7780.explanation": "An error occurred during the operation.  The following message might " +
						"include more information about the problem.",
	"7780.useraction":	"For more information about the cause of the error, see the following message. Ask an administrator to check the server status.",
	// Last UA revision: 24 April 2014
		
	"7781":				"CRRRW7781E The configurations cannot be compared.", 
	"7781.explanation": "The request to load information about the differences between the configurations failed.",
	"7781.useraction":	"Refresh the page and try to compare the configurations again. If the problem persists, ask " +
						"an administrator to check the status of the Configuration Management server.",
	// Last UA revision: 24 April 2014
		
	"7782":				'CRRRW7782W You selected to not deliver this new artifact from the source configuration, "${0}", to the target configuration, "${1}".', // ${0} is source configuration name, ${1} is target configuration name 
	"7782.explanation": "The artifact was added to the source configuration.  If you do not deliver, " +
						"the artifact will remain in the source configuration, but will not be in the target configuration.",
	"7782.useraction":	"If you want the artifact to be in the target configuration, click Deliver.",
	// Last UA revision: 25 April 2014
	
	//	"7783":				Reserved for Accept message corresponding to the above Deliver message	// ${0} is source configuration name, ${0} is target configuration name

	"7784":				'CRRRW7784W This artifact was deleted from the source configuration, "${0}", but will not be deleted from the target configuration "${1}".', // ${0} is source configuration name, ${1} is target configuration name
	"7784.explanation": "The artifact was deleted from the source configuration. If you do not deliver, " +
					"the artifact will not be deleted from the target configuration.",
	"7784.useraction":	"If you want the artifact to be deleted from the target configuration, click Deliver.",
	// Last UA revision: 25 April 2014
	
	//	"7785":				Reserved for Accept message corresponding to the above Deliver message	// ${0} is source configuration name, ${0} is target configuration name
	 
	 "7786":				'CRRRW7786W You selected to not deliver changes from the source configuration, "${0}", to this artifact in the target configuration, "${1}".', // ${0} is source configuration name, ${1} is target configuration name
	 "7786.explanation": "The artifact was changed in the source configuration. If you do not deliver, " +
						"the artifact will be different in the source and target configurations.",
	 "7786.useraction":	"If you want to deliver the changes from the source configuration to the target configuration, click Deliver.",
	 // Last UA revision: 25 April 2014

	//	"7787":				Reserved for Accept message corresponding to the above Deliver message	// ${0} is source configuration name, ${0} is target configuration name 

	"7788":				'CRRRW7788W If you deliver the changes from the source configuration, "${0}", the changes to this artifact in the target configuration, "${1}", will be overwritten.',  // ${0} is source configuration name, ${0} is target configuration name
	"7788.explanation": "The artifact was changed in both the source and target configurations. If you deliver " +
						"the artifact, the changes that were made to the artifact in the target configuration will be overwritten.",
	"7788.useraction":	"If you want to keep the changes in the target configuration, click Do Not Deliver.",
	// Last UA revision: 25 April 2014
	 
	//	"7789":				Reserved for Accept message corresponding to the above Deliver message	// ${0} is source configuration name, ${0} is target configuration name
	 
	"7790":				'CRRRW7790W The artifact was deleted from the source configuration, "${1}". Any changes that were made to the artifact in the target configuration, "${1}", will be lost.', // ${1} is source configuration name, ${0} is target configuration name
	"7790.explanation": "The artifact that was changed in the target configuration is the same artifact that was deleted from the source configuration.  If you deliver, " +
						"the artifact will be removed from the target configuration and the changes that were made to the artifact " +
						"in the target configuration will be lost.",
	"7790.useraction":	"If you want to keep the artifact and the changes to it in the target configuration, click Do Not Deliver.",
	// Last UA revision: 25 April 2014

	//	"7791":				Reserved for Accept message corresponding to the above Deliver message	// ${0} is source configuration name, ${0} is target configuration name 
	 
	"7792":				'CRRRW7792W You selected to deliver changes to this artifact in the "${0}" source configuration. However, this artifact was deleted from the "${1}" target configuration. If you continue, the artifact will be reinstated in the target configuration.', // ${0} is source configuration name, ${0} is target configuration name
	"7792.explanation": "The artifact was changed in the source configuration but deleted from the target configuration.  If you deliver, " +
						"the changed artifact will be reinstated in the target configuration.",
	"7792.useraction":	"If you do not want the artifact to be reinstated in the target configuration, click Do Not Deliver.",
	// Last UA revision: 25 April 2014

	//	"7793":				Reserved for Accept message corresponding to the above Deliver message	// ${0} is source configuration name, ${0} is target configuration name

	"7794":				'CRRRW7794W You have selected to not deliver changes to this artifact from the source configuration, ${0}, to the target configuration, "${1}".', // ${0} is source configuration name, ${1} is target configuration name
	"7794.explanation": "The artifact has been changed in both the source and target configurations.  If you do not deliver, " +
						"the artifact will be different in those configurations.",
	"7794.useraction":	"If you want to deliver changes to this artifact from the source configuration so that the artifact will be the same in both configurations, click Deliver.",
	// Last UA revision: 25 April 2014
	 
	//	"7795":				Reserved for Accept message corresponding to the above Deliver message	// ${0} is source configuration name, ${0} is target configuration name    

	"7796":				'CRRRW7796W You selected to keep this artifact in the target configuration, "${1}".', // ${0} is source configuration name, ${0} is target configuration name
	"7796.explanation": "The artifact was deleted from the source configuration and changed in the target configuration.  If you do not deliver, " +
						"the artifact will still be in the target configuration.",
	"7796.useraction":	"If you want to remove the artifact from the target configuration, click Deliver.",
	// Last UA revision: 12 May 2014

	//	"7797":				Reserved for Accept message corresponding to the above Deliver message	// ${0} is source configuration name, ${0} is target configuration name 

	"7798":				'CRRRW7798W You selected to not deliver changes to this artifact from the source configuration, "${0}", to the target configuration, "${1}".', // ${0} is source configuration name, ${1} is target configuration name
	"7798.explanation": "The artifact was changed in the source configuration and deleted from the target configuration.  If you do not deliver, " +
						"the source configuration will contain the artifact but the target configuration will not.",
	"7798.useraction":	"If you want to reinstate this artifact in the target configuration, click Deliver.",
	// Last UA revision: 25 April 2014

	//	"7799":				Reserved for Accept message corresponding to the above Deliver message	// ${0} is source configuration name, ${0} is target configuration name 

	"7800":				'CRRRW7800W The server cannot deliver one or more artifacts.',
	"7800.explanation": "The server request to set whether an artifact is delivered cannot be completed.",
	"7800.useraction":	"Try to change the delivery state again.  If the problem persists, cancel the delivery operation and try again.",
	"7800.showuseraction": "Y", // $NON-NLS-1$
	// Last UA revision: 25 April 2014

	"7801":					'CRRRW7801E Changes to project properties cannot be delivered.  Project properties that are still used in the target configuration were deleted from the source configuration.  ',
	"7801.explanation":		'Those project properties cannot be removed from the target configuration because they are still being used.  ',
	"7801.useraction":		"Cancel the wizard and remove any references to the listed project properties.  If the source configuration contains change sets that remove those references, deliver these change sets first.",
	"7801.showuseraction": "Y", // $NON-NLS-1$
    //Last UA revision: 12 May 2014

	"7802":                'CRRRW7802E The changes cannot be accepted or delivered because the target configuration contains references to missing attribute types.',
	"7802.explanation":    'The target configuration contains references to attribute types that will not exist after the merge. The following attribute types, '+
						   'which are used in the target configuration, were removed from the source configuration.',
	"7802.useraction":  	"Cancel the delivery and remove the references to the specified attribute types.",
	"7802.showuseraction": "Y", // $NON-NLS-1$,
	// Last UA revision: 24 April 2014

	"7803":                'CRRRW7803W Some project properties are in conflict. Changes in the target workspace will be overwritten.',
	"7803.explanation":    'Project properties were changed in both the source and target configurations.  If you continue, changes to conflicting properties in the target configuration will be overwritten.',
	"7803.useraction":     "Deliver the changes and then make your changes to the target configuration again. The following properties contain changes that will be overwritten in the target workspace:",
	"7803.showuseraction": "Y", // $NON-NLS-1$
    // Last UA revision: 12 May 2014

	"7804":				'CRRRW7804I No differences exist between the artifacts in the selected configurations.',
	"7804.explanation":	'This message is for informational purposes only.',
	"7804.useraction":	'To continue, click Next.',
	"7804.showuseraction": "Y", // $NON-NLS-1$
	// Last UA revision: 24 April 2014

	"7805":				'CRRRW7805I There are no artifact changes to deliver.',
	"7805.explanation":	'This message is for informational purposes only.',
	"7805.useraction":	'To continue, click Next.',
	"7805.showuseraction": "Y", // $NON-NLS-1$

	"7806":				'CRRRW7806I No differences exist between the project properties in the selected configurations.',
	"7806.explanation":	'This message is for informational purposes only.',
	"7806.useraction":	'To continue, click Next.',
	"7806.showuseraction": "Y", // $NON-NLS-1$
	// Last UA revision: 24 April 2014

	"7807":				'CRRRW7807I There are no project property changes to deliver.',
	"7807.explanation":	'This message is for informational purposes only.',
	"7807.useraction":	'To continue, click Next.',
	"7807.showuseraction": "Y", // $NON-NLS-1$
	// Last UA revision: 24 April 2014

	"7808":				'CRRRW7808I No differences exist between the folders in the selected configurations.',
	"7808.explanation":	'This message is for informational purposes only.',
	"7808.useraction":	'To continue, click Next.',
	"7808.showuseraction": "Y", // $NON-NLS-1$
	// Last UA revision: 24 April 2014


	"7809":				'CRRRW7809I No changes to folders will be delivered.',
	"7809.explanation":	'Changes might exist between the folders in the configurations. However, none of those changes will be delivered.',
	"7809.useraction":	'To continue, click Next.',
	"7809.showuseraction": "Y", // $NON-NLS-1$
    // Last UA revision: 12 May 2014
	
	"7810":				'CRRRW7810I Changes exist between the personal views and tags in the compared configurations.',
	"7810.explanation":	'This message is for informational purposes only.',
	"7810.useraction":	'To continue, click Next.',
	"7810.showuseraction": "Y", // $NON-NLS-1$
	// Last UA revision: 13 May 2014
	
	"7811":				'CRRRW7811I Personal views and tags were changed. Those changes will be delivered.',
	"7811.explanation":	'This message is for informational purposes only.',
	"7811.useraction": 	'To continue, click Next.',
	"7811.showuseraction": "Y", // $NON-NLS-1$
	// Last UA revision: 13 May 2014
	
	"7812": 			'CRRRW7812I The comparison below was incorrectly identified as a conflict.',
	"7812.explanation":	'Because no conflict actually exists, you can continue.',
	"7812.useraction":	'To continue, click Next.',
	"7812.showuseraction": "Y", // $NON-NLS-1$
	// Last UA revision: 6 June 2014
	
	"7813": 			'CRRRW7813W This project cannot be shown because it is not in the current global configuration.',
	"7813.explanation":	'Only projects that are in the current global configuration can be shown.',
	"7813.useraction":	"To view the project, switch to another configuration.",
	"7813.showuseraction": "Y", // $NON-NLS-1$		
	//Last UA revision 14 October 2014
	
// ===== VVC (7850 - 7869) ===== 
	// This block reserved for RMCM Components, which is being developed in a separate stream.  Allocating numbers here 
	// allows future merge of DNG+RMCM and RMCM Components streams without message numbers colliding.
	"7850": 			"CRRRW7850I Artifacts in a baseline cannot be changed.",
	"7850.explanation":	"To create or edit artifacts, create or open a stream. You can make changes directly in the stream or you can create change sets" +
						" to track the changes and deliver them to the stream later.",

	"7851": 			"CRRRW7851I Artifacts in a baseline cannot be changed.",
	//Last UA revision: 4 March 2015
	"7852": 			"CRRRW7852I This change set does not contain any changes to deliver.",
	"7852.explanation":	"You can only deliver a change set if it contains changes.",
	"7852.useraction":  " If you no longer need this change set, you can discard it.",
	"7852.showuseraction": "Y", // $NON-NLS-1$	

	
// ===== CONFIGURATION SPACE 7870 - 7879 =====
	"7870": 			"CRRRW7870E The configuration space with the specified name cannot be created.",
	"7870.explanation":	"The specified name contains a slash (/). Configuration space names cannot contain slashes.",
	"7870.useraction":	"Specify a different name that does not contain a slash.",
	"7870.showuseraction": "Y", // $NON-NLS-1$

// ===== Report Wizard SPACE 7880 - 7889 =====
	"7880": "CRRRW7880W Document-style reports from baselines cannot be saved.",
	"7880.explanation": "Baselines are read only.",
	"7880.useraction": "You can save document-style reports from a stream.",
	//Last UA revision: 5 September 2014
	
	"7881":               "CRRRW7881W A document-style report cannot be saved in the selected project.",
    "7881.explanation":   "The project is not part of the current global configuration.",
    "7881.useraction":    "You can save reports in projects that are part of the current global configuration.",
    // Last UA revision: 09/05/2014
	// Last UA revision: 09/06/2014
    
	"7882" : "CRRRW7882E The document cannot be created.",
	"7882.explanation" : "Documents cannot be created while the \"Limit by lifecycle status\" filter is applied.",
	"7882.useraction" : "Remove the filter and try again.",
	"7882.showuseraction": "Y", // $NON-NLS-1$
	// Last UA revision: 15 October 2014

// IF YOU ARE ADDING NEW CATEGORIES OF MESSAGE TO THIS FILE, PLEASE ALLOCATE IN BANDS OF ABOUT 10 OR 20 NUMBERS.
// DO NOT ALLOCATE A BAND OF 100 IF YOU ARE ONLY GOING TO BE USING A FEW MESSAGES.


// RRC Extensions has allocated a separate file (com.ibm.rdm.web.rrcx/resources/common/nls/NumberedMessages.js) starting at ID 8000 to handle extension implementation messages.


    	
// ===============================
// Fixed strings that are not numbered messages, but are used with them to construct error
// messages for display.
	"IDLabel":			"ID",
	"detailNotAvailable": "Detailed information is not available.",
	"ErrorLabel":		"Error ${0}: ${1}"

});
