/****************************************************************************** 
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2015. All Rights Reserved.
 *  
 * U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 ******************************************************************************/
dojo.provide("com.ibm.rqm.planning.web.ui.internal.view.viewlets.TestArtifactStatisticsViewlet");
dojo.require("com.ibm.asq.common.web.ui.internal.widgets.CommonDialog");

dojo.require("com.ibm.rqm.planning.web.client.internal.Constants");
dojo.require("com.ibm.rqm.planning.web.ui.internal.view.viewlets.AbstractFilteredTableViewlet");
dojo.require("com.ibm.rqm.planning.web.client.internal.Constants");
dojo.require("com.ibm.asq.common.web.ui.internal.view.common.ImageCache");
dojo.require("com.ibm.rqm.planning.web.ui.internal.util.Utility");
dojo.require("com.ibm.asq.common.web.client.internal.FiltersQueriesClient");
dojo.require("com.ibm.asq.common.web.ui.internal.view.viewlets.AbstractViewlet");
dojo.require("com.ibm.asq.common.web.ui.internal.widgets.tableViewer.TableConstants");
dojo.require("com.ibm.rqm.planning.web.ui.internal.util.Utility");
dojo.require("com.ibm.asq.common.web.ui.internal.TransportServiceResponseWrapper");
dojo.require("jazz.util.ResizeNotifier");
dojo.require("jazz.core.loader");

dojo.require("dojox.charting.Chart2D");
dojo.require("dojox.charting.plot2d.Pie");
dojo.require("dojox.charting.action2d.Highlight");
dojo.require("dojox.charting.action2d.MoveSlice");
dojo.require("dojox.charting.action2d.Tooltip");
dojo.require("dojox.charting.themes.PlotKit.blue");
dojo.require("dojox.charting.themes.PlotKit.green");
dojo.require("dojox.charting.themes.PlotKit.orange");
dojo.require("dojox.charting.themes.PlotKit.purple");
dojo.require("dojox.charting.themes.PlotKit.red");
dojo.require("dojox.charting.themes.Julie");
dojo.require("dojox.charting.themes.PrimaryColors");
dojo.require("dojox.charting.themes.Bahamation");
dojo.require("dojox.charting.themes.Charged");
dojo.require("dojox.charting.widget.SelectableLegend");
dojo.require("dojox.charting.widget.Legend");
dojo.require("com.ibm.rqm.planning.web.ui.internal.view.table.AbstractExplorableTableView");
dojo.require("com.ibm.asq.common.web.ui.internal.widgets.tableViewer.TableContentProvider");
dojo.require("com.ibm.asq.common.web.ui.internal.widgets.tableViewer.TableViewer");
dojo.require("com.ibm.asq.common.web.ui.internal.widgets.tableViewer.TableConstants");
dojo.require("com.ibm.team.dashboard.web.ui.internal.util.ItemNameRegistry");
dojo.require("com.ibm.rqm.planning.web.ui.internal.view.viewlets.AbstractFilteredTableViewlet");
dojo.require("com.ibm.asq.common.web.client.internal.Constants");
dojo.require("com.ibm.asq.common.web.ui.internal.util.Utility");

(function() {
var Constants				= com.ibm.rqm.planning.web.client.internal.Constants;
var ImageCache				= com.ibm.asq.common.web.ui.internal.view.common.ImageCache;
var FiltersQueriesClient 	= com.ibm.asq.common.web.client.internal.FiltersQueriesClient;
var PrefTypeId				= "com.ibm.rqm.planning.web.testartifact-viewlet-preference-type";
var PrefQueryId				= "com.ibm.rqm.planning.web.testartifact-viewlet-preference-query";
var PrefDisplayId			= "com.ibm.rqm.planning.web.testartifact-viewlet-preference-display";
var PrefItemPerPageId		= "com.ibm.rqm.planning.web.testartifact-viewlet-preference-resultsperpage";
var ThemeTypeId				= "com.ibm.rqm.planning.web.testartifact-viewlet-theme-type";
var LabelEnterFilters		= Constants.getMessage("labelNoTestArtifactFilterPrompt");
var LabelSelectFilters		= Constants.getMessage("labelSelectTestArtifactFilter");
var Utility					= com.ibm.rqm.planning.web.ui.internal.util.Utility;
var TableConstants          = com.ibm.asq.common.web.ui.internal.widgets.tableViewer.TableConstants;
var AbstractExplorableTableView = com.ibm.rqm.planning.web.ui.internal.view.table.AbstractExplorableTableView;
var ItemNameRegistry        = com.ibm.team.dashboard.web.ui.internal.util.ItemNameRegistry;
var ServiceResponseHandler  = com.ibm.asq.common.web.ui.internal.TransportServiceResponseWrapper;
var AbstractFilteredTableViewlet = com.ibm.rqm.planning.web.ui.internal.view.viewlets.AbstractFilteredTableViewlet;
var OslcConfigParamName     = com.ibm.asq.common.web.client.internal.Constants.OSLC_CONFIG_PARAM_NAME;
var YesNoDialog				= com.ibm.asq.common.web.ui.internal.widgets.YesNoDialog;
var CommonUtility	        = com.ibm.asq.common.web.ui.internal.util.Utility;

var Constants               = com.ibm.rqm.planning.web.client.internal.Constants;

var PREF_SCOPE_ITEM         = "scopeItem";
var PREF_SCOPE_PA           = "PROJECT_AREA";

var IsFF3                   = dojo.isFF >= 3 && dojo.isFF < 4;

var Failed					= "#EDB0B0";	
var Error					= "#B35D5D";
var Blocked					= "#F5CBA2";
var Paused					= "#FFBF80";
var Deferred				= "#B5EEEE";
var Inprogress				= "#73BFE5";
var Inconclusive			= "#CCBC8B";
var PartBlocked				= "#F5E2A9";
var Incomplete				= "#A0A0A0";
var NotRun					= "#CFCFCF";
var Passed					= "#ADD798";
var PermanentFailed			= "#BCBCF9";
var	Unassigned				= "#D3D3DE";
var Low						= "#B6D3F0";
var Medium					= "#F5E2A9";
var	High					= "#FAAEAE";
var Approved				= "#ADD798";
var Draft					= "#BCBCF9";
var Retired					= "#CFCFCF";
var UnderReview				= "#EDED93";
/*
 * The provider class to provide the table query/filter custom preference selection to the viewlet
 */
dojo.declare("com.ibm.rqm.planning.web.ui.internal.view.viewlets.TestArtifactFilteredTableQueryProvider", 
		com.ibm.rqm.planning.web.ui.internal.view.viewlets.FilteredTableQueryProvider,
{
	createChooser: function(onOk, settings, viewlet){
		// if there's no project yet, show a message. Can't show preferences
		// without a project context.
		if(!this.parentViewlet.checkHasProjectContext()) {
			return;
		}
		 this.parentViewlet._useBackingTableForPreferences(dojo.hitch(this, function(tableViewer){
			var preferences = settings.preferences;
			var filters = preferences[this.parentViewlet.prefFilterId];
            var filtersObj = null;
            if (filters != -1) {
                filtersObj = dojo.fromJson(filters);
            }
			// add title and disableFilters parameters
			var chooserArgs = {
			    title: Constants.getMessage("titleSelectQueries"),
			    disableFilters: true
			};
            dojo.mixin(chooserArgs, this.composeChooserScopeArgs());
			this.parentViewlet.tempBackingTableViewer.showExternalFiltersQueriesOptions(filtersObj, dojo.hitch(this, function(queryValue){
				// store the query value in the viewlet's preference
				var jsonVal = dojo.toJson(queryValue);
				onOk(jsonVal, this.prefFilterId);
			}), chooserArgs);
		 }));
	}
});

dojo.declare("com.ibm.rqm.planning.web.ui.internal.view.viewlets.TestArtifactStatisticsViewlet",
		AbstractFilteredTableViewlet,
{
	templateString: '<div>' +
		'  <div id="chart" dojoAttachPoint="_contentArea" tabindex="0">' +
		'  </div>' +
		'  <div dojoAttachPoint="errorMessageNode" class="asq-progress-area" style="display:none" tabindex="0">' +
		'    <div class="asq-error-image">' +
		'      <span dojoAttachPoint="errorLabelNode" class="asq-progress-label" tabindex="0"></span>' +
		'    </div>' +
		'  </div>' +
		'  <div style="display:none;padding:4px;" dojoAttachPoint="_message" tabindex="0">' +
		'    <span>${labelEnterFilters}</span>' +
		'    <a href="javascript:{}" dojoAttachEvent="onclick:_openPreferenceSettings">${labelSelectFilters}</a>' +
		'  </div>' +
		'</div>',

	// @override artifact view specific attributes
	labelEnterFilters: LabelEnterFilters,
	labelSelectFilters: LabelSelectFilters,    
	prefFilterId: PrefQueryId,
	prefSettingsId: PrefDisplayId,
	prefItemPerPageId: PrefItemPerPageId,
	artifactNameMap: {},
	artifactIconMap: {},
	chartRenderermap: {},

	constructor: function(args) {
	
	},
	
	// @override
	postCreate: function(){
		this.inherited("postCreate", arguments);
		
		this.artifactNameMap[Constants.MODEL_TYPE_PLAN] 	= Constants.getMessage("labelTestPlan");
		this.artifactNameMap[Constants.MODEL_TYPE_CASE] 	= Constants.getMessage("labelTestCase");
		this.artifactNameMap[Constants.MODEL_TYPE_SCRIPT] 	= Constants.getMessage("labelTestScript");
		this.artifactNameMap[Constants.MODEL_TYPE_SUITE] 	= Constants.getMessage("labelTestSuite");
		this.artifactNameMap[Constants.MODEL_TYPE_TESTCASE_EXECUTION_RECORD] 	= Constants.getMessage("labelTestExecutionRecord");
		this.artifactNameMap[Constants.MODEL_TYPE_SUITE_EXECUTION_RECORD] 		= Constants.getMessage("labelSuiteExecutionRecord");
		this.artifactNameMap[Constants.MODEL_TYPE_RESULT] 			= Constants.getMessage("labelTestcaseExecutionResult");
		this.artifactNameMap[Constants.MODEL_TYPE_SUITE_LOG] 		= Constants.getMessage("labelSuiteResult");
		
		this.artifactIconMap[Constants.MODEL_TYPE_PLAN] = ImageCache.TEST_PLAN;
		this.artifactIconMap[Constants.MODEL_TYPE_CASE] = ImageCache.TEST_CASE;
		this.artifactIconMap[Constants.MODEL_TYPE_SCRIPT] 	= ImageCache.TEST_SCRIPT;
		this.artifactIconMap[Constants.MODEL_TYPE_SUITE] 	= ImageCache.TEST_SUITE;
		this.artifactIconMap[Constants.MODEL_TYPE_TESTCASE_EXECUTION_RECORD] 	= ImageCache.EWI;
		this.artifactIconMap[Constants.MODEL_TYPE_SUITE_EXECUTION_RECORD] 		= ImageCache.EXECUTION_SUITE;
		this.artifactIconMap[Constants.MODEL_TYPE_RESULT] 			= ImageCache.EXECUTION_RESULT;
		this.artifactIconMap[Constants.MODEL_TYPE_SUITE_LOG] 		= ImageCache.EXECUTION_RESULT;
	},

	// Implements Viewlet's public method to initialize the viewlet
	init: function(){
		this.inherited(arguments);
		
		this._PREFERENCE_VALUE_PIE = "pie";
		this._PREFERENCE_VALUE_COLUMN = "bar";
		this._PREFERENCE_VALUE_BAR = "h-bar";
		this._PREFERENCE_VALUE_TABLE = "table";	
		
		this.chartRenderermap[this._PREFERENCE_VALUE_BAR] = "com.ibm.rqm.planning.web.ui.internal.view.viewlets.CountBarChartRenderer";
		this.chartRenderermap[this._PREFERENCE_VALUE_COLUMN] = "com.ibm.rqm.planning.web.ui.internal.view.viewlets.CountColumnChartRenderer";
		this.chartRenderermap[this._PREFERENCE_VALUE_PIE] = "com.ibm.rqm.planning.web.ui.internal.view.viewlets.CountPieChartRenderer";
	},
	
	// @override AbstractFilteredTableViewlet
	settingsChanged: function(oldSettings, newSettings) {
		var oldPre = oldSettings.preferences;
		var newPre = newSettings.preferences;
		var artifactType = newPre[PrefTypeId];
		var filters = this.getPreference(this.prefFilterId);
		
		// commit any pending preferences reset
        this.commitPendingResetPref();		

		 // the project scopt had changed, throw away our table and refresh to recreate
        if(oldSettings.scopeItemId != newSettings.scopeItemId) {
            // update the project context and recreate the
            // backing table viewer
            this.projectAreaContext = {
                name: ItemNameRegistry.getName(newSettings.scopeItemId),
                itemId: newSettings.scopeItemId
            };
            
        }
		if(oldPre[PrefTypeId] != newPre[PrefTypeId]){			
			this.getSite().setIcon(this.artifactIconMap[artifactType]);
            this.settingWorkingCopy = null;
		}
		if(filters != -1 ) {
            this.refreshWithConfiguration();
        }
	},
	
	// @override AbstractFilteredTableViewlet
	settingChanging: function(/* string */ settingId, /* object */ workingCopy) {
        // clear pending reset if there is one
        this.clearPendingResetPref(settingId);
        
		if(settingId == PREF_SCOPE_ITEM && workingCopy.scope == PREF_SCOPE_PA) {
            var pa = this.tempProjectContext || this.projectAreaContext;
            
            this.addPendingResetPref(PrefQueryId, "-1");
            // the user had changed the project scope. Create a new
            // backing table viewer for the new project scope. Or we 
            // don't have a tableviewer yet, just create the temp backing
            // table to serve the preferences.
            if (!pa || pa.itemId != workingCopy.scopeItemId || !this.tableViewer) {
                this.tempProjectContext = {
                    itemId: workingCopy.scopeItemId
                };
                this._clearTempBackingTable();
                this._createTempBackingTable = true;
                this._tempBackingTableAvaiable = false;
                var self = this;
                this._createTableViewer(dojo.hitch(this, function(table){
                	self.tempBackingTableViewer = table;
    			}), dojo.hitch(this, "settingChangingInitiazeCallBack") );
    			var prefsToUpdate = [];
                prefsToUpdate.push(PrefQueryId);
                return prefsToUpdate;
            }
        }
		if((settingId == PrefTypeId)) {
			
			this.settingWorkingCopy = workingCopy;

			this.addPendingResetPref(PrefQueryId, "-1");

			this._clearTempBackingTable();
            this._createTempBackingTable = true;
            this._tempBackingTableAvaiable = false;
            // Some subclasses load the table viewer class asynchronously
            // So initialize the 'tempBackingTableViewer" variable in callback for those cases
            var self = this;
            this._createTableViewer(dojo.hitch(this, function(table){
            	self.tempBackingTableViewer = table;
			}), dojo.hitch(this, "settingChangingInitiazeCallBack") );
			var prefsToUpdate = [];
            prefsToUpdate.push(PrefQueryId);
            return prefsToUpdate;
		}
	},
	
	settingChangingInitiazeCallBack: function(){
		var prefId = "parameter";
		var computedCombos = this._site.viewletAdapter._settingsPanel._computedCombos;
		for (var j = 0; j < computedCombos.length; j++) {
			var cc = computedCombos[j];
			if (cc && prefId == cc.select.name) {
				cc.setting.value = cc.select.options[cc.select.selectedIndex].value;
				cc.field.innerHTML = "";
				this._site.viewletAdapter._settingsPanel.createFormField(cc.setting, cc.field);
				computedCombos.splice(j,1);
				break;
			}
		}
	},

	getTableQueryProvider: function(){
		return com.ibm.rqm.planning.web.ui.internal.view.viewlets.TestArtifactFilteredTableQueryProvider;
	},
	
	getPreferenceOptions: function (/* string */ preferenceId, /* object */ currentSettings) {
		if(preferenceId == "parameter"){
			if(!this._isBackingTableReady()){
				var pa = this.tempProjectContext || this.projectAreaContext;
				if(pa && !this._tempBackingTableAvaiable && !this._createTempBackingTable){
					this._clearTempBackingTable();
		            this._createTempBackingTable = true;
		            this._tempBackingTableAvaiable = false;
		            // Some subclasses load the table viewer class asynchronously
		            // So initialize the 'tempBackingTableViewer" variable in callback for those cases
		            var self = this;
		            this._createTableViewer(dojo.hitch(this, function(table){
		            	self.tempBackingTableViewer = table;
					}));
				}
				return null;
			}else{
				return this.updateParameterOption();
			}				
		}
	},
		
		
	updateParameterOption: function(){
		var viewer = this.tempBackingTableViewer ? this.tempBackingTableViewer.tableViewer : null;
		if(!viewer){
			return null;
		}
		var provider = viewer.getContentProvider();
		var content = viewer.getContent();
		var nColumns = provider.getNumColumns(content);
		var func = dojo.hitch(provider, "getIsColumnGroupable");
		if(provider.getIsColumnCountable){
			func = dojo.hitch(provider, "getIsColumnCountable");
		}
		
		var options = [];
		for (var i = 0; i < nColumns; i++) {
			if (func(this.content, i)) {
				var heading = provider.getColumnHeading(content, i);
				var option = new Option(heading);
				option.value = provider.getColumnIdName(i);
				
				options.push(option);
			}
		}
		return {options: options};
	}, 

	getPreferenceProvider: function(preferenceId) {
		return this._prefrenceProviders[preferenceId];
	},
	
	_createTableViewer: function(callback, initializeCallback){
        var tableArgs = {
            trim: TableConstants.TRIM_DASHBOARD,
            showFloatingStatusBar: false
        };
        
        // disable the xml binding for text clipping with ellipsis in remote
        // viewlet & if the browser is FF3. Using the binding in this situation
        // would case the text not render at all. The text would still be clipped
        // but just without the ellipsis.
        //
        if(IsFF3 && this.isRemote()) {
            tableArgs.useFF3NoBindingCSS = true;
        }       
        
        var pa = this.tempProjectContext || this.projectAreaContext;
        var initCallback = dojo.hitch(this, function() {
                this._tempBackingTableAvaiable = true;
                if(this.waitingDialog) {
                    this.waitingDialog.close();
                    delete this.waitingDialog;
                }
                if(this.preferenceQueued) {
                    this.preferenceQueued(this.tempBackingTableViewer);
                    delete this.preferenceQueued;
                }
                if(initializeCallback){
                	initializeCallback();
                }
            });
        
        // also pass in the root url context.
        pa.rootUrl = this.getURLContext();
        var args = {
            showQueryFilters: true,
            isSingleSelect: false,
            enableRowSelection: false,
            showExplorer: false,
            rowsSelectable: false,
            
            // specify the project context for our
            // queries
            projectAreaContext: pa,
            
            // don't run the initQuery
            _runOnOpen: false,
            doRunInitQuery: false,
            
            // when the table completed its initialization, runs
            // the _update method to initiate the query and display
            // of the result data in the table.
            onInitializeCompleted: initCallback,
            
            tableArgs: tableArgs
        };
        args.noPersonalQueries = false;;
        args.showHeaderInDashBoardViewlet = true;
        args.showFloatingStatusBar = false;
        
        var tpArgs = dojo.mixin(args, {
            //viewProfile: 'dashboard-trace',
            showAspectViews: true,
            showExplorer: false,
            rowsSelectable: false,
            supportExecutionStatus: false,
            tableViewModeId: "general",
            isInEditor: true
        });
        
        if(this.configurationItemId){
        	tpArgs.configurationItemId = this.configurationItemId;
        }
		var type = this.getPreference(PrefTypeId);
		if(this.settingWorkingCopy){
			type = this.settingWorkingCopy.preferences[PrefTypeId];
		}
		this.getSite().setIcon(this.artifactIconMap[type]);
		var tableConstructorName = null;

		switch (type) {
			case Constants.MODEL_TYPE_CASE:
				tableConstructorName = "com.ibm.rqm.planning.web.ui.internal.view.table.TestCaseTableView";
				tpArgs.noAspectAction = true;
				tpArgs.tableId="DASHBOARD-TESTCASE";
				tpArgs.profile="DASHBOARD_VIEWLET";
				break;
			case Constants.MODEL_TYPE_SCRIPT:
				tableConstructorName = "com.ibm.rqm.planning.web.ui.internal.view.table.TestScriptTableView";
				tpArgs.tableId="DASHBOARD-TESTSCRIPT";
				tpArgs.profile="DASHBOARD_VIEWLET";
				break;
			case Constants.MODEL_TYPE_SUITE:
				tableConstructorName = "com.ibm.rqm.execution.web.ui.internal.view.table.TestSuiteTableView";
				tpArgs.tableId="DASHBOARD-TESTSUITE";
				tpArgs.profile="DASHBOARD_VIEWLET";
				break;
			case Constants.MODEL_TYPE_TESTCASE_EXECUTION_RECORD:
				tableConstructorName = "com.ibm.rqm.execution.web.ui.internal.view.table.ExecutionWorkItemTableView";
				tpArgs.isInDashboard = true;
				tpArgs.profile="DASHBOARD_VIEWLET";
				tpArgs.tableId="DASHBOARD-TESTCASEEXECUTIONRECORD";
				break;
			case Constants.MODEL_TYPE_SUITE_EXECUTION_RECORD:
				tableConstructorName = "com.ibm.rqm.execution.web.ui.internal.view.table.SuiteExecutionRecordTableView";
				tpArgs.profile="DASHBOARD_VIEWLET";
				tpArgs.tableId="DASHBOARD-TESTSUITEEXECUTIONRECORD";
				break;
			case Constants.MODEL_TYPE_RESULT:
				tableConstructorName = "com.ibm.rqm.execution.web.ui.internal.view.table.ExecutionLogTableView";
				tpArgs.profile="DASHBOARD_VIEWLET";
				tpArgs.tableId="DASHBOARD-TESTCASERESULT";
				break;
			case Constants.MODEL_TYPE_SUITE_LOG:
				tableConstructorName = "com.ibm.rqm.execution.web.ui.internal.view.table.SuiteLogTableView";
				tpArgs.profile="DASHBOARD_VIEWLET";
				tpArgs.tableId="DASHBOARD-TESTSUITERESULT";
				break;
			case Constants.MODEL_TYPE_PLAN:
			default:
				tableConstructorName = "com.ibm.rqm.planning.web.ui.internal.view.table.TestPlanTableView";
				tpArgs.tableId="DASHBOARD-TESTPLAN";
				tpArgs.profile="DASHBOARD_VIEWLET";
				break;
		}

		var tableConstructor = dojo.getObject(tableConstructorName);

		if (dojo.isObject(tableConstructor)) {
			var table = new tableConstructor(tpArgs);
			callback(table);
		} else {
			jazz.core.loader.load_async(tableConstructorName, dojo.hitch(this, function(){
				tableConstructor = dojo.getObject(tableConstructorName);
				var table = new tableConstructor(tpArgs);
				callback(table);
			}));
		}
	},
	
	getTitleHyperlinkURL: function() {
		var queryPref = this.getPreference(PrefQueryId);
		if (queryPref != "-1"){
			var queryObj = dojo.fromJson(queryPref);
			var query = queryObj.query;
			if(!query){
				return null;
			}
			var artifactType = query.type;
			var args = {};
			args.sqScope = query.scope;
			args.sqItemId = query.itemId;
			args.sqTitle = encodeURIComponent(query.title || query.name);
			args.isPublic = (query.scope == FiltersQueriesClient.publicScopeId);
			args.inDropdown = artifactType;
			if (query.folder) {
				args.sqFolder = encodeURIComponent(dojo.clone(query.folder));
			}
			var formattedURL = this.getFormattedUrl();
			var url = null;
			switch(artifactType) {
			case FiltersQueriesClient.TEST_PLAN_QUERY_KEY:
				url = formattedURL+ Utility.getTPlanListingPageURI(args);
				break;
			case FiltersQueriesClient.TEST_CASE_QUERY_KEY:
				url = formattedURL+ Utility.getTCaseListingPageURI(args);
				break;
			case FiltersQueriesClient.TEST_SCRIPT_QUERY_KEY:
				url = formattedURL+ Utility.getTScriptListingPageURI(args);
				break;
			case FiltersQueriesClient.TEST_SUITE_QUERY_KEY:
				url = formattedURL+ Utility.getTSuiteListingPageURI(args);
				break;
			case FiltersQueriesClient.TER_QUERY_KEY:
				url = formattedURL+ Utility.getTCERListingPageURI(args);
				break;
			case FiltersQueriesClient.SER_QUERY_KEY:
				url = formattedURL+ Utility.getTSERListingPageURI(args);
				break;
			case FiltersQueriesClient.TER_TC_RESULT_QUERY_KEY:
				url = formattedURL+ Utility.getTCResultListingPageURI(args);
				break;
			case FiltersQueriesClient.TER_TS_RESULT_QUERY_KEY:
				url = formattedURL+ Utility.getTSResultListingPageURI(args);
				break;
			}

			// cache the query so the list view can get to the filter attributes if
			// the query is private from other user
			dojo.setObject("PHANTOM-QUERY-"+query.itemId, query);

			return url;
		}
		return null;
	},
	
    refreshImpl: function() {
		// create the artifact table if it has not been created yet. But make sure
        // that we've a scope context.
        if (!this.tempBackingTableViewer && this.projectAreaContext && !this._createTempBackingTable) {
        	var self = this;
        	 self._createTempBackingTable = true;
             self._tempBackingTableAvaiable = false;
             this.resolveConfigContext(dojo.hitch(this, function() {
                 this._createTableViewer(dojo.hitch(this, function(table){        		
                     self.tempBackingTableViewer = table;
                 }), dojo.hitch(this, function() {
                     self._update();
                 }));
             }));
        } else {
            if (this.tempBackingTableViewer) {
                this.tempBackingTableViewer.configurationItemId = this.configurationItemId;
                this.tempBackingTableViewer.gcConfigValue = this.gcConfigValue;
            }
        	this._update();
        }
	},
	
	// Summary:
    //   switch showing the message area to select filters, or to show the content
    //   if there's content to display.
    //
    _updateContentDisplay: function(showContent) {
        // show the message if there is no filters
        dojo.style(this._message, "display", (!showContent) ? "" : "none");
        dojo.style(this._contentArea, "display", (showContent) ? "" : "none");
        
        if(showContent && this.tempBackingTableViewer && this.tempBackingTableViewer.tableViewer) {
            this.tempBackingTableViewer.tableViewer.refresh();
        }
    },
	
	_update: function() {
        var filters = this.getPreference(this.prefFilterId);
        var hasContext = (filters != -1 && this.projectAreaContext);        
        this._updateContentDisplay(hasContext);
        
        if (hasContext) {
            var filtersObj = dojo.fromJson(filters);
            // get the latest saved query definition for the filters
            this.tempBackingTableViewer.getQueryFilters(filtersObj,
                dojo.hitch(this, '_updateResultCount'),
                dojo.hitch(this, '_handleRunQueryErrors')
            );
        }
    },
    
	_updateResultCount: function(filters) {
		dojo.empty(this._contentArea);
        var filterArgs = this._getQueryArgs(filters);
		
		var type = this.getPreference(PrefTypeId);
		if(this.settingWorkingCopy){
			type = this.settingWorkingCopy.preferences[PrefTypeId];
		}
		
		var artifactCilentName = null;;
		switch (type) {
			case Constants.MODEL_TYPE_CASE:
				artifactCilentName = "com.ibm.rqm.planning.web.client.internal.construction.TestCaseClient";
				break;
			case Constants.MODEL_TYPE_SCRIPT:
				artifactCilentName ="com.ibm.rqm.planning.web.client.internal.construction.TestScriptClient";
				break;
			case Constants.MODEL_TYPE_SUITE:
				artifactCilentName = "com.ibm.rqm.planning.web.client.internal.construction.TestSuiteClient";
				break;
			case Constants.MODEL_TYPE_TESTCASE_EXECUTION_RECORD:
				artifactCilentName = "com.ibm.rqm.execution.web.client.internal.execution.ExecutionWorkItemClient";
				break;
			case Constants.MODEL_TYPE_SUITE_EXECUTION_RECORD:
				artifactCilentName = "com.ibm.rqm.execution.web.client.internal.execution.TestExecutionSuiteClient";
				break;
			case Constants.MODEL_TYPE_RESULT:
				artifactCilentName = "com.ibm.rqm.execution.web.client.internal.execution.ExecutionResultClient";
				break;
			case Constants.MODEL_TYPE_SUITE_LOG:
				artifactCilentName = "com.ibm.rqm.execution.web.client.internal.execution.ExecutionResultGroupClient";
				break;
			case Constants.MODEL_TYPE_PLAN:
			default:
				artifactCilentName = "com.ibm.rqm.planning.web.client.internal.planning.PlanningPageClient";
				break;
		}
		
		var artifactCilent = dojo.getObject(artifactCilentName);
		
		var self= this;
		var serviceObject = {
			success: function(queryResultsDTO) {
				if (!self._isDestroyed) {
					self._processQueryResultsDTO(queryResultsDTO);
				}
			},
			failure: function(errorObject) {
                console.error("Error while fetching count dto from the server - " + (errorObject ? errorObject.message : ""));
			}
		};

		var handler = new ServiceResponseHandler(serviceObject, "success", "failure");

		if (dojo.isObject(artifactCilent)) {
		    this._getCountResult(artifactCilent, handler, filterArgs);
		} else {
			jazz.core.loader.load_async(artifactCilentName, dojo.hitch(this, function(){
				artifactCilent = dojo.getObject(artifactCilentName);
	            this._getCountResult(artifactCilent, handler, filterArgs);
			}));
		}
	},
	
    _getQueryArgs: function(filters) {
        var filterArgs = filters;
        filterArgs.countField = this.getPreference("parameter");
        filterArgs = this.tempBackingTableViewer.filterProvider.prepareFilterArgs(filterArgs);
        filterArgs = this.tempBackingTableViewer._prepareQueryArgs(filterArgs, false);
        filterArgs.processArea = this.projectAreaContext.itemId;
        if(this.configurationItemId){
            filterArgs[OslcConfigParamName] = this.configurationItemId;
        }
        return filterArgs;
    },
    
    _getCountResult: function(artifactCilent, handler, filterArgs) {
        artifactCilent.getCountSearchResult(handler, filterArgs);
    },
	
	_processQueryResultsDTO: function(queryResultsDTO) {
		var queryPref = this.getPreference(PrefQueryId);
		if (queryPref != "-1"){
			var queryObj = dojo.fromJson(queryPref);
			var query = queryObj.query;
			if(query){		
			
				//Set the title:
				var artifactType = this.getPreference(PrefTypeId);
				
				var title = Constants.getMessage("labelTestArtifactStatisticsViewletTitle", this.artifactNameMap[artifactType]);
		
				this.getSite().setTitle(title);
				
				//Set the secondary title:
				var secondaryTitle = "(" + queryResultsDTO.totalCount + ")";
			
				//Include the non-default project area name in the secondary title:
        		if((this.projectAreaContext) && (this.projectAreaContext.itemId)) {
           		
        			var projectAreaLocal = jazz.app.context.get();

        			if((!projectAreaLocal) || (this.projectAreaContext.itemId != projectAreaLocal.itemId)){

        				var projectAreaName =  ((this.projectAreaContext.name) || (ItemNameRegistry.getName(this.projectAreaContext.itemId)));

        				if (projectAreaName) {
        					secondaryTitle = "(" + Constants.getMessage("labelTestArtifactStatisticsViewletSecondaryTitle", queryResultsDTO.totalCount, projectAreaName) + ")";                
        				}
        			}
       			}
       					
				this.getSite().setSecondaryTitle(secondaryTitle);
			}
		}
		
		this._updateContentDisplay(queryResultsDTO.totalCount > 0);	
		this._displayReport(queryResultsDTO);		
	},
	
	getTheme: function(){
		var theme = this.getPreference(ThemeTypeId);
		switch(theme){
			case "dojox.charting.themes.PlotKit.blue":
				return dojox.charting.themes.PlotKit.blue;
			case "dojox.charting.themes.PlotKit.green":
				return dojox.charting.themes.PlotKit.green;
			case "dojox.charting.themes.PlotKit.orange":
				return dojox.charting.themes.PlotKit.orange;
			case "dojox.charting.themes.PlotKit.purple":
				return dojox.charting.themes.PlotKit.purple;
			case "dojox.charting.themes.PlotKit.red":
				return dojox.charting.themes.PlotKit.red;
			case "dojox.charting.themes.Julie":
				return dojox.charting.themes.Julie;
			case "dojox.charting.themes.PrimaryColors":
				return dojox.charting.themes.PrimaryColors;
			case "dojox.charting.themes.Bahamation":
				return dojox.charting.themes.Bahamation;
			case "dojox.charting.themes.Charged":
				return dojox.charting.themes.Charged;
		}
	},
	
	_displayReport: function(queryResultsDTO) {
		var presentation = this.getPreference("presentation");
		var theme = this.getTheme();
		dojo.empty(this._contentArea);
		var lineBreak = document.createElement("br");
		this._contentArea.appendChild(lineBreak);
		this.queryResultsDTO = queryResultsDTO;
		var countsDTO = this.queryResultsDTO && this.queryResultsDTO.counts ? this.queryResultsDTO.counts : [];
		countsDTO.totalCount = this.queryResultsDTO.totalCount;
		var chart = this.chartRenderermap[presentation];
		if(chart){
			var chartRendererConstructor = dojo.getObject(chart);
			if(chartRendererConstructor && dojo.isObject(chartRendererConstructor)){
				var chartRenderer = new chartRendererConstructor();
				chartRenderer.render(this, this._contentArea, theme, countsDTO, dojo.hitch(this, "getColor"), dojo.hitch(this, "onEventHandle"));
			}
		}else{
			var optionValue = this.getPreference("parameter");
			var heading = optionValue;
			var viewer = this.tempBackingTableViewer ? this.tempBackingTableViewer.tableViewer : null;
			if(viewer){				
				var provider = viewer.getContentProvider();
				var content = viewer.getContent();
				var nColumns = provider.getNumColumns(content);
				this.options = [];
				for (var i = 0; i < nColumns; i++) {
					var id = provider.getColumnIdName(i);
					if(id == optionValue){
						heading = provider.getColumnHeading(content, i);
						break;
					}
				}
			}
			var table = new com.ibm.rqm.planning.web.ui.internal.view.viewlets.CountTableView({
				queryResultsDTO : this.queryResultsDTO,
				name: heading,
				onRowClick: dojo.hitch(this, "handleOnClick")
			});
			var div = document.createElement("div");
			div.appendChild(table.domNode);
			this._contentArea.appendChild(div);
		}
	},
	
	onEventHandle: function(evt){
		var click = "onclick";
		var onmouseover = "onmouseover";
		var onmouseout = "onmouseout";
		if(evt && evt.type == click) {
			this.handleOnClick(null, evt);		
	    }else if(evt.type == onmouseover) {
	    	var id = evt.chart.node.id;
	    	if(id.indexOf("pie") > -1 || id.indexOf("bar") > -1 || id.indexOf("column") > -1){
	    		dojo.style(id, "cursor", "pointer");
	    	}
	    }else if(evt.type == onmouseout) {
	    	var id = evt.chart.node.id;
	    	if(id.indexOf("pie") > -1 || id.indexOf("bar") > -1 || id.indexOf("column") > -1){
	    		dojo.style(id, "cursor", "default");
	    	}
	    }
	},
	
	handleOnClick:function(fieldValue, evt){
		var queryPref = this.getPreference(PrefQueryId);
		if (queryPref != "-1"){
			var queryObj = dojo.fromJson(queryPref);
			var query = queryObj.query;
			if(!query){
				return null;
			}
			var artifactType = query.type;
			var args = {};
			args.sqScope = query.scope;
			args.sqItemId = query.itemId;
			args.sqTitle = encodeURIComponent(query.title || query.name);
			args.isPublic = (query.scope == FiltersQueriesClient.publicScopeId);
			args.inDropdown = artifactType;
			if (query.folder) {
				args.sqFolder = encodeURIComponent(dojo.clone(query.folder));
			}
			var countField = this.getPreference("parameter");
			var presentation = this.getPreference("presentation");
			var value = "";
			if(fieldValue){
				value = fieldValue;
			}else{
				if(presentation === this._PREFERENCE_VALUE_BAR){
					value = this.queryResultsDTO.counts[evt.y - 0.5 - 1];
				}else if(presentation === this._PREFERENCE_VALUE_COLUMN ){
					value = this.queryResultsDTO.counts[evt.x - 0.5];
				}else if(presentation === this._PREFERENCE_VALUE_PIE ){
					value = this.queryResultsDTO.counts[evt.x];
				}
			}
			if(this.tempBackingTableViewer && dojo.isFunction(this.tempBackingTableViewer.mapGroupByToFilterForVisualization)){
				var field = this.queryResultsDTO.field;
				if((field.indexOf("parentArtifactCategories") > -1) || (field.indexOf("categories") > -1)){		
					args.groupByFilterField = encodeURIComponent(field);
					args.groupByFilterFieldValue = encodeURIComponent(value.id);
					args.groupByFilterLabel = encodeURIComponent(countField + "," + value.name);
				}else{
		    		var filter = this.tempBackingTableViewer.mapGroupByToFilterForVisualization(countField, value);
		    		args.groupByFilterField = encodeURIComponent(filter.name);
		    		args.groupByFilterFieldValue = encodeURIComponent(filter.value);
					args.groupByFilterLabel = encodeURIComponent(filter.label);
		    	}
			}
			var type = this.getPreference(PrefTypeId);
			if(this.settingWorkingCopy){
				type = this.settingWorkingCopy.preferences[PrefTypeId];
			}	
			var formattedURL = this.getFormattedUrl();
			var url = null;
			switch (type) {
				case Constants.MODEL_TYPE_CASE:
					url = formattedURL+ Utility.getTCaseListingPageURI(args);
					break;
				case Constants.MODEL_TYPE_SCRIPT:
					url = formattedURL+ Utility.getTScriptListingPageURI(args);
					break;
				case Constants.MODEL_TYPE_SUITE:
					url = formattedURL+ Utility.getTSuiteListingPageURI(args);
					break;
				case Constants.MODEL_TYPE_TESTCASE_EXECUTION_RECORD:
					url = formattedURL+ Utility.getTCERListingPageURI(args);
					break;
				case Constants.MODEL_TYPE_SUITE_EXECUTION_RECORD:
					url = formattedURL+ Utility.getTSERListingPageURI(args);
					break;
				case Constants.MODEL_TYPE_RESULT:
					url = formattedURL+ Utility.getTCResultListingPageURI(args);
					break;
				case Constants.MODEL_TYPE_SUITE_LOG:
					url = formattedURL+ Utility.getTSResultListingPageURI(args);
					break;
				case Constants.MODEL_TYPE_PLAN:
				default:
					url = formattedURL+ Utility.getTPlanListingPageURI(args);
					break;
			}
			
			// cache the query so the list view can get to the filter attributes if
			// the query is private from other user
			dojo.setObject("PHANTOM-QUERY-"+query.itemId, query);
			var isRemote = this.isRemote();
			var currentConfigurationItemId = CommonUtility.getCurrentConfigurationItemId();
			if(!isRemote && currentConfigurationItemId && this.configurationItemId && currentConfigurationItemId != this.configurationItemId){
				var message = Constants.getMessage("msgConfirmConfigurationChangeWithoutConfigName");
				
				var dailogArgs = {
					primaryTitle : Constants.getMessage("labelConfirmation"),
					yesCallback: function(){
						parent.location= url;
						return true;          
					},
					noCallback: function() {
						return true;
					}
				};
				dailogArgs.message = message;
				var dialog = new YesNoDialog(dailogArgs);
		        dialog.open();
			}else{
				parent.location= url;
			}
			
		}
		return null;
	},
	
	getColor: function(id){
		if(id == "com.ibm.rqm.execution.common.state.passed"){
			return Passed;
		}else if(id == "com.ibm.rqm.execution.common.state.failed"){
			return Failed;
		}else if(id == "com.ibm.rqm.execution.common.state.blocked"){
			return Blocked;
		}else if(id == "com.ibm.rqm.execution.common.state.inconclusive"){
			return Inconclusive;
		}else if(id == "com.ibm.rqm.execution.common.state.part_blocked"){
			return PartBlocked;
		}else if(id == "com.ibm.rqm.execution.common.state.incomplete"){
			return Incomplete;
		}else if(id == "com.ibm.rqm.execution.common.state.perm_failed"){
			return PermanentFailed;
		}else if(id == "com.ibm.rqm.execution.common.state.deferred"){
			return Deferred;
		}else if(id == "com.ibm.rqm.execution.common.state.inprogress"){
			return Inprogress;
		}else if(id == "com.ibm.rqm.execution.common.state.paused"){
			return Paused;
		}else if(id == "com.ibm.rqm.execution.common.state.error"){
			return Error;
		}else if(id == "com.ibm.rqm.execution.common.state.notrun"){
			return NotRun;
		}else if(id == "literal.priority.110"){
			return Low;
		}else if(id == "literal.priority.120"){
			return Medium;
		}else if(id == "literal.priority.130"){
			return High;
		}else if(id == "literal.priority.101"){
			return Unassigned;
		}else if(id == "com.ibm.rqm.planning.common.approved"){
			return Approved;
		}else if(id == "com.ibm.rqm.planning.common.new"){
			return Draft;
		}else if(id == "com.ibm.rqm.planning.common.underreview"){
			return UnderReview;
		}else if(id == "com.ibm.rqm.planning.common.retired"){
			return Retired;
		}
		return "";
	},
	
	_openPreferenceSettings: function(evt) {
		if(evt) {
			dojo.stopEvent(evt);
		}
		this.getSite().toggleSettings();
	}

});

dojo.declare("com.ibm.rqm.planning.web.ui.internal.view.viewlets.CountChartRenderer", 
		 dijit._Widget,{
	
	constructor: function(args){
		dojo.mixin(this, args);
	},
	
	render: function(parent, parentDiv, theme, countsDTO, getColorFunc, eventHandleFunc){
		
	}
});

dojo.declare("com.ibm.rqm.planning.web.ui.internal.view.viewlets.CountColumnChartRenderer", 
		com.ibm.rqm.planning.web.ui.internal.view.viewlets.CountChartRenderer,{

	render: function(parent, parentDiv, theme, countsDTO, getColorFunc, eventHandleFunc){
		var div = document.createElement("div");
		div.id = parent.id + "bar" + Math.random();
		parentDiv.appendChild(div);
		div.tabIndex = "0";
		
		var c = new dojox.charting.Chart2D(div.id);
		
	    c.addPlot("default", {
	        type: "Columns",
	        gap: 4,
	        stroke:"gray"
	    }).setTheme(theme);
	
	    var xAxis = [];
	    var yAxis = [];
		for (var index = 0; index < countsDTO.length; index++) {
			var count = countsDTO[index].count;				
			var label = countsDTO[index].name;
			xAxis.push({value : index+1, text : label});
			yAxis.push(count);
			
		}
		var length = countsDTO.length;
		var xAxixProperty = {labels : xAxis, min:0, trailingSymbol: "..", minorTicks: false};
		if(length >  5){
			xAxixProperty.majorLabels = true;
			xAxixProperty.minorTicks = true;
			xAxixProperty.minorLabels =  true;
			xAxixProperty.microTicks = false;
		}
		if(length <= 10){
			xAxixProperty.maxLabelCharCount = 10;
		}else if (length <= 15){
			xAxixProperty.maxLabelCharCount = 6;
		}else{
			xAxixProperty.maxLabelCharCount = 4;
		}
	    c.addAxis("x", xAxixProperty);
	    c.addAxis("y", {vertical: true, leftBottom: true, min:0, minorTicks: false});
	    
	    for (var index = 0; index < xAxis.length; index++) {
	    	var color = "";
	    	if(theme == dojox.charting.themes.PrimaryColors){
	    		color = getColorFunc(countsDTO[index].id);
	    	}
			var property = {
		            y: yAxis[index],
		            x: xAxis[index].value,
		            tooltip: xAxis[index].text + " : " + yAxis[index],
		            text: xAxis[index].text + " : " + yAxis[index]
			};
			if(color){
				property.fill = color;
			}
			
		    c.addSeries(xAxis[index].text, [property]);
	    }
	    
	    new dojox.charting.action2d.Tooltip(c, "default");
        new dojox.charting.action2d.Highlight(c, "default");
	   
	    c.render();	
	    c.connectToPlot(
	    	    "default",    // the unique plot name you specified when creating a plot
	    	    parent,      // both object and method are the same used by dojo.connect()
	    	    eventHandleFunc);
	    c.tabIndex = "0";
	}
});

dojo.declare("com.ibm.rqm.planning.web.ui.internal.view.viewlets.CountBarChartRenderer", 
		com.ibm.rqm.planning.web.ui.internal.view.viewlets.CountChartRenderer,{

	render: function(parent, parentDiv, theme, countsDTO, getColorFunc, eventHandleFunc){
		var div = document.createElement("div");
		div.id = parent.id + "column" + Math.random();
		parentDiv.appendChild(div);
		var length = countsDTO.length;
		if(length > 8){
			div.style.height = (40 * length) + "px";
		}
		
		div.tabIndex = "0";
		
		var c = new dojox.charting.Chart2D(div.id);
		
	    c.addPlot("default", {
	        type: "Bars",
	        gap: 7,
	        stroke:"gray"
	    }).setTheme(theme);
	
	    var xAxis = [];
	    var yAxis = [];
		for (var index = 0; index < countsDTO.length; index++) {
			var count = countsDTO[index].count;				
			var label = countsDTO[index].name;
			xAxis.push({value : index+1, text : label});
			yAxis.push(count);
			
		}
		
		var xAxixProperty = {vertical: true, labels : xAxis, min:0, trailingSymbol: "..", minorTicks: false};
		if(length >  5){
			xAxixProperty.majorLabels = true;
			xAxixProperty.minorTicks = true;
			xAxixProperty.minorLabels =  true;
			xAxixProperty.microTicks = false;
		}
		
	    c.addAxis("x", xAxixProperty);
	    c.addAxis("y", {leftBottom: true, min:0, minorTicks: false});
	    
	    for (var index = 0; index < xAxis.length; index++) {
	    	var color = "";
	    	if(theme == dojox.charting.themes.PrimaryColors){
	    		color = getColorFunc(countsDTO[index].id);
	    	}
			var property = {
					 y: yAxis[index],
					 x: xAxis[index].value,
					 tooltip: xAxis[index].text + " : " + yAxis[index],
					 text: xAxis[index].text + " : " + yAxis[index]
			};
			if(color){
				property.fill = color;
			}
		    c.addSeries(xAxis[index].text, [property]);
	    }
	    
	    new dojox.charting.action2d.Tooltip(c, "default");
        new dojox.charting.action2d.Highlight(c, "default");
	   
	    c.render();
	    c.connectToPlot(
	    	    "default",    // the unique plot name you specified when creating a plot
	    	    parent,      // both object and method are the same used by dojo.connect()
	    	    eventHandleFunc);
	    c.tabIndex = "0";
	}
});

dojo.declare("com.ibm.rqm.planning.web.ui.internal.view.viewlets.CountPieChartRenderer", 
		com.ibm.rqm.planning.web.ui.internal.view.viewlets.CountChartRenderer,{

	render: function(parent, parentDiv, theme, countsDTO, getColorFunc, eventHandleFunc){
		var dsnArr = [];
		var div = document.createElement("div");
		div.id = parent.id + "pie" + Math.random();
		parentDiv.appendChild(div);
		div.tabIndex = "0";
		
		var c = new dojox.charting.Chart2D(div.id);
		
	    c.addPlot("default", {
	        type: "Pie",
	        stroke:"gray"
	        
	    }).setTheme(theme);
	
		for (var index = 0; index < countsDTO.length; index++) {
			var count = countsDTO[index].count;				
			var label = countsDTO[index].name;
			var color = "";
	    	if(theme == dojox.charting.themes.PrimaryColors){
	    		color = getColorFunc(countsDTO[index].id);
	    	}
			var property = {y: count, legend: label +" : "+ count, tooltip: label +" : "+ count};
			if(color){
				property.fill = color;
			}
			dsnArr.push(property);
		}
	    c.addSeries("DSN", dsnArr);
	    new dojox.charting.action2d.Tooltip(c, "default");
	    new dojox.charting.action2d.MoveSlice(c, "default", {
	        duration: 200,
	        scale: 1.1,
	        shift: 5
	    });
	    new dojox.charting.action2d.Highlight(c, "default");
	     
	    c.render();
	    c.connectToPlot(
	    	    "default",    // the unique plot name you specified when creating a plot
	    	    parent,      // both object and method are the same used by dojo.connect()
	    	    eventHandleFunc);
	    c.tabIndex = "0";
	    
	    var divLegend = document.createElement("div");
	    divLegend.id = this.id + "reportChartLegendDiv" + Math.random();
	    parentDiv.appendChild(divLegend);
	    
	    new dojox.charting.widget.SelectableLegend({
	        chart: c,
	        outline: false,
	        horizontal: true
	    }, divLegend.id);
		var lineBreak = document.createElement("br");
	    parentDiv.appendChild(lineBreak);
	}
});

dojo.declare("com.ibm.rqm.planning.web.ui.internal.view.viewlets.CountTableProvider", 
		com.ibm.asq.common.web.ui.internal.widgets.tableViewer.TableContentProvider,{
	
	constructor: function(args){
		dojo.mixin(this, args);
	},
	
	getNumColumns: function(content){
	    return 3;
	},
	
	getColumnHeading: function(content, atColumnIndex){
		switch(atColumnIndex){
		case 0:
			return this.name;
		case 1:
			return Constants.getMessage("labelCount");
		case 2:
			return Constants.getMessage("labelPercentage");
		}
	},
	
	getColumnHeadingImage: function(content, atColumnIndex){
	    return null;
	},
	
	getIsColumnGroupable: function(content, atColumnIndex){
	    return false;
	},
	
	getIsColumnSortable: function(content, atColumnIndex){
	    return true;
	},
	
	getCellDisplayType: function(rowData, atColumnIndex) {
		if(atColumnIndex == 0){
			return TableConstants.RENDER_TYPE_LINK;
		}
		return TableConstants.RENDER_TYPE_TEXT;
	},
	
	getCellDisplayExtendedInfo: function(rowData, atColumnIndex) {
		if(atColumnIndex == 0){
			return {onclick : dojo.hitch(this, "onRowClick", rowData)};
		}
	},
	
	getColumnWidth: function(content, atColumnIndex){
		switch(atColumnIndex){
		case 0:
			return 50;
		case 1:
			return 25;
		case 2:
			return 25;
		}
	},
	
	getContentObjects: function(content){
        return content;
    },
    
    getRowDataId: function(rowData){
        return rowData.name;
    },
    
    getCellDisplayData: function(rowData, atColumnIndex){
    	switch(atColumnIndex){
		case 0:
			return rowData.name;
		case 1:
			return rowData.count;
		case 2:
			var val = (rowData.count/this.totalCount) * 100 ;
			return val.toFixed(2);
		}
    }
});

dojo.declare("com.ibm.rqm.planning.web.ui.internal.view.viewlets.CountTableView", 
				AbstractExplorableTableView,
{	    
	constructor: function(args){
		dojo.mixin(this, args);
	},
	
	uninitialize: function() 
	{
	    if (this.tableViewer){
	    	this.tableViewer.destroyRecursive();
	    }
	    
	    this.tableViewer = null;
	},
	
	postCreate: function(){
		this.inherited("postCreate", arguments);
	    var tableViewer = new com.ibm.asq.common.web.ui.internal.widgets.tableViewer.TableViewer({
			showFilterControl: false,
			editable: false,
			tableId: "RQM-COUNTDATA-TABLEVIEWER",
			trim: TableConstants.TRIM_DASHBOARD,
			showHeaderInDashBoardViewlet: true});
	    this._tableViewerNode.appendChild(tableViewer.domNode);
	    
	    var content = this.queryResultsDTO ? this.queryResultsDTO.counts : [];
		var provider = new com.ibm.rqm.planning.web.ui.internal.view.viewlets.CountTableProvider({
			totalCount: this.queryResultsDTO.totalCount,
			content: content,
			name: this.name,
			onRowClick: this.onRowClick
		});
		
	    tableViewer.setContent(content);
	    tableViewer.setContentProvider(provider);
	    
	    tableViewer.show();
	    
	    this.tableViewer = tableViewer;
		
		this.inEditMode = false;
	
	},
	
	refresh: function(content){
	    this.tableViewer.setContent(content.counts);
		this.tableViewer.getContentProvider().content = content.counts;
		this.tableViewer.getContentProvider().totalCount = content.totalCount;
	    this.tableViewer.show();		
	}	

});

})();
