/*******************************************************************************
 * Licensed Materials - Property of IBM
 * © Copyright IBM Corporation 2007, 2015. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  Use,
 * duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 *******************************************************************************/
// NOTE: THIS IS A GENERATED FILE. DO NOT EDIT DIRECTLY!
dojo.provide("com.ibm.team.apt.shared.ui.internal.sorting.CustomSorter");

dojo.require("com.ibm.jdojo.lang.Runtime");
dojo.require("com.ibm.jdojo.util.Assert");
dojo.require("com.ibm.team.apt.api.client.IAttributeValueComparator");
dojo.require("com.ibm.team.apt.api.client.IPlanItem");
dojo.require("com.ibm.team.apt.api.ui.structure.IGroupElement");
dojo.require("com.ibm.team.apt.shared.client.internal.model.attributes.CustomSortAttribute");
dojo.require("com.ibm.team.apt.shared.ui.sorting.AbstractPlanElementSorter");
dojo.require("com.ibm.team.rtc.foundation.api.ui.model.IViewModel");

(function() {
var jdojo2= com.ibm.jdojo;
var jdojo= jdojo2.lang.Runtime;
var Assert= jdojo2.util.Assert;
var team= com.ibm.team;
var apt= team.apt;
var api= apt.api;
var client= api.client;
var IAttributeValueComparator= client.IAttributeValueComparator;
var IPlanItem= client.IPlanItem;
var IGroupElement= api.ui.structure.IGroupElement;
var shared= apt.shared;
var CustomSortHelper= shared.client.internal.model.attributes.CustomSortAttribute.CustomSortHelper;
var AbstractPlanElementSorter= shared.ui.sorting.AbstractPlanElementSorter;
var Domain= team.rtc.foundation.api.ui.model.IViewModel.Domain;

var CustomSorter= dojo.declare("com.ibm.team.apt.shared.ui.internal.sorting.CustomSorter", AbstractPlanElementSorter, {

	fDirection: 0,

	//fDefaultComparator: null,

	//fStoreIdentifier: null,

	constructor: function(config, storeIdentifier) {
		this.inherited(arguments, []);
		this.fStoreIdentifier= storeIdentifier;
		this.fDirection= -1;
		if (config.getParameter("sortorder") !== "descending") 
			this.fDirection= 1;
	},

	getDependentAttributes: function() {
		return [IPlanItem.CUSTOM_SORT, IPlanItem.ID];
	},

	inputChanged: function(model, newInput) {
		this.inherited("inputChanged", arguments, [model, newInput]);
		if (jdojo.implementsInterface(newInput, "com.ibm.team.apt.api.client.IPlanModel")) {
			var planModel= newInput;
			var findAttribute= planModel.findAttribute(IPlanItem.CUSTOM_SORT);
			var folderSortAttribute= findAttribute;
			folderSortAttribute.initializeFromStoreIdentifier(this.fStoreIdentifier, planModel);
			this.fDefaultComparator= this.findComparator(planModel, IPlanItem.ID);
		} else {
			this.fDefaultComparator= null;
		}
	},

	isComparatorProperty: function(property) {
		return IPlanItem.CUSTOM_SORT.getId() === property;
	},

	getGroupId: function(navigator, element) {
		var group= navigator.parentEntryOfType(element, IGroupElement);
		return group == null ? null : group.getElement().getIdentifier();
	},

	compare: function(e1, e2, readAccessor, forceResort) {
		var adapter= this.getPlanElementAdapter(e1, e2);
		if (forceResort && adapter != null) {
			var o1= adapter.getPlanElement(e1);
			var o2= adapter.getPlanElement(e2);
			var n= readAccessor.getEntryNavigator(false);
			var groupId1= this.getGroupId(n, e1);
			var groupId2= this.getGroupId(n, e2);
			if (!(groupId1 === groupId2)) Assert.fail("groupId1 === groupId2", "CustomSorter:94");
			if (groupId1 == null) {
				groupId1= CustomSorter.DEFAULT_GROUP;
			}
			var result= this.fDirection * this.compareValues(o1, o2, groupId1);
			if (result === 0 && this.fDefaultComparator != null) {
				result= this.fDefaultComparator.compareTo(o1, o2);
			}
			return result;
		}
		return undefined;
	},

	compareValues: function(e1, e2, groupId) {
		var value1= (e1).getAttributeValue(IPlanItem.CUSTOM_SORT);
		var value2= (e2).getAttributeValue(IPlanItem.CUSTOM_SORT);
		if (value1 != null) {
			if (value2 != null) {
				return CustomSortHelper.INSTANCE.compare(value1, value2, groupId);
			}
			return -1;
		} else if (value2 != null) {
			return 1;
		}
		return 0;
	},

	doMove: function(elements, siblingEntry, location, updateAccessor) {
		if (this.inherited("doMove", arguments, [elements, siblingEntry, location, updateAccessor])) {
			this.fViewModel.readModel(dojo.hitch(this, function(readAccessor) {
				var navigator= readAccessor.getEntryNavigator(false);
				var sortIndices= {};
				var index= 1;
				readAccessor.accept(dojo.hitch(this, function(entry) {
					var el= entry.getElement();
					if (jdojo.implementsInterface(el, "com.ibm.team.apt.api.client.IPlanElement")) {
						var planItem= el.getAdapter(IPlanItem);
						if (planItem == null) {
							return true;
						}
						var elementGroupMap= sortIndices[planItem.getUuid()];
						if (elementGroupMap == null) {
							elementGroupMap= {};
						}
						var groupId= this.getGroupId(navigator, entry);
						groupId= groupId == null ? CustomSorter.DEFAULT_GROUP : groupId;
						elementGroupMap[groupId]= index;
						index= index + 1;
						sortIndices[planItem.getUuid()]= elementGroupMap;
					}
					return true;
				}), readAccessor.getRootEntry(Domain.Content));
				var planModel= elements[0].getPlanModel();
				var findAttribute= planModel.findAttribute(IPlanItem.CUSTOM_SORT);
				var folderSortAttribute= findAttribute;
				folderSortAttribute.setAllValues(sortIndices, planModel);
				return null;
			}));
			return true;
		}
		return false;
	},

	findComparator: function(planModel, attributeId) {
		var attribute= planModel.findAttribute(attributeId);
		return attribute != null ? attribute.getAdapter(IAttributeValueComparator) : null;
	},

	$interfaces: {
		'com.ibm.team.apt.api.client.IPlanningAttributeDependent': true
	}
});

CustomSorter.DEFAULT_GROUP= "_YpOR48YpEd2DQP0MvE2Tkw";

})();
