/*******************************************************************************
 * Licensed Materials - Property of IBM
 * © Copyright IBM Corporation 2005, 2015. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. 
 *******************************************************************************/
// NOTE: THIS IS A GENERATED FILE. DO NOT EDIT DIRECTLY!
dojo.provide("com.ibm.team.apt.shared.ui.internal.sorting.GenericPlanItemSorter");

dojo.require("com.ibm.jdojo.lang.Runtime");
dojo.require("com.ibm.team.apt.api.client.IAttributeValueComparator");
dojo.require("com.ibm.team.apt.api.client.IPlanItem");
dojo.require("com.ibm.team.apt.api.client.internal.PlanningAttributeIdentifierImpl");
dojo.require("com.ibm.team.apt.shared.ui.sorting.AbstractPlanElementSorter");

(function() {
var jdojo= com.ibm.jdojo.lang.Runtime;
var apt= com.ibm.team.apt;
var client= apt.api.client;
var IAttributeValueComparator= client.IAttributeValueComparator;
var IPlanItem= client.IPlanItem;
var PlanningAttributeIdentifierImpl= client.internal.PlanningAttributeIdentifierImpl;
var AbstractPlanElementSorter= apt.shared.ui.sorting.AbstractPlanElementSorter;

/**
 * @since 3.0
 */
var GenericPlanItemSorter= dojo.declare("com.ibm.team.apt.shared.ui.internal.sorting.GenericPlanItemSorter", AbstractPlanElementSorter, {

	//fAttributeId: null,

	fDirection: 0,

	//fValueComparator: null,

	//fDefaultComparator: null,

	constructor: function(attributeId, direction) {
		this.inherited(arguments, []);
		this.fAttributeId= attributeId;
		this.fDirection= -1;
	},

	inputChanged: function(model, newInput) {
		this.inherited("inputChanged", arguments, [model, newInput]);
		if (jdojo.implementsInterface(newInput, "com.ibm.team.apt.api.client.IPlanModel")) {
			var planModel= newInput;
			this.fValueComparator= this.findComparator(planModel, this.fAttributeId);
			this.fDefaultComparator= this.findComparator(planModel, IPlanItem.ID);
		} else {
			this.fValueComparator= null;
			this.fDefaultComparator= null;
		}
	},

	isComparatorProperty: function(property) {
		return this.fAttributeId.getId() === property;
	},

	compare: function(e1, e2, readAccessor, forceResort) {
		var adapter= this.getPlanElementAdapter(e1, e2);
		if (forceResort && adapter != null) {
			var o1= adapter.getPlanElement(e1);
			var o2= adapter.getPlanElement(e2);
			var result= 0;
			if (this.fValueComparator != null) {
				result= this.fDirection * this.fValueComparator.compareTo(o1, o2);
			}
			if (result === 0 && this.fDefaultComparator != null) {
				result= this.fDefaultComparator.compareTo(o1, o2);
			}
			return result;
		}
		return undefined;
	},

	getDependentAttributes: function() {
		return [this.fAttributeId];
	},

	findComparator: function(planModel, attributeId) {
		var attribute= planModel.findAttribute(attributeId);
		return attribute != null ? attribute.getAdapter(IAttributeValueComparator) : null;
	},

	$interfaces: {
		'com.ibm.team.apt.api.client.IPlanningAttributeDependent': true
	}
});

GenericPlanItemSorter.createFromConfiguration= function(config) {
	var direction= -1;
	if (config.getParameter("sortorder") !== "descending") 
		direction= 1;
	return new GenericPlanItemSorter(new PlanningAttributeIdentifierImpl(config.getParameter("attribute")), direction);
};
GenericPlanItemSorter.createFromAttributeId= function(attributeId) {
	return new GenericPlanItemSorter(new PlanningAttributeIdentifierImpl(attributeId), -1);
};

})();
