/******************************************************************************
 Licensed Materials - Property of IBM
 © Copyright IBM Corporation 2013, 2015. All Rights Reserved.
 
 Note to U.S. Government Users Restricted Rights:
 Use, duplication or disclosure restricted by GSA ADP Schedule
 Contract with IBM Corp.
 ******************************************************************************/
// NOTE: THIS IS A GENERATED FILE. DO NOT EDIT DIRECTLY!
dojo.provide("com.ibm.team.apt.shared.ui.internal.sorting.NewRankingPlanItemSorter");

dojo.require("com.ibm.jdojo.lang.Runtime");
dojo.require("com.ibm.team.apt.api.client.IPlanItem");
dojo.require("com.ibm.team.apt.api.client.internal.PlanningAttributeIdentifierImpl");
dojo.require("com.ibm.team.apt.api.common.Severity");
dojo.require("com.ibm.team.apt.api.ui.essentials.tags.ColorizeTag");
dojo.require("com.ibm.team.apt.api.ui.essentials.tags.CustomMarkerTag");
dojo.require("com.ibm.team.apt.shared.ui.internal.sorting.CustomSorter");
dojo.require("com.ibm.team.apt.shared.ui.internal.sorting.GenericPlanItemSorter");
dojo.require("com.ibm.team.apt.shared.ui.internal.sorting.NewRankCalculator");
dojo.require("com.ibm.team.apt.shared.ui.internal.utils.CreateResponse");
dojo.require("com.ibm.team.apt.shared.ui.internal.utils.EntryTagger");
dojo.require("com.ibm.team.apt.shared.ui.internal.utils.MoveResponse");
dojo.require("com.ibm.team.apt.shared.ui.sorting.AbstractPlanElementSorter");
dojo.require("com.ibm.team.rtc.foundation.api.ui.essentials.IModificationPolicy");
dojo.require("dojo.i18n");

dojo.requireLocalization("com.ibm.team.apt.shared.ui.internal.sorting", "Messages");

(function() {
var Messages= dojo.i18n.getLocalization("com.ibm.team.apt.shared.ui.internal.sorting", "Messages");

var jdojo= com.ibm.jdojo.lang.Runtime;
var team= com.ibm.team;
var apt= team.apt;
var api= apt.api;
var client= api.client;
var IPlanItem= client.IPlanItem;
var PlanningAttributeIdentifierImpl= client.internal.PlanningAttributeIdentifierImpl;
var Severity= api.common.Severity;
var tags= api.ui.essentials.tags;
var ColorizeTag= tags.ColorizeTag;
var CustomMarkerTag= tags.CustomMarkerTag;
var ui= apt.shared.ui;
var internal= ui.internal;
var sorting= internal.sorting;
var CustomSorter= sorting.CustomSorter;
var GenericPlanItemSorter= sorting.GenericPlanItemSorter;
var NewRankCalculator= sorting.NewRankCalculator;
var CreateRankingInfo= NewRankCalculator.CreateRankingInfo;
var MoveRankingInfo= NewRankCalculator.MoveRankingInfo;
var utils= internal.utils;
var CreateResponse= utils.CreateResponse;
var EntryTagger= utils.EntryTagger;
var MoveResponse= utils.MoveResponse;
var AbstractPlanElementSorter= ui.sorting.AbstractPlanElementSorter;
var Location= team.rtc.foundation.api.ui.essentials.IModificationPolicy.Location;

var NewRankingPlanItemSorter= dojo.declare("com.ibm.team.apt.shared.ui.internal.sorting.NewRankingPlanItemSorter", AbstractPlanElementSorter, {

	//fSecondarySorter: null,

	//fSecondarySorterProvider: null,

	//fAttributeId: null,

	//fAttributeImpl: null,

	//fEntryTagger: null,

	//fOptions: null,

	constructor: function(options) {
		this.inherited(arguments, []);
		this.fSecondarySorter= new SecondarySorter();
		this.fAttributeId= new PlanningAttributeIdentifierImpl(options.getParameter("attribute"));
		this.fOptions= options;
		var notRankedTags= [];
		var notRankableTags= [];
		notRankedTags.push(new CustomMarkerTag(this, Severity.INFO, Messages.RankingPlanItemSorter_NOT_YET_RANKED));
		if ("true" === String(this.getParameter(options, "colorize", "false")).toLowerCase()) {
			var priority= parseInt(this.getParameter(options, "priority", "-1"));
			var color= this.getParameter(options, "color", "#FFE4C4");
			if (!isNaN(priority) && color.length === 7 && color.charAt(0) === "#") {
				notRankedTags.push(new ColorizeTag(this, Messages.RankingPlanItemSorter_NOT_YET_RANKED, color, priority));
			}
		}
		this.fSecondarySorterProvider= new SecondarySorterProvider(this.fOptions);
		notRankableTags.push(new CustomMarkerTag(this, Severity.WARNING, Messages.RankingPlanItemSorter_NO_RANKING_ATTRIBUTE));
		this.fEntryTagger= new RankingEntryTagger(this, notRankedTags, notRankableTags);
	},

	getParameter: function(options, param, defaultValue) {
		var result= options.getParameter(param);
		return result != null ? result : defaultValue;
	},

	getDependentAttributes: function() {
		var dependentAttributes= this.fSecondarySorterProvider.getDependentAttributes();
		if (dependentAttributes.length > 0) {
			var result= dependentAttributes;
			result.push(this.fAttributeId);
			return result;
		}
		return [this.fAttributeId];
	},

	inputChanged: function(viewModel, newInput) {
		this.fEntryTagger.setViewModel(null);
		this.inherited("inputChanged", arguments, [viewModel, newInput]);
		if (newInput != null) {
			this.fSecondarySorter.setComparator(this.fSecondarySorterProvider.findComparator(viewModel, newInput));
		}
		this.fEntryTagger.setViewModel(this.fViewModel);
	},

	//att: null,

	//sorter: null,

	isComparatorProperty: function(property) {
		return this.fAttributeId.getId() === property;
	},

	compare: function(e1, e2, readAccessor, forceResort) {
		var adapter= this.getPlanElementAdapter(e1, e2);
		if (adapter != null) {
			var p1= adapter.getPlanElement(e1);
			var p2= adapter.getPlanElement(e2);
			var result= this.getRank(p1).compareTo(this.getRank(p2));
			if (result === 0) {
				result= this.fSecondarySorter.compare(e1, e2, readAccessor, forceResort);
			}
			return result;
		} else {
			return e1.getOwnIndex() - e2.getOwnIndex();
		}
	},

	canMove: function(request, readAccessor) {
		var response= null;
		var location= request.getLocation();
		var targetElement= request.getTarget().getElement();
		if (jdojo.implementsInterface(targetElement, "com.ibm.team.apt.api.client.IPlanElement") && (location === Location.Before || location === Location.After)) {
			var toRank= [];
			var $subject= request.getSource();
			var $length= $subject.length;
			for (var $count= 0; $count < $length; $count++){
				var sourceEntry= $subject[$count];
				var sourceElement= sourceEntry.getElement();
				if (jdojo.implementsInterface(sourceElement, "com.ibm.team.apt.api.client.IPlanElement")) {
					toRank.push(sourceElement);
				}
			}
			var newRankingInfo= new MoveRankingInfo();
			if (toRank.length > 0) {
				newRankingInfo.fillRankingInfo(request.getTarget(), location === Location.After, toRank, readAccessor);
			}
			if (this.fSecondarySorterProvider.isUserDefined()) {
				var superResponse= this.inherited("canMove", arguments, [request, readAccessor]);
				if (superResponse != null) {
					newRankingInfo.superResponse= superResponse;
				}
			}
			response= new MoveResponse(newRankingInfo);
		} else {
			var superResponse= this.inherited("canMove", arguments, [request, readAccessor]);
			if (superResponse != null) {
				var newRankingInfo= new MoveRankingInfo();
				newRankingInfo.superResponse= superResponse;
				response= new MoveResponse(newRankingInfo);
			}
		}
		return response;
	},

	move: function(response, updateAccessor) {
		var rankingInfo= response.getData();
		if (rankingInfo.getToRank() != null) {
			this.moveItem(rankingInfo.getToRank(), rankingInfo.getPredecessors(), rankingInfo.getSuccessors());
		}
		if (rankingInfo.superResponse != null) {
			if (this.fSecondarySorterProvider.isUserDefined()) {
				this.fSecondarySorter.fDelegate.move(rankingInfo.superResponse, updateAccessor);
			} else {
				this.inherited("move", arguments, [rankingInfo.superResponse, updateAccessor]);
			}
		}
	},

	canCreate: function(request, readAccessor) {
		var location= request.getLocation();
		var targetElement= request.getTarget().getElement();
		if (jdojo.implementsInterface(targetElement, "com.ibm.team.apt.api.client.IPlanElement") && (location === Location.Before || location === Location.After)) {
			if (!this.getRank(targetElement).canRank()) 
				return CreateResponse.DENY;
			var newRankingInfo= new CreateRankingInfo();
			newRankingInfo.fillRankingInfo(request.getTarget(), location === Location.After, null, readAccessor);
			return new CreateResponse(newRankingInfo);
		} else if (jdojo.implementsInterface(targetElement, "com.ibm.team.apt.api.ui.structure.IGroupElement") && (location === Location.Child)) {
			var n= readAccessor.getEntryNavigator(true);
			var childEntries= n.childEntries(request.getTarget());
			var targetEntry= childEntries.length > 0 ? childEntries[childEntries.length - 1] : null;
			if (targetEntry != null) {
				var element= targetEntry.getElement();
				if (jdojo.implementsInterface(element, "com.ibm.team.apt.api.client.IPlanElement") && !this.getRank(element).canRank()) {
					return CreateResponse.DENY;
				}
			}
			var newRankingInfo= new CreateRankingInfo();
			newRankingInfo.fillRankingInfo(request.getTarget(), location === Location.After, null, readAccessor);
			return new CreateResponse(newRankingInfo);
		}
		var superResponse= this.inherited("canCreate", arguments, [request, readAccessor]);
		if (superResponse != null) {
			var newRankingInfo= new CreateRankingInfo();
			newRankingInfo.fillRankingInfo(request.getTarget(), location === Location.After, null, readAccessor);
			newRankingInfo.superResponse= superResponse;
			return new CreateResponse(newRankingInfo);
		}
		return null;
	},

	onCreate: function(response, newItem, updateAccessor) {
		var rankingInfo= response.getData();
		if (rankingInfo.superResponse != null) {
			this.inherited("onCreate", arguments, [rankingInfo.superResponse, newItem, updateAccessor]);
		}
	},

	moveItem: function(items, predecessorIterator, successorIterator) {
		NewRankCalculator.fromPlan(this.fPlan).moveItem(items, predecessorIterator, successorIterator, this.fSecondarySorterProvider);
	},

	getRank: function(planElement) {
		return this.fAttributeImpl != null ? this.fAttributeImpl.getValue(planElement) : planElement.getAttributeValue(this.fAttributeId);
	},

	$interfaces: {
		'com.ibm.team.apt.api.client.IPlanningAttributeDependent': true
	}
});
var SecondarySorter= dojo.declare("com.ibm.team.apt.shared.ui.internal.sorting.NewRankingPlanItemSorter.SecondarySorter", null, {
	"-chains-": { constructor: "manual" },

	//fDelegate: null,

	constructor: function() {
		this.fDelegate= NoOpSorter.INSTANCE;
	},

	getPriority: function() {
		return this.fDelegate.getPriority();
	},

	inputChanged: function(model, newInput) {
		this.fDelegate.inputChanged(model, newInput);
	},

	isComparatorProperty: function(property) {
		return this.fDelegate.isComparatorProperty(property);
	},

	compare: function(e1, e2, readAccessor, forceResort) {
		return this.fDelegate.compare(e1, e2, readAccessor, forceResort);
	},

	setComparator: function(comparator) {
		this.fDelegate= comparator;
	},

	$interfaces: {
		'com.ibm.team.rtc.foundation.api.ui.model.IViewEntryComparator': true
	}
});
var NoOpSorter= dojo.declare("com.ibm.team.apt.shared.ui.internal.sorting.NewRankingPlanItemSorter.NoOpSorter", null, {
	"-chains-": { constructor: "manual" },

	getPriority: function() {
		return 0;
	},

	inputChanged: function(model, newInput) {
	},

	isComparatorProperty: function(property) {
		return false;
	},

	compare: function(e1, e2, readAccessor, forceResort) {
		return 0;
	},

	$interfaces: {
		'com.ibm.team.rtc.foundation.api.ui.model.IViewEntryComparator': true
	}
});
var SecondarySorterProvider= dojo.declare("com.ibm.team.apt.shared.ui.internal.sorting.NewRankingPlanItemSorter.SecondarySorterProvider", null, {
	"-chains-": { constructor: "manual" },

	//fConfiguration: null,

	//fDependantAttributes: null,

	constructor: function(options) {
		this.fConfiguration= options;
		var secondarySelection= this.getSecondarySelection();
		if ((NewRankingPlanItemSorter.SECONDARY_USER_DEFINED_ID === secondarySelection)) {
			this.fDependantAttributes= [IPlanItem.CUSTOM_SORT, IPlanItem.ID, IPlanItem.STORE];
		} else {
			this.fDependantAttributes= [new PlanningAttributeIdentifierImpl(secondarySelection)];
		}
	},

	findComparator: function(viewModel, newInput) {
		var result= NoOpSorter.INSTANCE;
		if (newInput != null) {
			var secondarySelection= this.getSecondarySelection();
			if ((NewRankingPlanItemSorter.SECONDARY_USER_DEFINED_ID === secondarySelection)) {
				result= new CustomSorter(this.fConfiguration, newInput.getIdentifier());
			} else {
				result= GenericPlanItemSorter.createFromAttributeId(secondarySelection);
			}
			result.inputChanged(viewModel, newInput);
		}
		return result;
	},

	getDependentAttributes: function() {
		return this.fDependantAttributes;
	},

	getSecondarySelection: function() {
		var param= this.fConfiguration.getParameter(NewRankingPlanItemSorter.SECONDARY_SELECTION);
		return param == null ? SecondarySorterProvider.DEFAULT_SECONDARY_SELECTION : param;
	},

	isUserDefined: function() {
		return (NewRankingPlanItemSorter.SECONDARY_USER_DEFINED_ID === this.getSecondarySelection());
	}
});
var RankingEntryTagger= dojo.declare("com.ibm.team.apt.shared.ui.internal.sorting.NewRankingPlanItemSorter.RankingEntryTagger", EntryTagger, {

	//fSorter: null,

	//fNotRankedTags: null,

	//fNotRankableTags: null,

	constructor: function(sorter, notRankedTags, notRankableTags) {
		this.inherited(arguments, []);
		this.fSorter= sorter;
		this.fNotRankedTags= notRankedTags;
		this.fNotRankableTags= notRankableTags;
		this.addTags(notRankedTags);
		this.addTags(notRankableTags);
	},

	setRankSorter: function(sorter) {
		this.fSorter= sorter;
	},

	getTags: function(viewEntry, readAccessor) {
		var planElement= viewEntry.getElement();
		if (!this.fSorter.getRank(planElement).canRank()) {
			return this.fNotRankableTags;
		} else if (!this.fSorter.getRank(planElement).isSpecified()) {
			return null;
		}
		return null;
	}
});

NewRankingPlanItemSorter.SECONDARY_USER_DEFINED_ID= "rank-secondary-user-defined";
NewRankingPlanItemSorter.SECONDARY_SELECTION= "secondary-selection";
NoOpSorter.INSTANCE= new NoOpSorter();
SecondarySorterProvider.DEFAULT_SECONDARY_SELECTION= IPlanItem.PRIORITY.getId();

})();
