/*******************************************************************************
 * Licensed Materials - Property of IBM
 * © Copyright IBM Corporation 2005, 2015. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. 
 *******************************************************************************/
// NOTE: THIS IS A GENERATED FILE. DO NOT EDIT DIRECTLY!
dojo.provide("com.ibm.team.apt.shared.ui.internal.sorting.PlannedTimeSorter");

dojo.require("com.ibm.jdojo.lang.Runtime");
dojo.require("com.ibm.jdojo.util.Assert");
dojo.require("com.ibm.team.apt.api.client.IPlanItem");
dojo.require("com.ibm.team.apt.api.client.IScheduleModifier");
dojo.require("com.ibm.team.apt.api.common.Severity");
dojo.require("com.ibm.team.apt.api.ui.essentials.tags.CustomMarkerTag");
dojo.require("com.ibm.team.apt.shared.ui.internal.utils.CreateResponse");
dojo.require("com.ibm.team.apt.shared.ui.internal.utils.EntryTagger");
dojo.require("com.ibm.team.apt.shared.ui.internal.utils.MoveResponse");
dojo.require("com.ibm.team.apt.shared.ui.internal.utils.NeighborPlanElementIterator");
dojo.require("com.ibm.team.apt.shared.ui.sorting.AbstractPlanElementSorter");
dojo.require("com.ibm.team.apt.shared.ui.structure.ScheduleGroupElement");
dojo.require("com.ibm.team.rtc.foundation.api.ui.essentials.IModificationPolicy");
dojo.require("com.ibm.team.rtc.foundation.api.ui.tags.PrimaryLocationTag");
dojo.require("dojo.i18n");

dojo.requireLocalization("com.ibm.team.apt.shared.ui.internal.sorting", "Messages");

(function() {
var Messages= dojo.i18n.getLocalization("com.ibm.team.apt.shared.ui.internal.sorting", "Messages");

var jdojo2= com.ibm.jdojo;
var jdojo= jdojo2.lang.Runtime;
var Assert= jdojo2.util.Assert;
var team= com.ibm.team;
var apt= team.apt;
var api= apt.api;
var client= api.client;
var IPlanItem= client.IPlanItem;
var IScheduleModifier= client.IScheduleModifier;
var Severity= api.common.Severity;
var CustomMarkerTag= api.ui.essentials.tags.CustomMarkerTag;
var ui= apt.shared.ui;
var utils= ui.internal.utils;
var CreateResponse= utils.CreateResponse;
var EntryTagger= utils.EntryTagger;
var MoveResponse= utils.MoveResponse;
var NeighborPlanElementIterator= utils.NeighborPlanElementIterator;
var AbstractPlanElementSorter= ui.sorting.AbstractPlanElementSorter;
var ScheduleGroupElement= ui.structure.ScheduleGroupElement;
var ui2= team.rtc.foundation.api.ui;
var Location= ui2.essentials.IModificationPolicy.Location;
var PrimaryLocationTag= ui2.tags.PrimaryLocationTag;

/**
 * @since 3.0
 */
dojo.declare("com.ibm.team.apt.shared.ui.internal.sorting.PlannedTimeSorter", AbstractPlanElementSorter, {

	//fAttributeId: null,

	//fEntryTagger: null,

	//fScheduleModifier: null,

	constructor: function() {
		this.inherited(arguments, []);
		this.fAttributeId= IPlanItem.ACCUMULATED_TIME;
		this.fEntryTagger= new InboxTagger();
	},

	inputChanged: function(viewModel, newInput) {
		this.fEntryTagger.setViewModel(viewModel);
		this.inherited("inputChanged", arguments, [viewModel, newInput]);
		if (this.fPlan != null) {
			var scheduleAttribute= this.fPlan.findAttribute(this.fAttributeId);
			this.fScheduleModifier= scheduleAttribute.getAdapter(IScheduleModifier);
		} else {
			this.fScheduleModifier= null;
		}
	},

	getDependentAttributes: function() {
		return [this.fAttributeId, IPlanItem.SEQUENCE_VALUE, IPlanItem.RESOLVED];
	},

	isComparatorProperty: function(property) {
		return this.fAttributeId.getId() === property;
	},

	compare: function(e1, e2, readAccessor, forceResort) {
		var adapter= this.getPlanElementAdapter(e1, e2);
		if (adapter != null) {
			var o1= adapter.getPlanElement(e1);
			var o2= adapter.getPlanElement(e2);
			var r1= o1.getAttributeValue(IPlanItem.RESOLVED);
			var r2= o2.getAttributeValue(IPlanItem.RESOLVED);
			if (r1 ^ r2) {
				return (r1 ? 0 : 1) - (r2 ? 0 : 1);
			}
			var t1= o1.getAttributeValue(this.fAttributeId);
			var t2= o2.getAttributeValue(this.fAttributeId);
			var result= 0;
			if (t1 != null && t2 != null) {
				result= t1.getStart().compareTo(t2.getStart());
			} else {
				result= (t1 == null ? 1 : 0) - (t2 == null ? 1 : 0);
			}
			if (result === 0) {
				var i1= o1.getAttributeValue(IPlanItem.ID);
				var i2= o2.getAttributeValue(IPlanItem.ID);
				result= i1 - i2;
			}
			return result;
		}
		return undefined;
	},

	canMove: function(request, readAccessor) {
		if (request.getSource().length !== 1) 
			return MoveResponse.DENY;
		var targetEntry= request.getTarget();
		if (this.fScheduleModifier == null) {
			return jdojo.implementsInterface(targetEntry.getElement(), "com.ibm.team.apt.api.client.IPlanElement") ? MoveResponse.DENY : null;
		}
		var location= request.getLocation();
		var targetElement= targetEntry.getElement();
		if (jdojo.implementsInterface(targetElement, "com.ibm.team.apt.api.client.IPlanElement") && (location === Location.Before || location === Location.After)) {
			var toSchedule= null;
			var $subject= request.getSource();
			var $length= $subject.length;
			for (var $count= 0; $count < $length; $count++){
				var sourceEntry= $subject[$count];
				var sourceElement= sourceEntry.getElement();
				if (jdojo.implementsInterface(sourceElement, "com.ibm.team.apt.api.client.IPlanElement")) {
					if (toSchedule == null) {
						toSchedule= [];
					}
					toSchedule.push(sourceElement);
				}
			}
			if (toSchedule != null) {
				var responseData= {};
				responseData.target= targetElement;
				responseData.location= location;
				responseData.toSchedule= toSchedule;
				return new MoveResponse(responseData);
			}
		}
		var superResponse= this.inherited("canMove", arguments, [request, readAccessor]);
		if (superResponse != null) {
			var responseData= {};
			responseData.superResponse= superResponse;
			return new MoveResponse(responseData);
		}
		return null;
	},

	move: function(response, updateAccessor) {
		var data= response.getData();
		if (data.toSchedule != null) {
			if (!(data.toSchedule.length === 1)) Assert.fail("data.toSchedule.length === 1", "PlannedTimeSorter:181");
			if (data.location === Location.After) {
				this.fScheduleModifier.doScheduleWithTarget(data.toSchedule[0], data.target, true);
			} else if (data.location === Location.Before) {
				this.fScheduleModifier.doScheduleWithTarget(data.toSchedule[0], data.target, false);
			}
		}
		if (data.superResponse != null) {
			this.inherited("move", arguments, [data.superResponse, updateAccessor]);
		}
	},

	canCreate: function(request, readAccessor) {
		var target= request.getTarget();
		if (target != null && jdojo.implementsInterface(target.getElement(), "com.ibm.team.apt.api.client.IPlanElement") && target.getElement().getAdapter(IPlanItem) != null) {
			var data= {};
			data.target= target.getElement();
			return new CreateResponse(data);
		} else {
			var superResponse= this.inherited("canCreate", arguments, [request, readAccessor]);
			if (superResponse == null) 
				return null;
			var data= {};
			data.superResponse= superResponse;
			return new CreateResponse(data);
		}
	},

	onCreate: function(response, newItem, updateAccessor) {
		var data= response.getData();
		if (data.superResponse != null) {
			this.inherited("onCreate", arguments, [data.superResponse, newItem, updateAccessor]);
		} else {
			if (!(jdojo.implementsInterface(newItem, "com.ibm.team.apt.api.client.IPlanElement"))) 
				return ;
			var element= newItem;
			if (this.fScheduleModifier != null) {
				this.fScheduleModifier.doScheduleWithTarget(element, data.target, true);
			}
		}
	},

	fillSchedulingInfo: function(info, targetEntry, moveAfter, toSchedule, readAccessor) {
		var siblings;
		var splitIndex;
		if (targetEntry != null) {
			var n= readAccessor.getEntryNavigator(false);
			siblings= n.siblingEntries(targetEntry);
			splitIndex= n.index(targetEntry);
			if (splitIndex === -1) 
				splitIndex= siblings.length;
			if (moveAfter) {
				splitIndex++;
			}
		} else {
			siblings= [];
			splitIndex= 0;
		}
		var exclusionSet= {};
		if (toSchedule != null) {
			var $subject2= toSchedule;
			var $length2= $subject2.length;
			for (var $count2= 0; $count2 < $length2; $count2++){
				var planElement= $subject2[$count2];
				exclusionSet[planElement.getIdentifier()]= true;
			}
		}
		info.toSchedule= toSchedule;
		info.predecessors= new NeighborPlanElementIterator(siblings, splitIndex - 1, false, exclusionSet);
		info.successors= new NeighborPlanElementIterator(siblings, splitIndex, true, exclusionSet);
	},

	$interfaces: {
		'com.ibm.team.apt.api.client.IPlanningAttributeDependent': true
	}
});
var InboxTagger= dojo.declare("com.ibm.team.apt.shared.ui.internal.sorting.PlannedTimeSorter.InboxTagger", EntryTagger, {

	//fInboxMarkerTags: null,

	constructor: function() {
		this.inherited(arguments, []);
		this.fInboxMarkerTags= [];
		this.fInboxMarkerTags.push(new CustomMarkerTag(this, Severity.INFO, Messages.PlannedTimeSorter_INBOX));
		this.addTags(this.fInboxMarkerTags);
	},

	getTags: function(viewEntry, readAccessor) {
		var planElement= viewEntry.getElement();
		var resolvedValue= planElement.getAttributeValue(IPlanItem.RESOLVED);
		var sequenceValue= planElement.getAttributeValue(IPlanItem.SEQUENCE_VALUE);
		if (!resolvedValue && sequenceValue != null && sequenceValue.isNew()) {
			if (viewEntry.hasTag(PrimaryLocationTag.INSTANCE) && readAccessor.getEntryNavigator(false).parentEntryOfType(viewEntry, ScheduleGroupElement) == null) {
				return this.fInboxMarkerTags;
			}
		}
		return null;
	}
});

})();
