/******************************************************************************
 Licensed Materials - Property of IBM
 © Copyright IBM Corporation 2005, 2015. All Rights Reserved.
 
 Note to U.S. Government Users Restricted Rights:
 Use, duplication or disclosure restricted by GSA ADP Schedule
 Contract with IBM Corp.
******************************************************************************/
// NOTE: THIS IS A GENERATED FILE. DO NOT EDIT DIRECTLY!
dojo.provide("com.ibm.team.apt.shared.ui.internal.sorting.RankingPlanItemSorter");

dojo.require("com.ibm.jdojo.lang.Runtime");
dojo.require("com.ibm.jdojo.util.Assert");
dojo.require("com.ibm.team.apt.api.client.IPlanItem");
dojo.require("com.ibm.team.apt.api.client.internal.PlanningAttributeIdentifierImpl");
dojo.require("com.ibm.team.apt.api.common.Severity");
dojo.require("com.ibm.team.apt.api.ui.essentials.tags.ColorizeTag");
dojo.require("com.ibm.team.apt.api.ui.essentials.tags.CustomMarkerTag");
dojo.require("com.ibm.team.apt.shared.ui.internal.utils.CreateResponse");
dojo.require("com.ibm.team.apt.shared.ui.internal.utils.EntryTagger");
dojo.require("com.ibm.team.apt.shared.ui.internal.utils.MoveResponse");
dojo.require("com.ibm.team.apt.shared.ui.internal.utils.NeighborPlanElementIterator");
dojo.require("com.ibm.team.apt.shared.ui.sorting.AbstractPlanElementSorter");
dojo.require("com.ibm.team.rtc.foundation.api.ui.essentials.IModificationPolicy");
dojo.require("dojo.i18n");

dojo.requireLocalization("com.ibm.team.apt.shared.ui.internal.sorting", "Messages");

(function() {
var Messages= dojo.i18n.getLocalization("com.ibm.team.apt.shared.ui.internal.sorting", "Messages");

var jdojo2= com.ibm.jdojo;
var jdojo= jdojo2.lang.Runtime;
var Assert= jdojo2.util.Assert;
var team= com.ibm.team;
var apt= team.apt;
var api= apt.api;
var client= api.client;
var IPlanItem= client.IPlanItem;
var PlanningAttributeIdentifierImpl= client.internal.PlanningAttributeIdentifierImpl;
var Severity= api.common.Severity;
var tags= api.ui.essentials.tags;
var ColorizeTag= tags.ColorizeTag;
var CustomMarkerTag= tags.CustomMarkerTag;
var ui= apt.shared.ui;
var utils= ui.internal.utils;
var CreateResponse= utils.CreateResponse;
var EntryTagger= utils.EntryTagger;
var MoveResponse= utils.MoveResponse;
var NeighborPlanElementIterator= utils.NeighborPlanElementIterator;
var AbstractPlanElementSorter= ui.sorting.AbstractPlanElementSorter;
var Location= team.rtc.foundation.api.ui.essentials.IModificationPolicy.Location;

/**
 * $NON-NLS-1$
 */
dojo.declare("com.ibm.team.apt.shared.ui.internal.sorting.RankingPlanItemSorter", AbstractPlanElementSorter, {

	//fAttributeId: null,

	//fAttributeImpl: null,

	//fEntryTagger: null,

	constructor: function(options) {
		this.inherited(arguments, []);
		this.fAttributeId= new PlanningAttributeIdentifierImpl(options.getParameter("attribute"));
		var notRankedTags= [];
		var notRankableTags= [];
		notRankedTags.push(new CustomMarkerTag(this, Severity.INFO, Messages.RankingPlanItemSorter_NOT_YET_RANKED));
		if ("true" === String(this.getParameter(options, "colorize", "false")).toLowerCase()) {
			var priority= parseInt(this.getParameter(options, "priority", "-1"));
			var color= this.getParameter(options, "color", "#FFE4C4");
			if (!isNaN(priority) && color.length === 7 && color.charAt(0) === "#") {
				notRankedTags.push(new ColorizeTag(this, Messages.RankingPlanItemSorter_NOT_YET_RANKED, color, priority));
			}
		}
		notRankableTags.push(new CustomMarkerTag(this, Severity.WARNING, Messages.RankingPlanItemSorter_NO_RANKING_ATTRIBUTE));
		this.fEntryTagger= new RankingEntryTagger(this, notRankedTags, notRankableTags);
	},

	getParameter: function(options, param, defaultValue) {
		var result= options.getParameter(param);
		return result != null ? result : defaultValue;
	},

	getDependentAttributes: function() {
		return [this.fAttributeId];
	},

	inputChanged: function(viewModel, newInput) {
		this.fEntryTagger.setViewModel(null);
		this.fAttributeImpl= null;
		this.inherited("inputChanged", arguments, [viewModel, newInput]);
		if (newInput != null) {
			this.fAttributeImpl= newInput.findAttribute(this.fAttributeId);
		}
		this.fEntryTagger.setViewModel(this.fViewModel);
	},

	isComparatorProperty: function(property) {
		return this.fAttributeId.getId() === property;
	},

	compare: function(e1, e2, readAccessor, forceResort) {
		var adapter= this.getPlanElementAdapter(e1, e2);
		if (adapter != null) {
			var o1= adapter.getPlanElement(e1);
			var o2= adapter.getPlanElement(e2);
			var result= this.getRank(o1).compareTo(this.getRank(o2));
			if (result === 0) {
				var i1= o1.getAttributeValue(IPlanItem.ID);
				var i2= o2.getAttributeValue(IPlanItem.ID);
				result= i1 - i2;
			}
			return result;
		} else {
			return e1.getOwnIndex() - e2.getOwnIndex();
		}
	},

	canMove: function(request, readAccessor) {
		var location= request.getLocation();
		var targetElement= request.getTarget().getElement();
		if (jdojo.implementsInterface(targetElement, "com.ibm.team.apt.api.client.IPlanElement") && (location === Location.Before || location === Location.After)) {
			if (!this.getRank(targetElement).canRank()) 
				return MoveResponse.DENY;
			var toRank= null;
			var $subject= request.getSource();
			var $length= $subject.length;
			for (var $count= 0; $count < $length; $count++){
				var sourceEntry= $subject[$count];
				var sourceElement= sourceEntry.getElement();
				if (jdojo.implementsInterface(sourceElement, "com.ibm.team.apt.api.client.IPlanElement")) {
					if (!this.getRank(sourceElement).canRank()) 
						return MoveResponse.DENY;
					if (toRank == null) {
						toRank= [];
					}
					toRank.push(sourceElement);
				}
			}
			if (toRank != null) {
				var responseData= {};
				this.fillRankingInfo(responseData, request.getTarget(), location === Location.After, toRank, readAccessor);
				return new MoveResponse(responseData);
			}
		}
		var superResponse= this.inherited("canMove", arguments, [request, readAccessor]);
		if (superResponse != null) {
			var responseData= {};
			responseData.superResponse= superResponse;
			return new MoveResponse(responseData);
		}
		return null;
	},

	move: function(response, updateAccessor) {
		var rankingInfo= response.getData();
		if (rankingInfo.toRank != null) {
			this.moveItem(rankingInfo.toRank, rankingInfo.predecessors, rankingInfo.successors);
		}
		if (rankingInfo.superResponse != null) {
			this.inherited("move", arguments, [rankingInfo.superResponse, updateAccessor]);
		}
	},

	canCreate: function(request, readAccessor) {
		var location= request.getLocation();
		var targetElement= request.getTarget().getElement();
		if (jdojo.implementsInterface(targetElement, "com.ibm.team.apt.api.client.IPlanElement") && (location === Location.Before || location === Location.After)) {
			if (!this.getRank(targetElement).canRank()) 
				return CreateResponse.DENY;
			var responseData= {};
			this.fillRankingInfo(responseData, request.getTarget(), location === Location.After, null, readAccessor);
			return new CreateResponse(responseData);
		} else if (jdojo.implementsInterface(targetElement, "com.ibm.team.apt.api.ui.structure.IGroupElement") && (location === Location.Child)) {
			var n= readAccessor.getEntryNavigator(true);
			var childEntries= n.childEntries(request.getTarget());
			var targetEntry= childEntries.length > 0 ? childEntries[childEntries.length - 1] : null;
			if (targetEntry != null) {
				var element= targetEntry.getElement();
				if (jdojo.implementsInterface(element, "com.ibm.team.apt.api.client.IPlanElement") && !this.getRank(element).canRank()) {
					return CreateResponse.DENY;
				}
			}
			var responseData= {};
			this.fillRankingInfo(responseData, request.getTarget(), location === Location.After, null, readAccessor);
			return new CreateResponse(responseData);
		}
		var superResponse= this.inherited("canCreate", arguments, [request, readAccessor]);
		if (superResponse != null) {
			var responseData= {};
			this.fillRankingInfo(responseData, request.getTarget(), location === Location.After, null, readAccessor);
			responseData.superResponse= superResponse;
			return new CreateResponse(responseData);
		}
		return null;
	},

	onCreate: function(response, newItem, updateAccessor) {
		var rankingInfo= response.getData();
		this.moveItem([newItem], rankingInfo.predecessors, rankingInfo.successors);
		if (rankingInfo.superResponse != null) {
			this.inherited("onCreate", arguments, [rankingInfo.superResponse, newItem, updateAccessor]);
		}
	},

	fillRankingInfo: function(info, targetEntry, moveAfter, toRank, readAccessor) {
		var siblings;
		var splitIndex;
		if (targetEntry != null) {
			var n= readAccessor.getEntryNavigator(false);
			siblings= n.siblingEntries(targetEntry);
			splitIndex= n.index(targetEntry);
			if (splitIndex === -1) 
				splitIndex= siblings.length;
			if (moveAfter) {
				splitIndex++;
			}
		} else {
			siblings= [];
			splitIndex= 0;
		}
		var exclusionSet= {};
		if (toRank != null) {
			var $subject2= toRank;
			var $length2= $subject2.length;
			for (var $count2= 0; $count2 < $length2; $count2++){
				var planElement= $subject2[$count2];
				exclusionSet[planElement.getIdentifier()]= true;
			}
		}
		info.toRank= toRank;
		info.predecessors= new NeighborPlanElementIterator(siblings, splitIndex - 1, false, exclusionSet);
		info.successors= new NeighborPlanElementIterator(siblings, splitIndex, true, exclusionSet);
	},

	moveItem: function(items, predecessorIterator, successorIterator) {
		var toRank= dojo.mixin([], items);
		var currentValue= this.getRank(toRank[0]);
		var predecessorValue= this.findUniqueValue(predecessorIterator, null, toRank, true);
		var successorValue= this.findUniqueValue(successorIterator, null, toRank, false);
		if (predecessorValue != null && successorValue != null && predecessorValue.getEnumerationValue().getLiteralId() !== successorValue.getEnumerationValue().getLiteralId()) {
			if (currentValue.compareEnumerationValueTo(predecessorValue) <= 0) {
				successorValue= null;
			} else if (currentValue.compareEnumerationValueTo(successorValue) >= 0) {
				predecessorValue= null;
			} else {
				predecessorValue= null;
				successorValue= null;
			}
			if (predecessorValue == null) 
				toRank.shift();
			if (successorValue == null) 
				toRank.pop();
		}
		if (predecessorValue != null && !predecessorValue.isSpecified()) {
			while(predecessorIterator.hasNext()){
				var nextItem= predecessorIterator.next();
				var candidateValue= this.getRank(nextItem);
				if (predecessorValue.compareTo(candidateValue) !== 0) {
					if (candidateValue.getEnumerationValue().getLiteralId() === predecessorValue.getEnumerationValue().getLiteralId()) {
						predecessorValue= candidateValue;
					} else {
						predecessorValue= null;
					}
					break;
				}
				toRank.unshift(nextItem);
			}
			if (successorValue != null) 
				toRank.pop();
		} else if (predecessorValue != null && successorValue != null && predecessorValue.compareTo(successorValue) === 0) {
			predecessorValue= this.findUniqueValue(predecessorIterator, predecessorValue, toRank, true);
			successorValue= this.findUniqueValue(successorIterator, successorValue, toRank, false);
			if (predecessorValue != null) 
				toRank.shift();
			if (successorValue != null) 
				toRank.pop();
			if (!(predecessorValue == null || successorValue == null || predecessorValue.compareTo(successorValue) !== 0)) Assert.fail("predecessorValue == null || successorValue == null || predecessorValue.compareTo(successorValue) !== 0", "RankingPlanItemSorter:355");
		} else {
			toRank= dojo.mixin([], items);
		}
		var finalToRank= toRank;
		var finalPredecessorValue= predecessorValue;
		var finalSuccessorValue= successorValue;
		this.fPlan.compoundChange(dojo.hitch(this, function(deltaBuilder) {
			this.assignRankRecursive(finalToRank, finalPredecessorValue, finalSuccessorValue, 0, finalToRank.length - 1);
			return null;
		}));
	},

	assignRankRecursive: function(toRank, predecessorValue, successorValue, lowIndex, highIndex) {
		var midIndex= (lowIndex + highIndex) >> 1;
		var midItem= toRank[midIndex];
		var currentValue= this.getRank(midItem);
		var midValue= this.fAttributeImpl.calculateRank(predecessorValue, successorValue, currentValue);
		this.fAttributeImpl.setValue(midItem, midValue);
		if (lowIndex < midIndex) {
			this.assignRankRecursive(toRank, predecessorValue, midValue, lowIndex, midIndex - 1);
		}
		if (midIndex < highIndex) {
			this.assignRankRecursive(toRank, midValue, successorValue, midIndex + 1, highIndex);
		}
	},

	findUniqueValue: function(iterator, initialValue, toRank, addFront) {
		var result= null;
		while(iterator.hasNext()){
			var nextItem= iterator.next();
			if (addFront) {
				toRank.unshift(nextItem);
			} else {
				toRank.push(nextItem);
			}
			var candidateValue= this.getRank(nextItem);
			if (initialValue == null || initialValue.compareTo(candidateValue) !== 0) {
				result= candidateValue;
				break;
			}
		}
		return result;
	},

	getRank: function(planElement) {
		return this.fAttributeImpl != null ? this.fAttributeImpl.getValue(planElement) : planElement.getAttributeValue(this.fAttributeId);
	},

	$interfaces: {
		'com.ibm.team.apt.api.client.IPlanningAttributeDependent': true
	}
});
var RankingEntryTagger= dojo.declare("com.ibm.team.apt.shared.ui.internal.sorting.RankingPlanItemSorter.RankingEntryTagger", EntryTagger, {

	//fSorter: null,

	//fNotRankedTags: null,

	//fNotRankableTags: null,

	constructor: function(sorter, notRankedTags, notRankableTags) {
		this.inherited(arguments, []);
		this.fSorter= sorter;
		this.fNotRankedTags= notRankedTags;
		this.fNotRankableTags= notRankableTags;
		this.addTags(notRankedTags);
		this.addTags(notRankableTags);
	},

	getTags: function(viewEntry, readAccessor) {
		var planElement= viewEntry.getElement();
		if (!this.fSorter.getRank(planElement).canRank()) {
			return this.fNotRankableTags;
		} else if (!this.fSorter.getRank(planElement).isSpecified()) {
			return null;
		}
		return null;
	}
});

})();
