/*******************************************************************************
 * Licensed Materials - Property of IBM
 * © Copyright IBM Corporation 2005, 2015. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. 
 *******************************************************************************/
// NOTE: THIS IS A GENERATED FILE. DO NOT EDIT DIRECTLY!
dojo.provide("com.ibm.team.apt.shared.ui.internal.sorting.TraditionalPlannedTimeSorter");

dojo.require("com.ibm.jdojo.lang.Runtime");
dojo.require("com.ibm.team.apt.api.client.IPlanItem");
dojo.require("com.ibm.team.apt.shared.ui.internal.utils.CreateResponse");
dojo.require("com.ibm.team.apt.shared.ui.internal.utils.MoveResponse");
dojo.require("com.ibm.team.apt.shared.ui.sorting.AbstractPlanElementSorter");

(function() {
var jdojo= com.ibm.jdojo.lang.Runtime;
var apt= com.ibm.team.apt;
var IPlanItem= apt.api.client.IPlanItem;
var ui= apt.shared.ui;
var utils= ui.internal.utils;
var CreateResponse= utils.CreateResponse;
var MoveResponse= utils.MoveResponse;
var AbstractPlanElementSorter= ui.sorting.AbstractPlanElementSorter;

/**
 * @since 3.0
 */
dojo.declare("com.ibm.team.apt.shared.ui.internal.sorting.TraditionalPlannedTimeSorter", AbstractPlanElementSorter, {

	//fAttributeId: null,

	constructor: function() {
		this.inherited(arguments, []);
		this.fAttributeId= IPlanItem.ACCUMULATED_TIME;
	},

	inputChanged: function(viewModel, newInput) {
		this.inherited("inputChanged", arguments, [viewModel, newInput]);
	},

	getDependentAttributes: function() {
		return [this.fAttributeId, IPlanItem.RESOLVED];
	},

	isComparatorProperty: function(property) {
		return this.fAttributeId.getId() === property;
	},

	compare: function(e1, e2, readAccessor, forceResort) {
		var adapter= this.getPlanElementAdapter(e1, e2);
		if (adapter != null) {
			var o1= adapter.getPlanElement(e1);
			var o2= adapter.getPlanElement(e2);
			var r1= o1.getAttributeValue(IPlanItem.RESOLVED);
			var r2= o2.getAttributeValue(IPlanItem.RESOLVED);
			if (r1 ^ r2) {
				return (r1 ? 0 : 1) - (r2 ? 0 : 1);
			}
			var t1= o1.getAttributeValue(this.fAttributeId);
			var t2= o2.getAttributeValue(this.fAttributeId);
			var result= 0;
			if (t1 != null && t2 != null) {
				result= t1.getStart().compareTo(t2.getStart());
			} else {
				result= (t1 == null ? 1 : 0) - (t2 == null ? 1 : 0);
			}
			if (result === 0) {
				var i1= o1.getAttributeValue(IPlanItem.ID);
				var i2= o2.getAttributeValue(IPlanItem.ID);
				result= i1 - i2;
			}
			return result;
		}
		return undefined;
	},

	canMove: function(request, readAccessor) {
		return MoveResponse.DENY;
	},

	move: function(response, updateAccessor) {
	},

	canCreate: function(request, readAccessor) {
		var target= request.getTarget();
		if (target != null && jdojo.implementsInterface(target.getElement(), "com.ibm.team.apt.api.client.IPlanElement") && target.getElement().getAdapter(IPlanItem) != null) {
			var data= {};
			data.target= target.getElement();
			return new CreateResponse(data);
		} else {
			var superResponse= this.inherited("canCreate", arguments, [request, readAccessor]);
			if (superResponse == null) 
				return null;
			var data= {};
			data.superResponse= superResponse;
			return new CreateResponse(data);
		}
	},

	onCreate: function(response, newItem, updateAccessor) {
		var data= response.getData();
		if (data.superResponse != null) {
			this.inherited("onCreate", arguments, [data.superResponse, newItem, updateAccessor]);
		}
	},

	$interfaces: {
		'com.ibm.team.apt.api.client.IPlanningAttributeDependent': true
	}
});

})();
