/*******************************************************************************
 * Licensed Materials - Property of IBM
 * © Copyright IBM Corporation 2005, 2015. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. 
 *******************************************************************************/
// NOTE: THIS IS A GENERATED FILE. DO NOT EDIT DIRECTLY!
dojo.provide("com.ibm.team.apt.shared.ui.sorting.AbstractPlanElementSorter");

dojo.require("com.ibm.jdojo.lang.Runtime");
dojo.require("com.ibm.team.apt.api.ui.structure.IGroupElement");
dojo.require("com.ibm.team.apt.shared.ui.internal.utils.CreateResponse");
dojo.require("com.ibm.team.apt.shared.ui.internal.utils.MoveResponse");
dojo.require("com.ibm.team.apt.shared.ui.sorting.ViewEntryPlanElementAdapterFactory");
dojo.require("com.ibm.team.rtc.foundation.api.ui.essentials.IModificationPolicy");
dojo.require("com.ibm.team.rtc.foundation.api.ui.model.IViewModel");

(function() {
var jdojo= com.ibm.jdojo.lang.Runtime;
var team= com.ibm.team;
var apt= team.apt;
var IGroupElement= apt.api.ui.structure.IGroupElement;
var ui= apt.shared.ui;
var utils= ui.internal.utils;
var CreateResponse= utils.CreateResponse;
var MoveResponse= utils.MoveResponse;
var ViewEntryPlanElementAdapterFactory= ui.sorting.ViewEntryPlanElementAdapterFactory;
var ui2= team.rtc.foundation.api.ui;
var Location= ui2.essentials.IModificationPolicy.Location;
var Domain= ui2.model.IViewModel.Domain;

/**
 * @since 3.0
 */
var AbstractPlanElementSorter= dojo.declare("com.ibm.team.apt.shared.ui.sorting.AbstractPlanElementSorter", null, {
	"-chains-": { constructor: "manual" },

	//fViewModel: null,

	//fPlan: null,

	constructor: function() {
	},

	getPriority: function() {
		return AbstractPlanElementSorter.DEFAULT_PRIORITY;
	},

	inputChanged: function(model, newInput) {
		this.fViewModel= model;
		this.fPlan= newInput;
	},

	getMoveHandler: function() {
		return this;
	},

	getCreateHandler: function() {
		return this;
	},

	canMove: function(request, readAccessor) {
		var location= request.getLocation();
		var targetElement= request.getTarget().getElement();
		if (jdojo.implementsInterface(targetElement, "com.ibm.team.apt.api.client.IPlanElement") && (location === Location.Before || location === Location.After)) {
			var toMove= null;
			var sourceEntries= request.getSource();
			var $subject= sourceEntries;
			var $length= $subject.length;
			for (var $count= 0; $count < $length; $count++){
				var sourceEntry= $subject[$count];
				var sourceElement= sourceEntry.getElement();
				if (jdojo.implementsInterface(sourceElement, "com.ibm.team.apt.api.client.IPlanElement") && sourceElement.getIdentifier() !== targetElement.getIdentifier()) {
					if (toMove == null) {
						toMove= [];
					}
					toMove.push(sourceElement);
				}
			}
			if (toMove != null) {
				return new MoveResponse({toMove: toMove, targetEntry: request.getTarget(), location: location});
			}
		}
		return null;
	},

	move: function(response, updateAccessor) {
		var data= response.getData();
		this.doMoveWithRetry(data.toMove, data.targetEntry, data.location, updateAccessor);
	},

	isSupported: function(location) {
		return location === Location.Before || location === Location.After;
	},

	canCreate: function(request, readAccessor) {
		if (request.getLocation() === Location.Before || request.getLocation() === Location.After) {
			return new CreateResponse({targetEntry: request.getTarget(), location: request.getLocation()});
		} else if (request.getLocation() === Location.Child) {
			var n= readAccessor.getEntryNavigator(true);
			var children= n.childEntries(request.getTarget());
			if (children.length === 0) 
				return null;
			return new CreateResponse({targetEntry: children[0], location: Location.Before});
		}
		return null;
	},

	onCreate: function(response, newItem, updateAccessor) {
		var data= response.getData();
		this.doMoveWithRetry([newItem], data.targetEntry, data.location, updateAccessor);
	},

	doMoveWithRetry: function(toMove, siblingEntry, location, updateAccessor) {
		if (!this.doMove(toMove, siblingEntry, location, updateAccessor)) {
			var viewModel= siblingEntry.getModel();
			var token= null;
			token= viewModel.addPostUpdateRunnable(dojo.hitch(this, function(updateAccessor) {
				viewModel.removePostUpdateRunnable(token);
				this.doMove(toMove, siblingEntry, location, updateAccessor);
				return null;
			}), false);
		}
	},

	doMove: function(elements, siblingEntry, location, updateAccessor) {
		var n= updateAccessor.getEntryNavigator(false);
		var entriesToMove= [];
		var groupEntry= n.parentEntryOfType(siblingEntry, IGroupElement);
		if (groupEntry == null) {
			groupEntry= updateAccessor.getRootEntry(Domain.Content);
		}
		var $subject2= elements;
		var $length2= $subject2.length;
		for (var $count2= 0; $count2 < $length2; $count2++){
			var planElement= $subject2[$count2];
			var entryToMove= n.findFirstEntryInSubtree(planElement, groupEntry);
			if (entryToMove == null) 
				return false;
			entriesToMove.push(entryToMove);
		}
		for (var i= 0; i < entriesToMove.length; i++){
			var entryToMove= entriesToMove[i];
			var newIndex= n.index(siblingEntry) + (location === Location.After ? 1 : 0) + i;
			if (newIndex < 0) 
				newIndex= 0;
			var allSiblingCount= n.siblingEntries(siblingEntry).length;
			if (newIndex > allSiblingCount) 
				newIndex= allSiblingCount;
			updateAccessor.move(entryToMove, newIndex);
		}
		return true;
	},

	getPlanElementAdapter: function( /*, entries... */ ) {
		var entries= Array.prototype.slice.call(arguments, 0);
		var $c;
		return ($c= new ViewEntryPlanElementAdapterFactory()).getAdapter.apply($c, entries);
	},

	$interfaces: {
		'com.ibm.team.rtc.foundation.api.ui.essentials.ICreateHandler': true,
		'com.ibm.team.rtc.foundation.api.ui.essentials.IModificationHandlerProvider': true,
		'com.ibm.team.rtc.foundation.api.ui.essentials.IMoveHandler': true,
		'com.ibm.team.rtc.foundation.api.ui.model.IViewEntryComparator': true
	}
});

AbstractPlanElementSorter.DEFAULT_PRIORITY= 20;

})();
