/*******************************************************************************
 * Licensed Materials - Property of IBM
 * © Copyright IBM Corporation 2015. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. 
 *******************************************************************************/
// NOTE: THIS IS A GENERATED FILE. DO NOT EDIT DIRECTLY!
dojo.provide("com.ibm.team.apt.shared.ui.sorting.ViewEntryPlanElementAdapterFactory");

dojo.require("com.ibm.jdojo.lang.Exception");
dojo.require("com.ibm.jdojo.lang.JavaScriptException");
dojo.require("com.ibm.jdojo.lang.Runtime");
dojo.require("com.ibm.team.apt.shared.ui.internal.viewmodes.TaskboardViewMode");

(function() {
var lang= com.ibm.jdojo.lang;
var Exception= lang.Exception;
var JavaScriptException= lang.JavaScriptException;
var jdojo= lang.Runtime;
var TopLevelItemContainer= com.ibm.team.apt.shared.ui.internal.viewmodes.TaskboardViewMode.TopLevelItemContainer;

var ViewEntryPlanElementAdapterFactory= dojo.declare("com.ibm.team.apt.shared.ui.sorting.ViewEntryPlanElementAdapterFactory", null, {
	"-chains-": { constructor: "manual" },

	getAdapter: function( /*, entries... */ ) {
		var entries= Array.prototype.slice.call(arguments, 0);
		var $subject= ViewEntryPlanElementAdapterFactory.fgAdapters;
		var $length= $subject.length;
		for (var $count= 0; $count < $length; $count++){
			var adapter= $subject[$count];
			var canHandle= true;
			var $subject2= entries;
			var $length2= $subject2.length;
			for (var $count2= 0; $count2 < $length2; $count2++){
				var entry= $subject2[$count2];
				canHandle&= adapter.canHandle(entry);
			}
			if (canHandle) {
				return adapter;
			}
		}
		return null;
	}
});
jdojo.declareInterface("com.ibm.team.apt.shared.ui.sorting.ViewEntryPlanElementAdapterFactory.IViewEntryPlanElementAdapter");

var NoOpAdapter= dojo.declare("com.ibm.team.apt.shared.ui.sorting.ViewEntryPlanElementAdapterFactory.NoOpAdapter", null, {
	"-chains-": { constructor: "manual" },

	canHandle: function(entry) {
		return entry != null && jdojo.implementsInterface(entry.getElement(), "com.ibm.team.apt.api.client.IPlanElement");
	},

	getPlanElement: function(entry) {
		if (jdojo.implementsInterface(entry.getElement(), "com.ibm.team.apt.api.client.IPlanElement")) {
			return entry.getElement();
		}
		return null;
	},

	$interfaces: {
		'com.ibm.team.apt.shared.ui.sorting.ViewEntryPlanElementAdapterFactory.IViewEntryPlanElementAdapter': true
	}
});
var TopLevelItemContainerAdapter= dojo.declare("com.ibm.team.apt.shared.ui.sorting.ViewEntryPlanElementAdapterFactory.TopLevelItemContainerAdapter", null, {
	"-chains-": { constructor: "manual" },

	canHandle: function(entry) {
		return entry != null && entry.getElement() instanceof TopLevelItemContainer && entry.getElement().getTopLevelElement() != null;
	},

	getPlanElement: function(entry) {
		try {
			var container= entry.getElement();
			return container.getTopLevelElement();
		} catch (e) {
			if ((e= e instanceof Exception ? e : new JavaScriptException(e)) instanceof JavaScriptException) {
				return null;
			} else {
				throw e;
			}
		}
	},

	$interfaces: {
		'com.ibm.team.apt.shared.ui.sorting.ViewEntryPlanElementAdapterFactory.IViewEntryPlanElementAdapter': true
	}
});

ViewEntryPlanElementAdapterFactory.fgAdapters= [new NoOpAdapter(), new TopLevelItemContainerAdapter()];

})();
